2011-05-03  Petr Mladek  <pmladek@suse.cz>  [e0b9d59987ae017a106c70010b973bfed76925a8]

Version 3.3.99.4, tag libreoffice-3.3.99.4 (3.4.0-beta4)


2011-04-29  Radek Doulik  <rodo@novell.com>  [c386dedd5ba63704e59d417c54dd1f3c73688aec]

svx-ppt-bullet-offset-fix.diff: bullet list paragraph indentation (bnc#593609)

fixes TextRulerAtom record import, where we sometime ended up with bullet
offsets close to 0xffff

2011-04-28  Radek Doulik  <rodo@novell.com>  [4022fed414a33c4641fe6ada02956768f86c74bb]

unoxml-fix-empty-xmlns.diff: crasher in xml parser


2011-04-28  Radek Doulik  <rodo@novell.com>  [2c49b70c0bd030ad697f5599aa40c604be87c875]

filter-fix-build-FCFGMerge.cfg.diff: fix build without java

FCFGMerge.cfg was missing and required when building without java

2011-04-28  Radek Doulik  <rodo@novell.com>  [3a3c72945dbc693012ba5bb15f2d3f60abd96e7a]

svx-ppt-import-fix-bullet-size.diff: bullet size import (bnc#515972)


2011-04-27  Radek Doulik  <rodo@novell.com>  [36edcd499f1cbb5775a2d49bcd23bebfe41d8bd6]

fix-ppt-linespacing-import-export.diff: fix ppt import (bnc#355302)


2011-04-27  Radek Doulik  <rodo@novell.com>  [5a4b0e22838539b86b1f496eb88d260f20443371]

goodies-eps-filter-unix.diff: generate correct EPS on UNIX (bnc#200053)


2011-04-27  Petr Mladek  <pmladek@suse.cz>  [ab3c66ec9fcca8a319fa391e5ff2c8149d118984]

buildfix-oox-depends-on-unotools.diff: fix dependency


2011-04-26  Petr Mladek  <pmladek@suse.cz>  [af765e8027cce9a33686d2b1c3f0f4b6dab644a0]

Version 3.3.99.3, tag libreoffice-3.3.99.3 (3.4.0-beta3)


2011-04-20  Noel Power  <noel.power@novell.com>  [de4c2c632909de7899431b8ee958d4e5dc128a28]

some docx field import/export tweaks

import/export ( USERNAME / USERINITIALS ) - supported now and alligned with binary import
import/export ( AUTHOR / DocumentProperty.Author ) - AUTHOR is now imported as DocumentInfo.Created, DocProperty.Author is imported as a custom property, DocumentInfo.Created is exported as AUTHOR
fix docx export of COMMENTS
fix docx import of CREATEDATE,
fix docx import of DocProperty.CreateTime
fix docx import of DocProperty.LastSavedTime
fix docx import of DocProperty.TotalEditingTime ( format still not right )

2011-04-19  Petr Mladek  <pmladek@suse.cz>  [3d5f7d5784dfbd4adfb64b1b5bed595969041b78]

Version 3.3.99.2, tag libreoffice-3.3.99.2 (3.4.0-beta2)


2011-04-14  Radek Doulik  <rodo@novell.com>  [8e3f32d42487a7c8dd4a8db6e998182ef7f14ef4]

fix crash in fdo#36203, the referenced shape didn't contain texbody


2011-04-12  Caolán McNamara  <caolanm@redhat.com>  [1e0780e55b40703e56077ea99fa81242a6fa6699]

handle incomplete reads more gracefully (cherry picked from commit db644321a5010ceb75696e5a15d1b7533b1b9e91)


2011-04-12  Caolán McNamara  <caolanm@redhat.com>  [3fbdebc686d5c2369f42d4e62a23e52d60d7ce7d]

fix what there is to fix (cherry picked from commit 278831e37a23e9e2e29ca811c3a5398b7c67464d)


2011-04-11  Petr Mladek  <pmladek@suse.cz>  [9349dd005bdb07f35f2889db87e2e6ec2a0ba10b]

Version 3.3.99.1, tag libreoffice-3.3.99.1 (3.4.0-beta1)


2011-04-06  Caolán McNamara  <caolanm@redhat.com>  [a907b88e1950927de68445bbfe1e9979bc9ecfa9]

avoid possibility of accessing out of range ObjTimes (cherry picked from commit d93fa011d713100775cd3ac88c468b6830d48877)


2011-04-05  Petr Mladek  <pmladek@suse.cz>  [e28d597da1048fc83813a08f9958bbdc72e7f7d8]

Merge remote-tracking branch 'origin/libreoffice-3-3' into libreoffice-3-4

Conflicts:
	oox/prj/d.lst
	unoxml/source/xpath/nodelist.cxx
	unoxml/source/xpath/nodelist.hxx
	unoxml/source/xpath/xpathobject.cxx
	writerfilter/source/dmapper/DomainMapper_Impl.cxx
	writerfilter/source/filter/ImportFilter.cxx

2011-04-04  Andreas Becker  <atayoohoo@googlemail.com>  [070ecd906dc4e34ae10998aa8628ab32bf04e5ae]

python 3 compatibility fixes


2011-04-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ff53bc2f87527178ea5978cc4958e2edb97fd64d]

occurrence -> occurence and don't crash anymore


2011-04-04  Michael Meeks  <michael.meeks@novell.com>  [b215dd3a121ea54c419b10e22a4a566aea8fe297]

fix crasher in header / footnotes with no occurrence set


2011-04-03  Norbert Thiebaud  <nthiebaud@gmail.com>  [9541e903fa1c392377562ab9c99c4087acb51c89]

remove legacysmgr_component_writeinfo fromt the .map files


2011-04-01  Michael Meeks  <michael.meeks@novell.com>  [d864fbb7f86e313746600178a883fa63633f876c]

remove obsolete component_writeInfo methods


2011-04-01  Michael Meeks  <michael.meeks@novell.com>  [25cd17cd8a94d9a70130a24f8c3c526f69105d14]

register msworks and wpg filter components


2011-04-01  Michael Meeks  <michael.meeks@novell.com>  [c1e39ca4de615b4ef4152748d1c90a45eeb2cc92]

register lotuswordpro filter component


2011-04-01  Petr Mladek  <pmladek@suse.cz>  [87b2413a0a62abc94bf023089273c5c21d009ead]

Branch libreoffice-3-4

This is 'libreoffice-3-4' - the stable branch for the 3.4.x releases

    + only bug fixes are allowed
    + no approval needed during beta phase (two weeks after branch)
    + 1 approval needed during rc phase and for bugfix releases
    + 2 approvals with different/no affiliation needed for late features
    + regularly merged into master by a selected person when living

Please watch http://wiki.documentfoundation.org/ReleasePlan
and read announces on libreoffice@lists.freedesktop.org

If you want to build something cool, unstable, and risky, use master.

2011-04-01  David Tardon  <dtardon@redhat.com>  [1176e2bd087f8e115cd914de4db2a4324dbc3d5f]

the libxml-based XSLT filter impl. depends on package


2011-03-31  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [976e2c074b7abf9ad500a0cc7664110820512312]

fdo#34489: fix the docx import of comments, properly resolve all ids

Comment, footnote and endnote ids are integer values, not strings. The
code was using string though the comments ids where defined as integers
in the model.xml. All are changed to integer values from now.

2011-03-31  Caolán McNamara  <caolanm@redhat.com>  [ecd0148ba550cf033adf7781492c8821d841992e]

we don't use the exception value


2011-03-30  Petr Mladek  <pmladek@suse.cz>  [d4a304bfda2d4cf2bf1624a738ae9e2f9e98ca2f]

warning-return-values-filter.diff: avoid warning (i#58977)

the code was correct; it was wrongly detected by some gcc versions;
the warning was considered as an error in openSUSE build service;
the change does not cause any harm;

2011-03-30  Caolán McNamara  <caolanm@redhat.com>  [02234194e68fb1bab1831222a7046442c4bb1cc9]

set mime types on flat xml filters


2011-03-30  Radek Doulik  <rodo@novell.com>  [68ca223c828be170aa3b0f46c5cfac87f2934090]

fix import of percentual top and bottom paragraph margins


2011-03-30  Caolán McNamara  <caolanm@redhat.com>  [d1e26b669a34049dca9e41cb1b1a5a2344bbcc71]

silence tedious javadoc warnings


2011-03-30  Caolán McNamara  <caolanm@redhat.com>  [0f332824b9e760a8b7da673c8b16963b28bbace7]

silence warnings by enforcing the current reality


2011-03-30  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [cdd636907675d538ca10d479afc538ce3800e729]

docx import: don't add all characters from the parser to paragraphs

When the content XML file in the docx archive is formatted with white
spaces and lien breaks, those are imported as characters in the
paragraph... which makes no sense.

The stream handler was rerouting all parsed characters to the dmapper,
making the characters action defined in model.xml useless. Removing the
overridden characters from OOXMLFastContextHandlerStream fixed the bug

2011-03-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d4b05a8ff887696d58b9157c4f8d91b58cb9f0dd]

The return type before SAL_CALL


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [653c5314477a5ae24e129747c1e61f3da1d87f6b]

drop bogus executable flag from idl/build/src and config files


2011-03-29  Francisco Saito  <saito@4linux.com.br>  [4d5cecae5c0f3c5145cb085762b38901a2ad1700]

drop bogus executable flag from [ch]xx/bas/asm files


2011-03-29  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [f384e3f739528c901ad8aedb16eb55545a42d4e9]

writerfilter: Fixed TagLogger to actually reuse previously created instances


2011-03-29  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [e2188416326bcaf7f8231e07f696132d2574efe7]

writerfilter: merge fixes, TagLogger::endElement doesn't have string param


2011-03-29  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [9413a64b06aa21f410dba01c6a6060b94e1498a5]

writerfilter: added some more debug output to debug level >1


2011-03-29  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [ddfff40723f3c0ac40e6d9e45a6b5d4b4642e6c7]

make writerfilter build again with debug=t: missing include


2011-03-29  David Tardon  <dtardon@redhat.com>  [c174c49f16f06d8aab2d2baa8152d1792a829fc3]

this arg should be reference


2011-03-29  Jan Holesovsky  <kendy@suse.cz>  [7cb34a1472f8d5274fa1dc5217e0a6f2c26015f5]

Namespace ZipUtils for the Inflater / Deflater classes.


2011-03-29  Peter Jentsch  <pjotr@guineapics.de>  [01cdd00bcae1e96cc123e59ae2ff7bc9d9ad9340]

replaced saxon/j extension functions with libxslt/cxx impl in XSLTFilter


2011-03-29  Caolán McNamara  <caolanm@redhat.com>  [49dbe63926186624448426e5bcd6fc1a422de2de]

silence some -Woverloaded-virtual


2011-03-29  David Tardon  <dtardon@redhat.com>  [83aec42285d66074222fb30dd949bcaad1b19e34]

change the function's description too


2011-03-29  David Tardon  <dtardon@redhat.com>  [4f293a318800c1ddda38116233628ac132d48144]

this is just a warning, not error


2011-03-28  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [6297a38a77582ccbfde3909e90cac34d1c2f470c]

remove function DoSave_Impl from binfilter

body was already only return sal_False; hence code adapted

2011-03-28  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [ca979eab4acfc6d9e1c12646e8a7b2f20feec900]

remove function Save_Impl from binfilter

its body was only return sal_False, hence code also adapted

2011-03-28  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [d99f78b83ba7b4f73bb3481903eb5b1522c1c7a2]

remove dead branches in binfilter

due to the return values previously set to false, some branches are
now unconditionnal. Cleaning of them, removing if (false) branches.

2011-03-28  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [895586b54c35cba2039eed55eee7fb4b89e100e4]

remove function bool SaveCompleted in binfilter

and replaced, where this is checked, with the return value false.

2011-03-28  Caolán McNamara  <caolanm@redhat.com>  [0d8d36f75fbdf5bb08fe5e4cf6e27ee33ef30782]

WaE: pPersist is now unused


2011-03-28  Noel Power  <noel.power@novell.com>  [2a791e420b7a402dc43b3cc17b5945066a8b3eb3]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/filters


2011-03-28  Kayo Hamid  <kayo.hamid@gekkolinux.com.br>  [431ee3745f398522b36b5ba6db2696b91ef5a6ab]

removes some variableScope cppcheck warnings


2011-03-28  David Tardon  <dtardon@redhat.com>  [201845d7ce0a07271043f1a8a398128b91eb53fd]

WaE: overloaded virtual


2011-03-28  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [b68c636538b87807b8b2d90336a9e9a05496c40a]

WaE - variable may be used uninitialized


2011-03-27  David Tardon  <dtardon@redhat.com>  [6ee4d4a12c21401e67042ecdd102a8be3f2949ac]

WaE: overloaded virtual


2011-03-27  David Tardon  <dtardon@redhat.com>  [56f82039cd89e5c338f328a1fc9ae413b88bef88]

WaE: unused variable


2011-03-27  David Tardon  <dtardon@redhat.com>  [34443c02e2ee2051f8e3fc564f9c01536e8dff2b]

WaE: unused variable


2011-03-26  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b027e434d2fc451692f71841bf55ae8e2fdc82c1]

Adapt the tree to tools/svwin.h removal


2011-03-25  Peter Jentsch  <pjotr@guineapics.de>  [3075e9520476aa2138025da71398ac3404951db2]

fix odfflatxml export broken after merge


2011-03-25  Peter Jentsch  <pjotr@guineapics.de>  [dc0850e6203bf9499ccf90196b36dcaee3d8fd3d]

add missing component registration for libxslttransformer


2011-03-25  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [a101e60a07a1e54e3a89d272c4e38beb068b9d51]

remove SaveAs function within binfilter

and replaced with its return value false where called

2011-03-25  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [28a1c709d39bd7fe35d55ea969a352b74b014ab0]

remove function SaveAsOwnFormat in binfilter

and replace calls with its return value false

2011-03-25  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [cd58060e5359f981c8a82ab88dd7dfae5e984323]

remove DoSaveAs function within binfilter

and replaced where used with its return value false.

2011-03-25  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [7ca27fb954d2eb8c844a253c704452a4a156bb2a]

remove DoSaveCompleted function within binfilter

all implementation of DoSaveCompleted within binfilter are removed.
Where called, this function is replaced with the return value false,
and where this is not checked, a comment has been inserted for the time
being

2011-03-25  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [7b0cf24a04102692d9e5b45afce83be21e671482]

cleaning code in binfilter

after deleting / touching some file, there have been cleaned out in
order to get a better view: only comments removal here

2011-03-25  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [66661732ad1c728e81675a3bbb174798e47670b3]

binfilter: remove function DoSave()

this function has been removed where called and replaced with its
return value FALSE where this was evaluated. Some places get instead
a debug message, since the return value was not evaluated.
binfilter: remove function DoSave()

this function has been removed where called and replaced with its
return value FALSE where this was evaluated. Some places get instead
a debug message, since the return value was not evaluated.

2011-03-26  Muthu Subramanian  <sumuthu@novell.com>  [7f0bd797b81e70dd060ef9e5ff31ebb0c9fee620]

Fixed NMSP_MASK definition.


2011-03-25  Francisco Saito  <saito@4linux.com.br>  [cf12a60f2113a6b275c9f0af9cda449f4d15dea8]

removing the executable mode from some sources


2011-03-25  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [affcdcd51ae9b4e5f251bb37be247fcd0473eb38]

fd#35668: disable testXDocumentBuilder() in complex.unoxml.DOMTest


2011-03-25  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [bd865da610ebe6d4b101456d705ca7fb158e94cb]

fd#35667: disable checkSPARQL() in complex.unoxml.RDFRepositoryTest


2011-03-25  Caolán McNamara  <caolanm@redhat.com>  [2228a93e41679387e377aa4ddefed1bb6e3f7584]

WaE: for simple minder compilers


2011-03-25  Caolán McNamara  <caolanm@redhat.com>  [447618dfca71795a6fc486f3a9792bfe464b3fd8]

WaE: mirror xmloff change in here too


2011-03-25  Caolán McNamara  <caolanm@redhat.com>  [5164ed2dce7361c8fb8fd53ce0fabb03cd752725]

WaE: set but unused


2011-03-25  Caolán McNamara  <caolanm@redhat.com>  [a5db57ea965ed4330dea08596b6569e9aa83f799]

WaE: throw out some warnings


2011-03-25  Petr Mladek  <pmladek@suse.cz>  [d1b47c3f27599f3e000599bdf75a906f1b8e30ee]

set build depencencies against the new "translations" module


2011-03-23  Caolán McNamara  <caolanm@redhat.com>  [59efd9e32673732efbc374c358c9610e1d7596e5]

get rid of hash_map include


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [3bfb27f26db80b0d4c748c8f10cddc3ed7ffa8c1]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/filters


2011-03-23  Jan Holesovsky  <kendy@suse.cz>  [25f2fb8695d6381160eb62e52563a68d35b1f9a0]

Merge commit 'ooo/DEV300_m103'

Conflicts:
	binfilter/bf_xmloff/source/forms/formcellbinding.hxx
	binfilter/bf_xmloff/source/forms/xmloff_elementexport.cxx
	binfilter/bf_xmloff/source/forms/xmloff_formcellbinding.cxx
	filter/source/xsltfilter/makefile.mk
	unoxml/source/dom/characterdata.cxx
	unoxml/source/dom/document.cxx
	unoxml/source/dom/documentbuilder.cxx
	unoxml/source/dom/element.cxx
	unoxml/source/dom/elementlist.cxx
	unoxml/source/dom/node.cxx
	unoxml/source/dom/node.hxx
	unoxml/source/dom/text.cxx
	unoxml/source/events/event.cxx
	unoxml/source/events/event.hxx
	unoxml/source/events/eventdispatcher.cxx
	unoxml/source/events/eventdispatcher.hxx
	unoxml/source/events/mouseevent.cxx
	unoxml/source/events/mouseevent.hxx
	unoxml/source/events/mutationevent.cxx
	unoxml/source/events/mutationevent.hxx
	unoxml/source/events/uievent.cxx
	unoxml/source/events/uievent.hxx
	unoxml/source/xpath/nodelist.cxx
	unoxml/source/xpath/nodelist.hxx
	unoxml/source/xpath/xpathobject.cxx

2011-03-23  Guto Maia  <guto@guto.net>  [0780dab3edbe1d2d72e3e9e8b1c010fcb99d7111]

unnecessary test. Decrepted ODIAPI.


2011-03-23  Guto Maia  <guto@guto.net>  [858a022f0a46f4fbca6e2bba24f25adb96bdfca2]

unnecessary test. Testing xxml itself


2011-03-22  Noel Power  <noel.power@novell.com>  [9cbdfaf5ec0456c2a6eafb2877c12bc283317a3d]

make oox build with 'debug=t' again


2011-03-20  Takeshi Abe  <tabe@fixedpoint.jp>  [08b331e07cb8391c249d673015d1095d6bd6a662]

Use SAL_PRIuUINT32 instead of %d


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [fd5a4ee884716e8d50fe031d3f571210d3723fed]

Docx import filter now working with new borders and width


2011-03-19  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [75a47a5d2c39886805b95538c1f81d570412947d]

Using BorderLine2 constructor w/o argument


2011-03-19  David Tardon  <dtardon@redhat.com>  [e9fa04d083819814332ffde915581357cf1ab7ce]

fix debug build


2011-03-19  Thomas Arnhold  <thomas@arnhold.org>  [5f97cb68c8c22e19812559a107e0d339b725f772]

Move OSL_ENSURE(sal_False,...) to OSL_FAIL(...)


2011-03-18  Thorsten Behrens  <tbehrens@novell.com>  [10c6f81edcc1706706a93a771d9f0bbeaa69afbc]

Put dump() back into headers in oox

Code was still there in cxx, so put back the method decls

2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [3ede0c88130929124988fe4284d0264811cc6832]

WaE: unused aError


2011-03-18  Caolán McNamara  <caolanm@redhat.com>  [d76610c406028a9bd6747c657124071df7f56b14]

WaE: silence warnings


2011-03-18  Guto Maia  <guto@guto.net>  [145ba92f881ab515c31bba5564cb61f44fe69263]

changing the chmod of some documents


2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [a4de6155da00b972cfd2cb670c809868db9c2fed]

Fix mismerge, properties.hxx does not exist any more.


2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [31d5aa671979263f28201546e5adcb023909d920]

Merge branch 'master' of git://anongit.freedesktop.org/libreoffice/filters

Conflicts:
	oox/source/drawingml/chart/converterbase.cxx
	oox/source/export/drawingml.cxx

2011-03-18  Jan Holesovsky  <kendy@suse.cz>  [a8b0e364bff81eb67f6f7f1532e61ea69379a174]

Merge remote-tracking branch 'origin/integration/dev300_m101'

Conflicts:
	binfilter/bf_forms/source/component/forms_Filter.cxx
	binfilter/bf_sw/source/core/inc/node2lay.hxx
	binfilter/bf_sw/source/filter/xml/sw_swxml.cxx
	binfilter/inc/bf_sw/swdbtoolsclient.hxx
	filter/source/xsltdialog/xmlfileview.cxx
	oox/source/ole/axcontrol.cxx
	oox/source/vml/vmlformatting.cxx
	oox/source/xls/autofiltercontext.cxx
	oox/source/xls/externallinkfragment.cxx
	oox/source/xls/formulaparser.cxx
	oox/source/xls/pivotcachebuffer.cxx
	oox/source/xls/pivotcachefragment.cxx
	oox/source/xls/sheetdatacontext.cxx
	writerfilter/source/dmapper/GraphicImport.cxx
	writerfilter/source/dmapper/SettingsTable.cxx
	writerfilter/source/ooxml/model.xml

2011-03-18  Takeshi Abe  <tabe@fixedpoint.jp>  [1f40eaf411b657d30299b0b68bd7c115819a8f5b]

Use SAL_PRIdINT32/SAL_PRIxUINT32 instead of %d/%x


2011-03-18  Takeshi Abe  <tabe@fixedpoint.jp>  [045f57cde21f9807d795ca3816318bedd53bddd0]

Removed dead code


2011-03-18  Takeshi Abe  <tabe@fixedpoint.jp>  [432665a878d8709f3ff8decfcfda7264a7010908]

Removed an unchanged variable


2011-03-17  Michael Lefevre  <lefevre00@yahoo.fr>  [33f23b4730bf1d321b2aa41665bcebd7540b5622]

Remove duplicated constant F_PI and friends

Easy hack, constants already defined in libs-gui/basegfx/inc/basegfx/numeric/ftools.hxx

2011-03-16  Caolán McNamara  <caolanm@redhat.com>  [604901b83a4251db3d7cb5a641b702a8c2466f52]

WaE: throw out some more warnings


2011-03-16  Caolán McNamara  <caolanm@redhat.com>  [00b2955ff2704196a76d0ae3515d85e7319480d0]

throw out some warnings


2011-03-16  Luboš Luňák  <l.lunak@suse.cz>  [f9acffa2194d2a296042e446126691b1218cd662]

there's no CT_AlignH/V either, only ST_


2011-03-16  Luboš Luňák  <l.lunak@suse.cz>  [22b251c3f6a4bf67fd584418638e66265e7ce8f1]

there's no CT_PositionOffset, only ST_PositionOffset


2011-03-16  Miklos Vajna  <vmiklos@frugalware.org>  [73a849dfb43776a3a6f8943d759630fc6fd276b7]

Introduce a single .gitattributes file in bootstrap


2011-03-15  Norbert Thiebaud  <nthiebaud@gmail.com>  [d4935e7c6062d6f0fb9a12067f7c0d74ee110d2f]

amazingly writerfilter actually use libxml...


2011-03-15  Thorsten Behrens  <tbehrens@novell.com>  [d66b77441c016ca552dd412f3e33a48b72556f77]

Fix the build


2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [e5a75770702129d496751b03b333b4bb137105ca]

Remove empty comment fields


2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [e061f573beb62aaa1af0411e42eb1ac73163229a]

Remove dates from comments


2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [4c3a3658b44724e719e2f3489e80507d375a2680]

Remove empty comment fields


2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [5018621dbd1c5b0996b84ac8e277a8c1467088e0]

Remove dates from comments


2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [62591ec6dda880f46138736be188f0065ed2a220]

Remove empty comment fields


2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [961f39d6ae0b5dc381565da8a385c032900a3707]

Remove dates from comments


2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [3d53cb1585c9106af22edb27b065213e304328d8]

Remove empty comment fields


2011-03-14  Thomas Arnhold  <thomas@arnhold.org>  [f73af0ca4d4f5b04b479434fcd4f7247c0cbf9cc]

Remove dates from comments


2011-03-14  Michael Meeks  <michael.meeks@novell.com>  [5155b17b956745f9157e252e8428f3cf81177aa3]

make writerfilter compile cleanly


2011-03-14  Caolán McNamara  <caolanm@redhat.com>  [646368f2a8e5d5d7cfb2e3a5ffe374b99924ea71]

WaE: mark this dir as warnings free


2011-03-13  Norbert Thiebaud  <nthiebaud@gmail.com>  [36a7ea5a1b65f0c1ff96918278481280b5ad95be]

no more writeInfo


2011-03-13  Norbert Thiebaud  <nthiebaud@gmail.com>  [3c09a06aba6d43b099ffec6a72c8b44be6113310]

no more writeInfo


2011-03-13  Norbert Thiebaud  <nthiebaud@gmail.com>  [6ede59b3dde6f2a11bd332c5a284e45f996ee649]

fix minor macro mis-merge


2011-03-13  Bjoern Michaelsen  <bjoern.michaelsen@canonical.com>  [4a0734e86b7354d0da799057fe35ec257a3ff9a2]

fixing tools types in source/graphicfilter/ipict/shape.cxx


2011-03-13  Norbert Thiebaud  <nthiebaud@gmail.com>  [25c7b4581136541636a34c7f205601cc36998534]

convert tools type in lotuswordpro


2011-03-13  Norbert Thiebaud  <nthiebaud@gmail.com>  [90bbf7591236a20e68ec5676a3cfe1c9ce69ffb1]

fix mis-merge in oox


2011-03-13  Norbert Thiebaud  <nthiebaud@gmail.com>  [b66d22071298ef0432f20ee6f8224b5a78c16432]

fix mis-merge (mostly tools type remnants)


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [48871c43ce76f86108161e4b259ef99d5da9548b]

Fix non-debug build


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [29f2f3e6b8a97434ac91a5a3cce94746823a2221]

Fix non-debug build


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [9fa58fb2efc293ee3e83bd3e4e066127b8fcd428]

OSL_TRACE: Use format string for GetBuffer()


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [b1fd1741488686279bc35bde4982da0f0cc4eee7]

Use getStr() on OString


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [739f6e375da4260481d3fd6cd988e243b92e2f39]

Move OSL_ENSURE(0,...) to OSL_FAIL(...)


2011-03-12  Thomas Arnhold  <thomas@arnhold.org>  [1f635676ccfa3bbbaafb98df9bb6de8c51a29b6a]

Move OSL_ENSURE(false,...) to OSL_FAIL(...)


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [e01652f342aea58c7323e8e98f155706d3785972]

Move DBG_TRACE to OSL_TRACE for a macro


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [f43f259a61d51087d14ad8013a89aa060cd5fdfe]

Move DBG_TRACE to OSL_TRACE for strings GetBuffer()


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [db91229afaee88bedf3fbbafe69e16ff5128e0f9]

Use GetBuffer() for String


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [d8db51d3fb91ae544d519c7b697f6f90c1f9df05]

Move DBG_TRACE to OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [54a84084b3b76d1c32ea481b0982b10334146226]

Move DBG_TRACE* to OSL_TRACE for some macros


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [82b8a7486624548e6f8e648ce9d1d43049e4a38b]

Move DBG_TRACE5 to OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [036b71a864a1c7c6a41666bb14e64d4382fff041]

Move DBG_TRACE4 to OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [1fddd64ea9973d931690c7c6923cb228c70da824]

Move DBG_TRACE1 to OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [ad772524d0e4832793c6fed2ec0240d55330686c]

Move #ifdef DBG_UTIL to #if OSL_DEBUG_LEVEL > 1 for OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [ae63e8078925f7c13b221784d6cc73a92d7d5aee]

Move DBG_ERROR2 to OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [5df3c64d0ec5ede6377735190681d0495352e4db]

Move DBG_ERROR1 to OSL_TRACE


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [dcbc29b3bb2eb981b48fd8340ca1bce693c58e0b]

Move DBG_ERROR to OSL_FAIL for preprocessor string literals


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [d0c432d2a338b55e14be42e5bf29c573a6c466f6]

Move DBG_ERROR to OSL_FAIL (multiline)


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [77f722ecc150792da0fd10b97dff7469032286d1]

Move DBG_ERROR to OSL_FAIL for strings with masked quotation marks


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [803e03cf76b1cc9aee6eafa1aaf4f4b483b34a37]

Move DBG_ERROR to OSL_FAIL for getStr()


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [620b5f25c006a468fba405a55b9254078f542b90]

Move DBG_ERROR to OSL_FAIL for strings foo().GetBuffer()


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [4bc1cb9ddf6931fd95d0619486554ab7fe23f753]

Remove dead code


2011-03-11  Thomas Arnhold  <thomas@arnhold.org>  [d230fc3425da549d117d2a7edd700879c1c90111]

Move DBG_ERROR to OSL_FAIL for strings GetBuffer()


2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [b29e6744ec4b23ec039d3c534e31eb080bea4be1]

throw out some warnings


2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [d9cc266f0d72d1bc6bfd42f34827cef31eb45a23]

WaE: mark this dir as warnings free


2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [a3255a5e1d00f137ea6009633604ad99969a6ad6]

WaE: mark this dir as warnings free


2011-03-10  Caolán McNamara  <caolanm@redhat.com>  [b2e41e6c07cc30dc7da8ae7d7ff4ff474c7cc839]

unroll this to help out simple minded compiler


2011-03-10  Norbert Thiebaud  <nthiebaud@gmail.com>  [b707ea03af297ef8fdc1e40fa2a2ac30ee7f0098]

fix mis-merge in binfilter


2011-03-09  Norbert Thiebaud  <nthiebaud@gmail.com>  [eeae2c57504853de104498e33d513c00b6feb535]

Merge commit 'ooo/DEV300_m101' into integration/dev300_m101

* commit 'ooo/DEV300_m101': (252 commits)
  masterfix DEV300: #i10000# usage of L10N build_type
  ab80: Adding changes of cws mib21, ab77, ab77run2, dr77i to dev300
  DEV300 masterfix: #i116747#: remove pre-OSX Mac resoure fork definition files (*.r)
  hr75: #i116747#: remove obsolete copyright notices
  hr75: #i116747#: remove pre-OSX Mac resoure fork definition files (*.r)
  #i10000# WAE: cast to right type
  gnumake3: remove comphelper version; fix including extract.hxx
  chart52: #i28670# import/export of manual chart legend size from/to XLS
  chart52: #i28670# import of manual chart legend size from OOXML
  chart52: adapt to changed API
  removetooltypes: adjust rebase for linux
  removetooltypes01: #i112600# adjust rebase for windows
  removetooltypes01: #i112600# Fix build problems on non-pro
  CWS gnumake3: -D_DLL is needed on Windows; removed superficial _DLL_ usage all over the place
  added some accessible names and releations in PDFImport dialog and XML Settings dialog
  masterfix: #i10000# header file removed
  XPathLogger.cxx: added include for <stdio.h>
  masterfix: #i10000#: WAE fix
  removetooltypes01: #i112600# Remove tool types from binfilter, starmath, svx, toolkit and xmloff
  removetooltypes01: #i112600# remove tooltypes from writerfilter
  ...

Conflicts:
	binfilter/bf_basic/source/classes/sbunoobj.cxx
	binfilter/bf_basic/source/inc/buffer.hxx
	binfilter/bf_basic/source/inc/filefmt.hxx
	binfilter/bf_basic/source/runtime/basrdll.cxx
	binfilter/bf_basic/source/sbx/sbxdec.hxx
	binfilter/bf_basic/source/sbx/sbxres.hxx
	binfilter/bf_forms/source/component/DatabaseForm.hxx
	binfilter/bf_forms/source/component/forms_CheckBox.cxx
	binfilter/bf_forms/source/component/forms_ComboBox.cxx
	binfilter/bf_forms/source/component/forms_Currency.cxx
	binfilter/bf_forms/source/component/forms_Date.cxx
	binfilter/bf_forms/source/component/forms_Edit.cxx
	binfilter/bf_forms/source/component/forms_File.cxx
	binfilter/bf_forms/source/component/forms_Filter.cxx
	binfilter/bf_forms/source/component/forms_FormComponent.cxx
	binfilter/bf_forms/source/component/forms_FormattedField.cxx
	binfilter/bf_forms/source/component/forms_GroupManager.cxx
	binfilter/bf_forms/source/component/forms_Hidden.cxx
	binfilter/bf_forms/source/component/forms_ImageControl.cxx
	binfilter/bf_forms/source/component/forms_ListBox.cxx
	binfilter/bf_forms/source/component/forms_Numeric.cxx
	binfilter/bf_forms/source/component/forms_Pattern.cxx
	binfilter/bf_forms/source/component/forms_RadioButton.cxx
	binfilter/bf_forms/source/component/forms_Time.cxx
	binfilter/bf_forms/source/misc/forms_formsmodule.cxx
	binfilter/bf_forms/source/misc/forms_services.cxx
	binfilter/bf_forms/source/resource/forms_frm_resource.cxx
	binfilter/bf_sc/source/core/inc/ansitab.hxx
	binfilter/bf_sc/source/core/tool/sc_compiler.cxx
	binfilter/bf_sc/source/ui/docshell/sc_docsh.cxx
	binfilter/bf_sc/source/ui/inc/dbdocfun.hxx
	binfilter/bf_sc/source/ui/inc/drawutil.hxx
	binfilter/bf_sc/source/ui/inc/dwfunctr.hxx
	binfilter/bf_sc/source/ui/inc/editable.hxx
	binfilter/bf_sc/source/ui/inc/gridmerg.hxx
	binfilter/bf_sc/source/ui/inc/imoptdlg.hxx
	binfilter/bf_sc/source/ui/inc/namecrea.hxx
	binfilter/bf_sc/source/ui/inc/navsett.hxx
	binfilter/bf_sc/source/ui/inc/refundo.hxx
	binfilter/bf_sc/source/ui/inc/undoolk.hxx
	binfilter/bf_sc/source/ui/inc/viewutil.hxx
	binfilter/bf_sc/source/ui/unoobj/sc_appluno.cxx
	binfilter/bf_sch/source/ui/app/sch_menu.src
	binfilter/bf_sch/source/ui/inc/globopt.hxx
	binfilter/bf_sch/source/ui/inc/guiutil.hxx
	binfilter/bf_sch/source/ui/unoidl/sch_register.cxx
	binfilter/bf_sd/source/filter/bin/sd_sdbinfilter.cxx
	binfilter/bf_sd/source/filter/propread.hxx
	binfilter/bf_sd/source/filter/xml/sd_sdxmlwrp.cxx
	binfilter/bf_sd/source/ui/inc/unokywds.hxx
	binfilter/bf_sd/source/ui/unoidl/sd_facreg.cxx
	binfilter/bf_sfx2/source/appl/sfx2_appmain.cxx
	binfilter/bf_sfx2/source/appl/sfx2_appuno.cxx
	binfilter/bf_sfx2/source/doc/sfx2_objserv.cxx
	binfilter/bf_sfx2/source/inc/fltoptint.hxx
	binfilter/bf_sfx2/source/inc/sfxtypes.hxx
	binfilter/bf_so3/inc/binddata.hxx
	binfilter/bf_so3/source/inplace/client.cxx
	binfilter/bf_so3/source/ole/socont.h
	binfilter/bf_so3/source/persist/binddata.cxx
	binfilter/bf_so3/source/persist/transbnd.cxx
	binfilter/bf_so3/source/persist/transprt.cxx
	binfilter/bf_starmath/source/starmath_register.cxx
	binfilter/bf_svtools/source/config/svt_menuoptions.cxx
	binfilter/bf_svtools/source/config/svt_saveopt.cxx
	binfilter/bf_svtools/source/config/svt_searchopt.cxx
	binfilter/bf_svtools/source/filter.vcl/igif/decode.hxx
	binfilter/bf_svtools/source/items1/svt_cenumitm.cxx
	binfilter/bf_svtools/source/items1/svt_poolio.cxx
	binfilter/bf_svtools/source/misc/svt_ehdl.cxx
	binfilter/bf_svtools/source/misc1/svt_adrparse.cxx
	binfilter/bf_svtools/source/misc1/svt_inethist.cxx
	binfilter/bf_svtools/source/numbers/numfmuno.hxx
	binfilter/bf_svtools/source/numbers/numhead.hxx
	binfilter/bf_svtools/source/numbers/svt_numfmuno.cxx
	binfilter/bf_svtools/source/numbers/svt_numuno.cxx
	binfilter/bf_svtools/source/numbers/zforscan.hxx
	binfilter/bf_svtools/source/svdde/ddeimp.hxx
	binfilter/bf_svtools/source/uno/svt_registerservices.cxx
	binfilter/bf_svx/source/editeng/svx_editattr.cxx
	binfilter/bf_svx/source/inc/dbtoolsclient.hxx
	binfilter/bf_svx/source/items/svx_paperinf.cxx
	binfilter/bf_svx/source/outliner/paralist.hxx
	binfilter/bf_svx/source/svdraw/svdtxhdl.hxx
	binfilter/bf_svx/source/svdraw/svx_svdattr.cxx
	binfilter/bf_svx/source/unodraw/svx_unoctabl.cxx
	binfilter/bf_svx/source/unodraw/svx_unoprov.cxx
	binfilter/bf_svx/source/xoutdev/svx_xfontmac.cxx
	binfilter/bf_sw/source/core/bastyp/sw_index.cxx
	binfilter/bf_sw/source/core/except/sw_errhdl.cxx
	binfilter/bf_sw/source/core/inc/docfld.hxx
	binfilter/bf_sw/source/core/inc/flowfrm.hxx
	binfilter/bf_sw/source/core/inc/frame.hxx
	binfilter/bf_sw/source/core/inc/hffrm.hxx
	binfilter/bf_sw/source/core/inc/notxtfrm.hxx
	binfilter/bf_sw/source/core/inc/pamtyp.hxx
	binfilter/bf_sw/source/core/inc/rowfrm.hxx
	binfilter/bf_sw/source/core/inc/sectfrm.hxx
	binfilter/bf_sw/source/core/inc/splargs.hxx
	binfilter/bf_sw/source/core/inc/splcstk.hxx
	binfilter/bf_sw/source/core/inc/swblocks.hxx
	binfilter/bf_sw/source/core/inc/tabfrm.hxx
	binfilter/bf_sw/source/core/inc/toxhlp.hxx
	binfilter/bf_sw/source/core/inc/txmsrt.hxx
	binfilter/bf_sw/source/core/inc/txtfrm.hxx
	binfilter/bf_sw/source/core/layout/virtoutp.hxx
	binfilter/bf_sw/source/core/sw3io/crypter.hxx
	binfilter/bf_sw/source/core/sw3io/sw3imp.hxx
	binfilter/bf_sw/source/core/sw3io/sw3marks.hxx
	binfilter/bf_sw/source/core/sw3io/sw_sw3imp.cxx
	binfilter/bf_sw/source/core/sw3io/sw_sw3io.cxx
	binfilter/bf_sw/source/core/swg/rdswg.hxx
	binfilter/bf_sw/source/core/swg/swgids.hxx
	binfilter/bf_sw/source/core/text/guess.hxx
	binfilter/bf_sw/source/core/text/itratr.hxx
	binfilter/bf_sw/source/core/unocore/sw_unoobj.cxx
	binfilter/bf_sw/source/core/unocore/sw_unoobj2.cxx
	binfilter/bf_sw/source/filter/basflt/sw_fltini.cxx
	binfilter/bf_sw/source/filter/excel/excfntbf.hxx
	binfilter/bf_sw/source/filter/excel/excvfbff.hxx
	binfilter/bf_sw/source/filter/excel/excxfbuf.hxx
	binfilter/bf_sw/source/filter/inc/fltglbls.hxx
	binfilter/bf_sw/source/filter/inc/fltini.hxx
	binfilter/bf_sw/source/filter/inc/w4wflt.hxx
	binfilter/bf_sw/source/filter/inc/w4wpar.hxx
	binfilter/bf_sw/source/filter/inc/w4wstk.hxx
	binfilter/bf_sw/source/filter/inc/wrt_fn.hxx
	binfilter/bf_sw/source/filter/inc/wrtswtbl.hxx
	binfilter/bf_sw/source/filter/w4w/w4wgraf.hxx
	binfilter/bf_sw/source/filter/w4w/wrtw4w.hxx
	binfilter/bf_sw/source/filter/xml/sw_swxml.cxx
	binfilter/bf_sw/source/filter/xml/sw_xmliteme.cxx
	binfilter/bf_sw/source/filter/xml/xmlexpit.hxx
	binfilter/bf_sw/source/filter/xml/xmlimpit.hxx
	binfilter/bf_sw/source/filter/xml/xmlitem.hxx
	binfilter/bf_sw/source/filter/xml/xmltbli.hxx
	binfilter/bf_sw/source/ui/app/sw_docsh.cxx
	binfilter/bf_sw/source/ui/app/sw_docshini.cxx
	binfilter/bf_sw/source/ui/dbui/sw_dbmgr.cxx
	binfilter/bf_sw/source/ui/inc/bmpwin.hxx
	binfilter/bf_sw/source/ui/inc/caption.hxx
	binfilter/bf_sw/source/ui/inc/docinf.hxx
	binfilter/bf_sw/source/ui/inc/fontcfg.hxx
	binfilter/bf_sw/source/ui/inc/formedt.hxx
	binfilter/bf_sw/source/ui/inc/hdftctrl.hxx
	binfilter/bf_sw/source/ui/inc/idxmrk.hxx
	binfilter/bf_sw/source/ui/inc/initui.hxx
	binfilter/bf_sw/source/ui/inc/modcfg.hxx
	binfilter/bf_sw/source/ui/inc/pview.hxx
	binfilter/bf_sw/source/ui/inc/scroll.hxx
	binfilter/bf_sw/source/ui/inc/swcont.hxx
	binfilter/bf_sw/source/ui/inc/uitool.hxx
	binfilter/bf_sw/source/ui/inc/unotxvw.hxx
	binfilter/bf_sw/source/ui/inc/usrpref.hxx
	binfilter/bf_sw/source/ui/inc/workctrl.hxx
	binfilter/bf_sw/source/ui/inc/wrtsh.hxx
	binfilter/bf_sw/source/ui/uno/sw_unofreg.cxx
	binfilter/bf_xmloff/source/core/xmloff_facreg.cxx
	binfilter/bf_xmloff/source/core/xmloff_xmluconv.cxx
	binfilter/bf_xmloff/source/forms/xmloff_elementexport.cxx
	binfilter/bf_xmloff/source/forms/xmloff_formenums.cxx
	binfilter/bf_xmloff/source/forms/xmloff_layerimport.cxx
	binfilter/bf_xmloff/source/style/xmloff_EnumPropertyHdl.cxx
	binfilter/bf_xmloff/source/style/xmloff_adjushdl.cxx
	binfilter/bf_xmloff/source/style/xmloff_weighhdl.cxx
	binfilter/bf_xmloff/source/text/xmloff_txtimp.cxx
	binfilter/binfilterdetect/source/bindetect.cxx
	binfilter/filter/source/bf_migrate/bf_migrateexports.cxx
	binfilter/filter/source/bf_migrate/bf_migratefilter.cxx
	binfilter/filter/source/bf_migrate/bf_migratefilter.hxx
	binfilter/filter/source/bf_offwrp/bf_wrapper.cxx
	binfilter/inc/bf_basic/basmgr.hxx
	binfilter/inc/bf_basic/sbmeth.hxx
	binfilter/inc/bf_basic/sbstar.hxx
	binfilter/inc/bf_basic/sbx.hxx
	binfilter/inc/bf_basic/sbxcore.hxx
	binfilter/inc/bf_basic/sbxdef.hxx
	binfilter/inc/bf_basic/sbxfac.hxx
	binfilter/inc/bf_basic/sbxobj.hxx
	binfilter/inc/bf_basic/sbxvar.hxx
	binfilter/inc/bf_goodies/b3dcolor.hxx
	binfilter/inc/bf_goodies/b3dcompo.hxx
	binfilter/inc/bf_goodies/b3dentty.hxx
	binfilter/inc/bf_goodies/b3dgeom.hxx
	binfilter/inc/bf_goodies/b3dlight.hxx
	binfilter/inc/bf_goodies/b3dtex.hxx
	binfilter/inc/bf_goodies/b3dtrans.hxx
	binfilter/inc/bf_goodies/b3dvolum.hxx
	binfilter/inc/bf_goodies/base3d.hxx
	binfilter/inc/bf_goodies/bucket.hxx
	binfilter/inc/bf_goodies/hmatrix.hxx
	binfilter/inc/bf_goodies/matril3d.hxx
	binfilter/inc/bf_goodies/matrix3d.hxx
	binfilter/inc/bf_goodies/point3d.hxx
	binfilter/inc/bf_goodies/point4d.hxx
	binfilter/inc/bf_goodies/vector3d.hxx
	binfilter/inc/bf_sc/arealink.hxx
	binfilter/inc/bf_sc/bclist.hxx
	binfilter/inc/bf_sc/callform.hxx
	binfilter/inc/bf_sc/cellform.hxx
	binfilter/inc/bf_sc/chartuno.hxx
	binfilter/inc/bf_sc/chgviset.hxx
	binfilter/inc/bf_sc/collect.hxx
	binfilter/inc/bf_sc/column.hxx
	binfilter/inc/bf_sc/conditio.hxx
	binfilter/inc/bf_sc/consoli.hxx
	binfilter/inc/bf_sc/dbcolect.hxx
	binfilter/inc/bf_sc/dbdocutl.hxx
	binfilter/inc/bf_sc/dbtoken.hxx
	binfilter/inc/bf_sc/detdata.hxx
	binfilter/inc/bf_sc/detfunc.hxx
	binfilter/inc/bf_sc/dociter.hxx
	binfilter/inc/bf_sc/docpool.hxx
	binfilter/inc/bf_sc/docuno.hxx
	binfilter/inc/bf_sc/dpobject.hxx
	binfilter/inc/bf_sc/dpoutput.hxx
	binfilter/inc/bf_sc/dpsave.hxx
	binfilter/inc/bf_sc/dpshttab.hxx
	binfilter/inc/bf_sc/dptabdat.hxx
	binfilter/inc/bf_sc/dptabres.hxx
	binfilter/inc/bf_sc/drawpage.hxx
	binfilter/inc/bf_sc/drwlayer.hxx
	binfilter/inc/bf_sc/editsrc.hxx
	binfilter/inc/bf_sc/fielduno.hxx
	binfilter/inc/bf_sc/filter.hxx
	binfilter/inc/bf_sc/fmtuno.hxx
	binfilter/inc/bf_sc/funcuno.hxx
	binfilter/inc/bf_sc/global.hxx
	binfilter/inc/bf_sc/hints.hxx
	binfilter/inc/bf_sc/indexmap.hxx
	binfilter/inc/bf_sc/inputopt.hxx
	binfilter/inc/bf_sc/markarr.hxx
	binfilter/inc/bf_sc/markdata.hxx
	binfilter/inc/bf_sc/navicfg.hxx
	binfilter/inc/bf_sc/optutil.hxx
	binfilter/inc/bf_sc/pagepar.hxx
	binfilter/inc/bf_sc/printopt.hxx
	binfilter/inc/bf_sc/prnsave.hxx
	binfilter/inc/bf_sc/progress.hxx
	binfilter/inc/bf_sc/rangelst.hxx
	binfilter/inc/bf_sc/rangenam.hxx
	binfilter/inc/bf_sc/rangeseq.hxx
	binfilter/inc/bf_sc/rangeutl.hxx
	binfilter/inc/bf_sc/rechead.hxx
	binfilter/inc/bf_sc/refdata.hxx
	binfilter/inc/bf_sc/refreshtimer.hxx
	binfilter/inc/bf_sc/scmod.hxx
	binfilter/inc/bf_sc/shapeuno.hxx
	binfilter/inc/bf_sc/sortparam.hxx
	binfilter/inc/bf_sc/stlsheet.hxx
	binfilter/inc/bf_sc/subtotal.hxx
	binfilter/inc/bf_sc/table.hxx
	binfilter/inc/bf_sc/tablink.hxx
	binfilter/inc/bf_sc/tabopparams.hxx
	binfilter/inc/bf_sc/textuno.hxx
	binfilter/inc/bf_sc/unoguard.hxx
	binfilter/inc/bf_sc/unowids.hxx
	binfilter/inc/bf_sc/userdat.hxx
	binfilter/inc/bf_sc/validat.hxx
	binfilter/inc/bf_sc/viewopti.hxx
	binfilter/inc/bf_sch/calculat.hxx
	binfilter/inc/bf_sch/charttyp.hxx
	binfilter/inc/bf_sch/chaxis.hxx
	binfilter/inc/bf_sch/chdescr.hxx
	binfilter/inc/bf_sch/docshell.hxx
	binfilter/inc/bf_sch/glob.hxx
	binfilter/inc/bf_sch/globfunc.hxx
	binfilter/inc/bf_sch/memchrt.hxx
	binfilter/inc/bf_sch/objfac.hxx
	binfilter/inc/bf_sch/schgroup.hxx
	binfilter/inc/bf_sch/stlsheet.hxx
	binfilter/inc/bf_sd/anminfo.hxx
	binfilter/inc/bf_sd/docshell.hxx
	binfilter/inc/bf_sd/drawdoc.hxx
	binfilter/inc/bf_sd/grdocsh.hxx
	binfilter/inc/bf_sd/sdattr.hxx
	binfilter/inc/bf_sfx2/app.hxx
	binfilter/inc/bf_sfx2/bitset.hxx
	binfilter/inc/bf_sfx2/docfac.hxx
	binfilter/inc/bf_sfx2/docfile.hxx
	binfilter/inc/bf_sfx2/docfilt.hxx
	binfilter/inc/bf_sfx2/docinf.hxx
	binfilter/inc/bf_sfx2/doctempl.hxx
	binfilter/inc/bf_sfx2/event.hxx
	binfilter/inc/bf_sfx2/fcontnr.hxx
	binfilter/inc/bf_sfx2/frameobj.hxx
	binfilter/inc/bf_sfx2/genlink.hxx
	binfilter/inc/bf_sfx2/interno.hxx
	binfilter/inc/bf_sfx2/minarray.hxx
	binfilter/inc/bf_sfx2/minstack.hxx
	binfilter/inc/bf_sfx2/misccfg.hxx
	binfilter/inc/bf_sfx2/plugobj.hxx
	binfilter/inc/bf_sfx2/printer.hxx
	binfilter/inc/bf_sfx2/saveopt.hxx
	binfilter/inc/bf_sfx2/sfxuno.hxx
	binfilter/inc/bf_sfx2/timestamp.hxx
	binfilter/inc/bf_so3/binding.hxx
	binfilter/inc/bf_so3/factory.hxx
	binfilter/inc/bf_so3/ipenv.hxx
	binfilter/inc/bf_so3/ipwin.hxx
	binfilter/inc/bf_so3/linkmgr.hxx
	binfilter/inc/bf_so3/linksrc.hxx
	binfilter/inc/bf_so3/lnkbase.hxx
	binfilter/inc/bf_so3/outplace.hxx
	binfilter/inc/bf_so3/persist.hxx
	binfilter/inc/bf_so3/protocol.hxx
	binfilter/inc/bf_so3/pseudo.hxx
	binfilter/inc/bf_so3/so2dll.hxx
	binfilter/inc/bf_so3/svstor.hxx
	binfilter/inc/bf_so3/transbnd.hxx
	binfilter/inc/bf_so3/transprt.hxx
	binfilter/inc/bf_starmath/symbol.hxx
	binfilter/inc/bf_starmath/unomodel.hxx
	binfilter/inc/bf_starmath/utility.hxx
	binfilter/inc/bf_starmath/xchar.hxx
	binfilter/inc/bf_svtools/DocumentInfoPreview.hxx
	binfilter/inc/bf_svtools/aeitem.hxx
	binfilter/inc/bf_svtools/apearcfg.hxx
	binfilter/inc/bf_svtools/bf_prewin.h
	binfilter/inc/bf_svtools/bintitem.hxx
	binfilter/inc/bf_svtools/brdcst.hxx
	binfilter/inc/bf_svtools/broadcast.hxx
	binfilter/inc/bf_svtools/cancel.hxx
	binfilter/inc/bf_svtools/cenumitm.hxx
	binfilter/inc/bf_svtools/cintitem.hxx
	binfilter/inc/bf_svtools/cntnrsrt.hxx
	binfilter/inc/bf_svtools/cntwall.hxx
	binfilter/inc/bf_svtools/cstitem.hxx
	binfilter/inc/bf_svtools/ctypeitm.hxx
	binfilter/inc/bf_svtools/custritm.hxx
	binfilter/inc/bf_svtools/dateitem.hxx
	binfilter/inc/bf_svtools/defaultoptions.hxx
	binfilter/inc/bf_svtools/dtritem.hxx
	binfilter/inc/bf_svtools/eitem.hxx
	binfilter/inc/bf_svtools/expander.hxx
	binfilter/inc/bf_svtools/filerec.hxx
	binfilter/inc/bf_svtools/filter.hxx
	binfilter/inc/bf_svtools/flagitem.hxx
	binfilter/inc/bf_svtools/flbytes.hxx
	binfilter/inc/bf_svtools/fltcall.hxx
	binfilter/inc/bf_svtools/fltdefs.hxx
	binfilter/inc/bf_svtools/frqitem.hxx
	binfilter/inc/bf_svtools/fstathelper.hxx
	binfilter/inc/bf_svtools/gifread.hxx
	binfilter/inc/bf_svtools/globalnameitem.hxx
	binfilter/inc/bf_svtools/hint.hxx
	binfilter/inc/bf_svtools/htmlout.hxx
	binfilter/inc/bf_svtools/httpcook.hxx
	binfilter/inc/bf_svtools/imap.hxx
	binfilter/inc/bf_svtools/imapcirc.hxx
	binfilter/inc/bf_svtools/imapobj.hxx
	binfilter/inc/bf_svtools/imappoly.hxx
	binfilter/inc/bf_svtools/imaprect.hxx
	binfilter/inc/bf_svtools/inethist.hxx
	binfilter/inc/bf_svtools/inidef.hxx
	binfilter/inc/bf_svtools/intitem.hxx
	binfilter/inc/bf_svtools/itemiter.hxx
	binfilter/inc/bf_svtools/itempool.hxx
	binfilter/inc/bf_svtools/itemset.hxx
	binfilter/inc/bf_svtools/jpeg.hxx
	binfilter/inc/bf_svtools/lckbitem.hxx
	binfilter/inc/bf_svtools/lingucfg.hxx
	binfilter/inc/bf_svtools/listener.hxx
	binfilter/inc/bf_svtools/lngmisc.hxx
	binfilter/inc/bf_svtools/loginerr.hxx
	binfilter/inc/bf_svtools/lstner.hxx
	binfilter/inc/bf_svtools/misccfg.hxx
	binfilter/inc/bf_svtools/nfkeytab.hxx
	binfilter/inc/bf_svtools/nranges.hxx
	binfilter/inc/bf_svtools/pngread.hxx
	binfilter/inc/bf_svtools/poolcach.hxx
	binfilter/inc/bf_svtools/ptitem.hxx
	binfilter/inc/bf_svtools/rectitem.hxx
	binfilter/inc/bf_svtools/reqitem.hxx
	binfilter/inc/bf_svtools/searchopt.hxx
	binfilter/inc/bf_svtools/sectctr.hxx
	binfilter/inc/bf_svtools/section.hxx
	binfilter/inc/bf_svtools/sgfbram.hxx
	binfilter/inc/bf_svtools/sgffilt.hxx
	binfilter/inc/bf_svtools/slstitm.hxx
	binfilter/inc/bf_svtools/style.hxx
	binfilter/inc/bf_svtools/svarray.hxx
	binfilter/inc/bf_svtools/svdde.hxx
	binfilter/inc/bf_svtools/svicnvw.hxx
	binfilter/inc/bf_svtools/svimpbox.hxx
	binfilter/inc/bf_svtools/svimpicn.hxx
	binfilter/inc/bf_svtools/syslocaleoptions.hxx
	binfilter/inc/bf_svtools/szitem.hxx
	binfilter/inc/bf_svtools/testtool.hxx
	binfilter/inc/bf_svtools/tfrmitem.hxx
	binfilter/inc/bf_svtools/tresitem.hxx
	binfilter/inc/bf_svtools/ttprops.hxx
	binfilter/inc/bf_svtools/undo.hxx
	binfilter/inc/bf_svtools/whiter.hxx
	binfilter/inc/bf_svtools/wmf.hxx
	binfilter/inc/bf_svtools/xbmread.hxx
	binfilter/inc/bf_svtools/xmlcnimp.hxx
	binfilter/inc/bf_svtools/xpmread.hxx
	binfilter/inc/bf_svtools/zforfind.hxx
	binfilter/inc/bf_svtools/zforlist.hxx
	binfilter/inc/bf_svtools/zformat.hxx
	binfilter/inc/bf_svx/boxobj.hxx
	binfilter/inc/bf_svx/camera3d.hxx
	binfilter/inc/bf_svx/cube3d.hxx
	binfilter/inc/bf_svx/def3d.hxx
	binfilter/inc/bf_svx/deflt3d.hxx
	binfilter/inc/bf_svx/dlight3d.hxx
	binfilter/inc/bf_svx/editdata.hxx
	binfilter/inc/bf_svx/editobj.hxx
	binfilter/inc/bf_svx/editstat.hxx
	binfilter/inc/bf_svx/editview.hxx
	binfilter/inc/bf_svx/extrud3d.hxx
	binfilter/inc/bf_svx/fmmodel.hxx
	binfilter/inc/bf_svx/fmpage.hxx
	binfilter/inc/bf_svx/forbiddencharacterstable.hxx
	binfilter/inc/bf_svx/gallery.hxx
	binfilter/inc/bf_svx/grfcrop.hxx
	binfilter/inc/bf_svx/lathe3d.hxx
	binfilter/inc/bf_svx/light3d.hxx
	binfilter/inc/bf_svx/linkmgr.hxx
	binfilter/inc/bf_svx/obj3d.hxx
	binfilter/inc/bf_svx/outliner.hxx
	binfilter/inc/bf_svx/outlobj.hxx
	binfilter/inc/bf_svx/plight3d.hxx
	binfilter/inc/bf_svx/pntobj3d.hxx
	binfilter/inc/bf_svx/poly3d.hxx
	binfilter/inc/bf_svx/polygn3d.hxx
	binfilter/inc/bf_svx/polyob3d.hxx
	binfilter/inc/bf_svx/polysc3d.hxx
	binfilter/inc/bf_svx/scene3d.hxx
	binfilter/inc/bf_svx/sdginitm.hxx
	binfilter/inc/bf_svx/sdooitm.hxx
	binfilter/inc/bf_svx/sdshitm.hxx
	binfilter/inc/bf_svx/sdtagitm.hxx
	binfilter/inc/bf_svx/sdtaiitm.hxx
	binfilter/inc/bf_svx/sdtcfitm.hxx
	binfilter/inc/bf_svx/sdynitm.hxx
	binfilter/inc/bf_svx/sphere3d.hxx
	binfilter/inc/bf_svx/svdattr.hxx
	binfilter/inc/bf_svx/svddrag.hxx
	binfilter/inc/bf_svx/svdetc.hxx
	binfilter/inc/bf_svx/svdhdl.hxx
	binfilter/inc/bf_svx/svdhlpln.hxx
	binfilter/inc/bf_svx/svdio.hxx
	binfilter/inc/bf_svx/svditer.hxx
	binfilter/inc/bf_svx/svdlayer.hxx
	binfilter/inc/bf_svx/svdmark.hxx
	binfilter/inc/bf_svx/svdmodel.hxx
	binfilter/inc/bf_svx/svdmrkv.hxx
	binfilter/inc/bf_svx/svdoattr.hxx
	binfilter/inc/bf_svx/svdocapt.hxx
	binfilter/inc/bf_svx/svdocirc.hxx
	binfilter/inc/bf_svx/svdoedge.hxx
	binfilter/inc/bf_svx/svdograf.hxx
	binfilter/inc/bf_svx/svdogrp.hxx
	binfilter/inc/bf_svx/svdomeas.hxx
	binfilter/inc/bf_svx/svdoole2.hxx
	binfilter/inc/bf_svx/svdopage.hxx
	binfilter/inc/bf_svx/svdopath.hxx
	binfilter/inc/bf_svx/svdorect.hxx
	binfilter/inc/bf_svx/svdosmbr.hxx
	binfilter/inc/bf_svx/svdosmev.hxx
	binfilter/inc/bf_svx/svdosmrt.hxx
	binfilter/inc/bf_svx/svdotext.hxx
	binfilter/inc/bf_svx/svdouno.hxx
	binfilter/inc/bf_svx/svdovirt.hxx
	binfilter/inc/bf_svx/svdpage.hxx
	binfilter/inc/bf_svx/svdpagv.hxx
	binfilter/inc/bf_svx/svdpntv.hxx
	binfilter/inc/bf_svx/svdpool.hxx
	binfilter/inc/bf_svx/svdsob.hxx
	binfilter/inc/bf_svx/svdtouch.hxx
	binfilter/inc/bf_svx/svdtypes.hxx
	binfilter/inc/bf_svx/svdundo.hxx
	binfilter/inc/bf_svx/svdviter.hxx
	binfilter/inc/bf_svx/svdvmark.hxx
	binfilter/inc/bf_svx/svimbase.hxx
	binfilter/inc/bf_svx/svx3ditems.hxx
	binfilter/inc/bf_svx/svxfont.hxx
	binfilter/inc/bf_svx/swafopt.hxx
	binfilter/inc/bf_svx/sxcaitm.hxx
	binfilter/inc/bf_svx/sxcecitm.hxx
	binfilter/inc/bf_svx/sxcllitm.hxx
	binfilter/inc/bf_svx/sxmbritm.hxx
	binfilter/inc/bf_svx/sxmspitm.hxx
	binfilter/inc/bf_svx/sxmsuitm.hxx
	binfilter/inc/bf_svx/sxmtaitm.hxx
	binfilter/inc/bf_svx/sxmtfitm.hxx
	binfilter/inc/bf_svx/sxmtritm.hxx
	binfilter/inc/bf_svx/sxopitm.hxx
	binfilter/inc/bf_svx/unoedsrc.hxx
	binfilter/inc/bf_svx/unoforou.hxx
	binfilter/inc/bf_svx/unolingu.hxx
	binfilter/inc/bf_svx/unoshape.hxx
	binfilter/inc/bf_svx/unotext.hxx
	binfilter/inc/bf_svx/unoviwed.hxx
	binfilter/inc/bf_svx/unoviwou.hxx
	binfilter/inc/bf_svx/viewpt3d.hxx
	binfilter/inc/bf_svx/volume3d.hxx
	binfilter/inc/bf_svx/xbitmap.hxx
	binfilter/inc/bf_svx/xflbckit.hxx
	binfilter/inc/bf_svx/xflbmsli.hxx
	binfilter/inc/bf_svx/xflbmtit.hxx
	binfilter/inc/bf_svx/xflbstit.hxx
	binfilter/inc/bf_svx/xflftrit.hxx
	binfilter/inc/bf_svx/xflgrit.hxx
	binfilter/inc/bf_svx/xflhtit.hxx
	binfilter/inc/bf_svx/xftmrit.hxx
	binfilter/inc/bf_svx/xit.hxx
	binfilter/inc/bf_svx/xlndsit.hxx
	binfilter/inc/bf_svx/xlnedcit.hxx
	binfilter/inc/bf_svx/xlnstcit.hxx
	binfilter/inc/bf_svx/xmlcnitm.hxx
	binfilter/inc/bf_svx/xmlgrhlp.hxx
	binfilter/inc/bf_svx/xoutbmp.hxx
	binfilter/inc/bf_svx/xoutx.hxx
	binfilter/inc/bf_svx/xpoly.hxx
	binfilter/inc/bf_svx/xpolyimp.hxx
	binfilter/inc/bf_svx/xpool.hxx
	binfilter/inc/bf_svx/xtextit0.hxx
	binfilter/inc/bf_svx/zoomitem.hxx
	binfilter/inc/bf_sw/accessibilityoptions.hxx
	binfilter/inc/bf_sw/authfld.hxx
	binfilter/inc/bf_sw/authratr.hxx
	binfilter/inc/bf_sw/bparr.hxx
	binfilter/inc/bf_sw/breakit.hxx
	binfilter/inc/bf_sw/calbck.hxx
	binfilter/inc/bf_sw/cellatr.hxx
	binfilter/inc/bf_sw/cellfml.hxx
	binfilter/inc/bf_sw/charatr.hxx
	binfilter/inc/bf_sw/crsrsh.hxx
	binfilter/inc/bf_sw/crsskip.hxx
	binfilter/inc/bf_sw/cshtyp.hxx
	binfilter/inc/bf_sw/ddefld.hxx
	binfilter/inc/bf_sw/docary.hxx
	binfilter/inc/bf_sw/docfac.hxx
	binfilter/inc/bf_sw/docsh.hxx
	binfilter/inc/bf_sw/docstat.hxx
	binfilter/inc/bf_sw/docufld.hxx
	binfilter/inc/bf_sw/dpage.hxx
	binfilter/inc/bf_sw/drawdoc.hxx
	binfilter/inc/bf_sw/editsh.hxx
	binfilter/inc/bf_sw/errhdl.hxx
	binfilter/inc/bf_sw/expfld.hxx
	binfilter/inc/bf_sw/fesh.hxx
	binfilter/inc/bf_sw/fmtanchr.hxx
	binfilter/inc/bf_sw/fmtclds.hxx
	binfilter/inc/bf_sw/fmtcnct.hxx
	binfilter/inc/bf_sw/fmtcntnt.hxx
	binfilter/inc/bf_sw/fmtfordr.hxx
	binfilter/inc/bf_sw/fmtfsize.hxx
	binfilter/inc/bf_sw/fmtftntx.hxx
	binfilter/inc/bf_sw/fmthdft.hxx
	binfilter/inc/bf_sw/fmtline.hxx
	binfilter/inc/bf_sw/fmtlsplt.hxx
	binfilter/inc/bf_sw/fmtornt.hxx
	binfilter/inc/bf_sw/fmtsrnd.hxx
	binfilter/inc/bf_sw/format.hxx
	binfilter/inc/bf_sw/frmatr.hxx
	binfilter/inc/bf_sw/frmfmt.hxx
	binfilter/inc/bf_sw/ftninfo.hxx
	binfilter/inc/bf_sw/grfatr.hxx
	binfilter/inc/bf_sw/hintids.hxx
	binfilter/inc/bf_sw/hints.hxx
	binfilter/inc/bf_sw/index.hxx
	binfilter/inc/bf_sw/iodetect.hxx
	binfilter/inc/bf_sw/linetype.hxx
	binfilter/inc/bf_sw/mdiexp.hxx
	binfilter/inc/bf_sw/ndarr.hxx
	binfilter/inc/bf_sw/ndindex.hxx
	binfilter/inc/bf_sw/ndole.hxx
	binfilter/inc/bf_sw/ndtxt.hxx
	binfilter/inc/bf_sw/ndtyp.hxx
	binfilter/inc/bf_sw/newhdl.hxx
	binfilter/inc/bf_sw/pagedesc.hxx
	binfilter/inc/bf_sw/pageiter.hxx
	binfilter/inc/bf_sw/paratr.hxx
	binfilter/inc/bf_sw/poolfmt.awk
	binfilter/inc/bf_sw/poolfmt.hxx
	binfilter/inc/bf_sw/pvprtdat.hxx
	binfilter/inc/bf_sw/redline.hxx
	binfilter/inc/bf_sw/reffld.hxx
	binfilter/inc/bf_sw/shellio.hxx
	binfilter/inc/bf_sw/sw3io.hxx
	binfilter/inc/bf_sw/swatrset.hxx
	binfilter/inc/bf_sw/swcrsr.hxx
	binfilter/inc/bf_sw/swdbdata.hxx
	binfilter/inc/bf_sw/swdbtoolsclient.hxx
	binfilter/inc/bf_sw/swevent.hxx
	binfilter/inc/bf_sw/swgpar.hxx
	binfilter/inc/bf_sw/swgstr.hxx
	binfilter/inc/bf_sw/swmodule.hxx
	binfilter/inc/bf_sw/swprtopt.hxx
	binfilter/inc/bf_sw/swrect.hxx
	binfilter/inc/bf_sw/swregion.hxx
	binfilter/inc/bf_sw/swserv.hxx
	binfilter/inc/bf_sw/swtable.hxx
	binfilter/inc/bf_sw/swtypes.hxx
	binfilter/inc/bf_sw/swunohelper.hxx
	binfilter/inc/bf_sw/swwait.hxx
	binfilter/inc/bf_sw/tgrditem.hxx
	binfilter/inc/bf_sw/toxwrap.hxx
	binfilter/inc/bf_sw/txatbase.hxx
	binfilter/inc/bf_sw/txatritr.hxx
	binfilter/inc/bf_sw/txtatr.hxx
	binfilter/inc/bf_sw/txtftn.hxx
	binfilter/inc/bf_sw/txtinet.hxx
	binfilter/inc/bf_sw/undobj.hxx
	binfilter/inc/bf_sw/unoatxt.hxx
	binfilter/inc/bf_sw/unocoll.hxx
	binfilter/inc/bf_sw/unocrsr.hxx
	binfilter/inc/bf_sw/unodraw.hxx
	binfilter/inc/bf_sw/unoevtlstnr.hxx
	binfilter/inc/bf_sw/unofield.hxx
	binfilter/inc/bf_sw/unoframe.hxx
	binfilter/inc/bf_sw/unoidx.hxx
	binfilter/inc/bf_sw/unoobj.hxx
	binfilter/inc/bf_sw/unoport.hxx
	binfilter/inc/bf_sw/unoprnms.hxx
	binfilter/inc/bf_sw/unoredline.hxx
	binfilter/inc/bf_sw/unoredlines.hxx
	binfilter/inc/bf_sw/unosrch.hxx
	binfilter/inc/bf_sw/unostyle.hxx
	binfilter/inc/bf_sw/unotbl.hxx
	binfilter/inc/bf_sw/unotxdoc.hxx
	binfilter/inc/bf_sw/viewopt.hxx
	binfilter/inc/bf_sw/viewsh.hxx
	binfilter/inc/bf_sw/viscrs.hxx
	binfilter/inc/bf_xmloff/NamedBoolPropertyHdl.hxx
	binfilter/inc/bf_xmloff/VisAreaContext.hxx
	binfilter/inc/bf_xmloff/i18nmap.hxx
	binfilter/inc/bf_xmloff/sdxmlexp.hxx
	binfilter/inc/bf_xmloff/styleexp.hxx
	binfilter/inc/bf_xmloff/txtfldi.hxx
	binfilter/inc/bf_xmloff/xexptran.hxx
	binfilter/inc/bf_xmloff/xmlcnimp.hxx
	binfilter/inc/bf_xmloff/xmlcnitm.hxx
	binfilter/inc/bf_xmloff/xmlehelp.hxx
	binfilter/inc/bf_xmloff/xmlexp.hxx
	binfilter/inc/bf_xmloff/xmlictxt.hxx
	binfilter/inc/bf_xmloff/xmlimppr.hxx
	binfilter/inc/bf_xmloff/xmlnume.hxx
	binfilter/inc/bf_xmloff/xmlnumfi.hxx
	binfilter/inc/bf_xmloff/xmlstyle.hxx
	binfilter/inc/bf_xmloff/xmltoken.hxx
	binfilter/inc/bf_xmloff/xmluconv.hxx
	filter/inc/filter/msfilter/escherex.hxx
	filter/inc/filter/msfilter/msdffimp.hxx
	filter/inc/filter/msfilter/svdfppt.hxx
	filter/inc/filter/msfilter/svxmsbas.hxx
	filter/inc/registration.hxx
	filter/source/docbook/sofftodocbookheadings.xsl
	filter/source/flash/swfuno.cxx
	filter/source/flash/swfwriter1.cxx
	filter/source/graphicfilter/egif/dlgegif.cxx
	filter/source/graphicfilter/egif/egif.cxx
	filter/source/graphicfilter/egif/makefile.mk
	filter/source/graphicfilter/eos2met/dlgeos2.cxx
	filter/source/graphicfilter/eos2met/dlgeos2.hxx
	filter/source/graphicfilter/eos2met/eos2met.cxx
	filter/source/graphicfilter/eos2met/makefile.mk
	filter/source/graphicfilter/epbm/dlgepbm.cxx
	filter/source/graphicfilter/epbm/epbm.cxx
	filter/source/graphicfilter/epbm/makefile.mk
	filter/source/graphicfilter/epgm/dlgepgm.cxx
	filter/source/graphicfilter/epgm/dlgepgm.hxx
	filter/source/graphicfilter/epgm/epgm.cxx
	filter/source/graphicfilter/epgm/makefile.mk
	filter/source/graphicfilter/epict/dlgepct.cxx
	filter/source/graphicfilter/epict/epict.cxx
	filter/source/graphicfilter/epict/makefile.mk
	filter/source/graphicfilter/eppm/dlgeppm.cxx
	filter/source/graphicfilter/eppm/dlgeppm.hxx
	filter/source/graphicfilter/eppm/eppm.cxx
	filter/source/graphicfilter/eppm/makefile.mk
	filter/source/graphicfilter/eps/dlgeps.cxx
	filter/source/graphicfilter/eps/dlgeps.hxx
	filter/source/graphicfilter/eps/eps.cxx
	filter/source/graphicfilter/eps/makefile.mk
	filter/source/graphicfilter/eras/eras.cxx
	filter/source/graphicfilter/etiff/etiff.cxx
	filter/source/graphicfilter/expm/expm.cxx
	filter/source/graphicfilter/icgm/actimpr.cxx
	filter/source/graphicfilter/idxf/dxf2mtf.cxx
	filter/source/graphicfilter/idxf/dxf2mtf.hxx
	filter/source/graphicfilter/idxf/dxfgrprd.cxx
	filter/source/graphicfilter/idxf/dxfgrprd.hxx
	filter/source/graphicfilter/idxf/idxf.cxx
	filter/source/graphicfilter/ieps/ieps.cxx
	filter/source/graphicfilter/ios2met/ios2met.cxx
	filter/source/graphicfilter/ipbm/ipbm.cxx
	filter/source/graphicfilter/ipcd/ipcd.cxx
	filter/source/graphicfilter/ipcx/ipcx.cxx
	filter/source/graphicfilter/ipict/ipict.cxx
	filter/source/graphicfilter/ipict/makefile.mk
	filter/source/graphicfilter/ipsd/ipsd.cxx
	filter/source/graphicfilter/iras/iras.cxx
	filter/source/graphicfilter/itga/itga.cxx
	filter/source/graphicfilter/itiff/itiff.cxx
	filter/source/msfilter/escherex.cxx
	filter/source/msfilter/eschesdo.cxx
	filter/source/msfilter/eschesdo.hxx
	filter/source/msfilter/makefile.mk
	filter/source/msfilter/msdffimp.cxx
	filter/source/msfilter/msocximex.cxx
	filter/source/msfilter/msoleexp.cxx
	filter/source/msfilter/msvbahelper.cxx
	filter/source/msfilter/powerpoint/pptimporteruno.cxx
	filter/source/msfilter/svdfppt.cxx
	filter/source/msfilter/svxmsbas.cxx
	filter/source/pdf/pdfexport.cxx
	filter/source/pdf/pdfuno.cxx
	filter/source/placeware/uno.cxx
	filter/source/svg/makefile.mk
	filter/source/svg/svgexport.cxx
	filter/source/svg/svgfontexport.cxx
	filter/source/svg/svguno.cxx
	filter/source/svg/svgwriter.cxx
	filter/source/t602/filterenv.cxx
	filter/source/xmlfilteradaptor/genericfilter.cxx
	filter/source/xmlfilterdetect/fdcomp.cxx
	filter/source/xslt/odf2xhtml/export/xhtml/body.xsl
	filter/source/xsltdialog/xmlfileview.cxx
	filter/source/xsltdialog/xmlfilterdialogcomponent.cxx
	filter/source/xsltfilter/XSLTFilter.cxx
	hwpfilter/source/hwpreader.hxx
	oox/inc/oox/core/binarycodec.hxx
	oox/inc/oox/core/binaryfilterbase.hxx
	oox/inc/oox/core/contexthandler.hxx
	oox/inc/oox/core/contexthandler2.hxx
	oox/inc/oox/core/fasttokenhandler.hxx
	oox/inc/oox/core/filterbase.hxx
	oox/inc/oox/core/filterdetect.hxx
	oox/inc/oox/core/fragmenthandler.hxx
	oox/inc/oox/core/fragmenthandler2.hxx
	oox/inc/oox/core/recordparser.hxx
	oox/inc/oox/core/relations.hxx
	oox/inc/oox/core/relationshandler.hxx
	oox/inc/oox/core/xmlfilterbase.hxx
	oox/inc/oox/drawingml/chart/axiscontext.hxx
	oox/inc/oox/drawingml/chart/axisconverter.hxx
	oox/inc/oox/drawingml/chart/axismodel.hxx
	oox/inc/oox/drawingml/chart/chartcontextbase.hxx
	oox/inc/oox/drawingml/chart/chartconverter.hxx
	oox/inc/oox/drawingml/chart/chartdrawingfragment.hxx
	oox/inc/oox/drawingml/chart/chartspaceconverter.hxx
	oox/inc/oox/drawingml/chart/chartspacefragment.hxx
	oox/inc/oox/drawingml/chart/chartspacemodel.hxx
	oox/inc/oox/drawingml/chart/converterbase.hxx
	oox/inc/oox/drawingml/chart/datasourcecontext.hxx
	oox/inc/oox/drawingml/chart/datasourceconverter.hxx
	oox/inc/oox/drawingml/chart/datasourcemodel.hxx
	oox/inc/oox/drawingml/chart/modelbase.hxx
	oox/inc/oox/drawingml/chart/objectformatter.hxx
	oox/inc/oox/drawingml/chart/plotareacontext.hxx
	oox/inc/oox/drawingml/chart/plotareaconverter.hxx
	oox/inc/oox/drawingml/chart/plotareamodel.hxx
	oox/inc/oox/drawingml/chart/seriescontext.hxx
	oox/inc/oox/drawingml/chart/seriesconverter.hxx
	oox/inc/oox/drawingml/chart/seriesmodel.hxx
	oox/inc/oox/drawingml/chart/titlecontext.hxx
	oox/inc/oox/drawingml/chart/titleconverter.hxx
	oox/inc/oox/drawingml/chart/titlemodel.hxx
	oox/inc/oox/drawingml/chart/typegroupcontext.hxx
	oox/inc/oox/drawingml/chart/typegroupconverter.hxx
	oox/inc/oox/drawingml/chart/typegroupmodel.hxx
	oox/inc/oox/drawingml/textbody.hxx
	oox/inc/oox/drawingml/textliststyle.hxx
	oox/inc/oox/drawingml/textparagraphproperties.hxx
	oox/inc/oox/helper/attributelist.hxx
	oox/inc/oox/helper/binaryinputstream.hxx
	oox/inc/oox/helper/binaryoutputstream.hxx
	oox/inc/oox/helper/binarystreambase.hxx
	oox/inc/oox/helper/containerhelper.hxx
	oox/inc/oox/helper/graphichelper.hxx
	oox/inc/oox/helper/helper.hxx
	oox/inc/oox/helper/modelobjecthelper.hxx
	oox/inc/oox/helper/progressbar.hxx
	oox/inc/oox/helper/propertymap.hxx
	oox/inc/oox/helper/propertyset.hxx
	oox/inc/oox/helper/textinputstream.hxx
	oox/inc/oox/ole/axbinaryreader.hxx
	oox/inc/oox/ole/axcontrolfragment.hxx
	oox/inc/oox/ole/olehelper.hxx
	oox/inc/oox/ole/oleobjecthelper.hxx
	oox/inc/oox/ole/vbacontrol.hxx
	oox/inc/oox/ole/vbainputstream.hxx
	oox/inc/oox/ole/vbamodule.hxx
	oox/inc/oox/ole/vbaproject.hxx
	oox/inc/oox/ole/vbaprojectfilter.hxx
	oox/inc/oox/token/propertynames.hxx
	oox/inc/oox/vml/vmldrawing.hxx
	oox/inc/oox/vml/vmldrawingfragment.hxx
	oox/inc/oox/vml/vmlformatting.hxx
	oox/inc/oox/vml/vmlinputstream.hxx
	oox/inc/oox/vml/vmlshape.hxx
	oox/inc/oox/vml/vmlshapecontainer.hxx
	oox/inc/oox/vml/vmlshapecontext.hxx
	oox/inc/oox/xls/addressconverter.hxx
	oox/inc/oox/xls/biffcodec.hxx
	oox/inc/oox/xls/biffdetector.hxx
	oox/inc/oox/xls/biffhelper.hxx
	oox/inc/oox/xls/biffinputstream.hxx
	oox/inc/oox/xls/biffoutputstream.hxx
	oox/inc/oox/xls/chartsheetfragment.hxx
	oox/inc/oox/xls/commentsbuffer.hxx
	oox/inc/oox/xls/commentsfragment.hxx
	oox/inc/oox/xls/condformatbuffer.hxx
	oox/inc/oox/xls/condformatcontext.hxx
	oox/inc/oox/xls/connectionsfragment.hxx
	oox/inc/oox/xls/defnamesbuffer.hxx
	oox/inc/oox/xls/drawingfragment.hxx
	oox/inc/oox/xls/excelchartconverter.hxx
	oox/inc/oox/xls/excelfilter.hxx
	oox/inc/oox/xls/excelhandlers.hxx
	oox/inc/oox/xls/excelvbaproject.hxx
	oox/inc/oox/xls/externallinkbuffer.hxx
	oox/inc/oox/xls/externallinkfragment.hxx
	oox/inc/oox/xls/formulabase.hxx
	oox/inc/oox/xls/formulaparser.hxx
	oox/inc/oox/xls/numberformatsbuffer.hxx
	oox/inc/oox/xls/ooxformulaparser.hxx
	oox/inc/oox/xls/pagesettings.hxx
	oox/inc/oox/xls/pivotcachebuffer.hxx
	oox/inc/oox/xls/pivotcachefragment.hxx
	oox/inc/oox/xls/pivottablebuffer.hxx
	oox/inc/oox/xls/pivottablefragment.hxx
	oox/inc/oox/xls/querytablefragment.hxx
	oox/inc/oox/xls/richstring.hxx
	oox/inc/oox/xls/richstringcontext.hxx
	oox/inc/oox/xls/scenariobuffer.hxx
	oox/inc/oox/xls/scenariocontext.hxx
	oox/inc/oox/xls/sharedformulabuffer.hxx
	oox/inc/oox/xls/sharedstringsbuffer.hxx
	oox/inc/oox/xls/sharedstringsfragment.hxx
	oox/inc/oox/xls/sheetdatacontext.hxx
	oox/inc/oox/xls/stylesbuffer.hxx
	oox/inc/oox/xls/stylesfragment.hxx
	oox/inc/oox/xls/tablebuffer.hxx
	oox/inc/oox/xls/tablefragment.hxx
	oox/inc/oox/xls/themebuffer.hxx
	oox/inc/oox/xls/unitconverter.hxx
	oox/inc/oox/xls/viewsettings.hxx
	oox/inc/oox/xls/webquerybuffer.hxx
	oox/inc/oox/xls/workbookfragment.hxx
	oox/inc/oox/xls/workbooksettings.hxx
	oox/inc/oox/xls/worksheetbuffer.hxx
	oox/inc/oox/xls/worksheetfragment.hxx
	oox/inc/oox/xls/worksheethelper.hxx
	oox/inc/oox/xls/worksheetsettings.hxx
	oox/prj/build.lst
	oox/prj/d.lst
	oox/source/core/binarycodec.cxx
	oox/source/core/binaryfilterbase.cxx
	oox/source/core/contexthandler.cxx
	oox/source/core/contexthandler2.cxx
	oox/source/core/facreg.cxx
	oox/source/core/fasttokenhandler.cxx
	oox/source/core/filterbase.cxx
	oox/source/core/filterdetect.cxx
	oox/source/core/fragmenthandler.cxx
	oox/source/core/fragmenthandler2.cxx
	oox/source/core/recordparser.cxx
	oox/source/core/relations.cxx
	oox/source/core/relationshandler.cxx
	oox/source/core/xmlfilterbase.cxx
	oox/source/docprop/ooxmldocpropimport.cxx
	oox/source/docprop/ooxmldocpropimport.hxx
	oox/source/drawingml/chart/axiscontext.cxx
	oox/source/drawingml/chart/axisconverter.cxx
	oox/source/drawingml/chart/axismodel.cxx
	oox/source/drawingml/chart/chartcontextbase.cxx
	oox/source/drawingml/chart/chartconverter.cxx
	oox/source/drawingml/chart/chartdrawingfragment.cxx
	oox/source/drawingml/chart/chartspaceconverter.cxx
	oox/source/drawingml/chart/chartspacefragment.cxx
	oox/source/drawingml/chart/chartspacemodel.cxx
	oox/source/drawingml/chart/converterbase.cxx
	oox/source/drawingml/chart/datasourcecontext.cxx
	oox/source/drawingml/chart/datasourceconverter.cxx
	oox/source/drawingml/chart/datasourcemodel.cxx
	oox/source/drawingml/chart/modelbase.cxx
	oox/source/drawingml/chart/objectformatter.cxx
	oox/source/drawingml/chart/plotareacontext.cxx
	oox/source/drawingml/chart/plotareaconverter.cxx
	oox/source/drawingml/chart/seriescontext.cxx
	oox/source/drawingml/chart/seriesconverter.cxx
	oox/source/drawingml/chart/seriesmodel.cxx
	oox/source/drawingml/chart/titlecontext.cxx
	oox/source/drawingml/chart/titleconverter.cxx
	oox/source/drawingml/chart/titlemodel.cxx
	oox/source/drawingml/chart/typegroupcontext.cxx
	oox/source/drawingml/chart/typegroupconverter.cxx
	oox/source/drawingml/chart/typegroupmodel.cxx
	oox/source/drawingml/shape.cxx
	oox/source/drawingml/shapecontext.cxx
	oox/source/drawingml/table/tableproperties.cxx
	oox/source/drawingml/textbodypropertiescontext.cxx
	oox/source/drawingml/textliststyle.cxx
	oox/source/drawingml/transform2dcontext.cxx
	oox/source/dump/biffdumper.cxx
	oox/source/dump/dffdumper.cxx
	oox/source/dump/dumperbase.cxx
	oox/source/dump/oledumper.cxx
	oox/source/dump/pptxdumper.cxx
	oox/source/dump/xlsbdumper.cxx
	oox/source/helper/attributelist.cxx
	oox/source/helper/binaryinputstream.cxx
	oox/source/helper/binarystreambase.cxx
	oox/source/helper/containerhelper.cxx
	oox/source/helper/graphichelper.cxx
	oox/source/helper/modelobjecthelper.cxx
	oox/source/helper/progressbar.cxx
	oox/source/helper/propertymap.cxx
	oox/source/helper/propertyset.cxx
	oox/source/helper/textinputstream.cxx
	oox/source/ole/axbinaryreader.cxx
	oox/source/ole/axcontrol.cxx
	oox/source/ole/olehelper.cxx
	oox/source/ole/oleobjecthelper.cxx
	oox/source/ole/vbacontrol.cxx
	oox/source/ole/vbamodule.cxx
	oox/source/ole/vbaproject.cxx
	oox/source/ole/vbaprojectfilter.cxx
	oox/source/ppt/customshowlistcontext.cxx
	oox/source/ppt/pptimport.cxx
	oox/source/ppt/pptshapegroupcontext.cxx
	oox/source/shape/FastTokenHandlerService.cxx
	oox/source/shape/FastTokenHandlerService.hxx
	oox/source/token/makefile.mk
	oox/source/token/namespacemap.cxx
	oox/source/token/properties.txt
	oox/source/token/propertynames.cxx
	oox/source/token/tokenmap.cxx
	oox/source/token/tokens.hxx.head
	oox/source/vml/vmldrawing.cxx
	oox/source/vml/vmldrawingfragment.cxx
	oox/source/vml/vmlformatting.cxx
	oox/source/vml/vmlinputstream.cxx
	oox/source/vml/vmlshape.cxx
	oox/source/vml/vmlshapecontainer.cxx
	oox/source/vml/vmlshapecontext.cxx
	oox/source/vml/vmltextbox.cxx
	oox/source/xls/addressconverter.cxx
	oox/source/xls/autofiltercontext.cxx
	oox/source/xls/biffcodec.cxx
	oox/source/xls/biffdetector.cxx
	oox/source/xls/biffhelper.cxx
	oox/source/xls/biffinputstream.cxx
	oox/source/xls/biffoutputstream.cxx
	oox/source/xls/chartsheetfragment.cxx
	oox/source/xls/commentsbuffer.cxx
	oox/source/xls/commentsfragment.cxx
	oox/source/xls/condformatbuffer.cxx
	oox/source/xls/condformatcontext.cxx
	oox/source/xls/connectionsfragment.cxx
	oox/source/xls/defnamesbuffer.cxx
	oox/source/xls/drawingfragment.cxx
	oox/source/xls/excelchartconverter.cxx
	oox/source/xls/excelfilter.cxx
	oox/source/xls/excelhandlers.cxx
	oox/source/xls/externallinkbuffer.cxx
	oox/source/xls/externallinkfragment.cxx
	oox/source/xls/formulabase.cxx
	oox/source/xls/formulaparser.cxx
	oox/source/xls/numberformatsbuffer.cxx
	oox/source/xls/ooxformulaparser.cxx
	oox/source/xls/pagesettings.cxx
	oox/source/xls/pivotcachebuffer.cxx
	oox/source/xls/pivotcachefragment.cxx
	oox/source/xls/pivottablebuffer.cxx
	oox/source/xls/pivottablefragment.cxx
	oox/source/xls/querytablefragment.cxx
	oox/source/xls/richstring.cxx
	oox/source/xls/richstringcontext.cxx
	oox/source/xls/scenariobuffer.cxx
	oox/source/xls/scenariocontext.cxx
	oox/source/xls/sharedformulabuffer.cxx
	oox/source/xls/sharedstringsbuffer.cxx
	oox/source/xls/sharedstringsfragment.cxx
	oox/source/xls/sheetdatacontext.cxx
	oox/source/xls/stylesbuffer.cxx
	oox/source/xls/stylesfragment.cxx
	oox/source/xls/tablebuffer.cxx
	oox/source/xls/tablefragment.cxx
	oox/source/xls/themebuffer.cxx
	oox/source/xls/unitconverter.cxx
	oox/source/xls/webquerybuffer.cxx
	oox/source/xls/workbookfragment.cxx
	oox/source/xls/workbookhelper.cxx
	oox/source/xls/workbooksettings.cxx
	oox/source/xls/worksheetbuffer.cxx
	oox/source/xls/worksheetfragment.cxx
	oox/source/xls/worksheethelper.cxx
	oox/source/xls/worksheetsettings.cxx
	unoxml/source/rdf/librdf_repository.cxx
	unoxml/source/xpath/xpathapi.hxx
	writerfilter/inc/resourcemodel/Fraction.hxx
	writerfilter/inc/resourcemodel/TagLogger.hxx
	writerfilter/inc/resourcemodel/XPathLogger.hxx
	writerfilter/source/dmapper/BorderHandler.cxx
	writerfilter/source/dmapper/CellColorHandler.cxx
	writerfilter/source/dmapper/CellColorHandler.hxx
	writerfilter/source/dmapper/CellMarginHandler.cxx
	writerfilter/source/dmapper/CellMarginHandler.hxx
	writerfilter/source/dmapper/DomainMapper.cxx
	writerfilter/source/dmapper/DomainMapperTableHandler.cxx
	writerfilter/source/dmapper/DomainMapper_Impl.cxx
	writerfilter/source/dmapper/FFDataHandler.cxx
	writerfilter/source/dmapper/FontTable.cxx
	writerfilter/source/dmapper/FontTable.hxx
	writerfilter/source/dmapper/GraphicImport.cxx
	writerfilter/source/dmapper/GraphicImport.hxx
	writerfilter/source/dmapper/MeasureHandler.cxx
	writerfilter/source/dmapper/NumberingManager.cxx
	writerfilter/source/dmapper/NumberingManager.hxx
	writerfilter/source/dmapper/OLEHandler.cxx
	writerfilter/source/dmapper/OLEHandler.hxx
	writerfilter/source/dmapper/PropertyIds.hxx
	writerfilter/source/dmapper/PropertyMap.cxx
	writerfilter/source/dmapper/PropertyMap.hxx
	writerfilter/source/dmapper/PropertyMapHelper.cxx
	writerfilter/source/dmapper/PropertyMapHelper.hxx
	writerfilter/source/dmapper/SectionColumnHandler.cxx
	writerfilter/source/dmapper/SettingsTable.cxx
	writerfilter/source/dmapper/StyleSheetTable.cxx
	writerfilter/source/dmapper/StyleSheetTable.hxx
	writerfilter/source/dmapper/TDefTableHandler.cxx
	writerfilter/source/dmapper/dmapperLoggers.hxx
	writerfilter/source/filter/ImportFilter.cxx
	writerfilter/source/filter/RtfFilter.cxx
	writerfilter/source/filter/RtfFilter.hxx
	writerfilter/source/ooxml/OOXMLFactory.cxx
	writerfilter/source/ooxml/OOXMLFastContextHandler.cxx
	writerfilter/source/ooxml/OOXMLFastContextHandler.hxx
	writerfilter/source/ooxml/OOXMLFastHelper.hxx
	writerfilter/source/ooxml/OOXMLParserState.hxx
	writerfilter/source/ooxml/factoryimpl_ns.xsl
	writerfilter/source/ooxml/model.xml
	writerfilter/source/resourcemodel/TagLogger.cxx
	writerfilter/source/resourcemodel/XPathLogger.cxx
	writerperfect/prj/build.lst
	writerperfect/source/wpdimp/wpft_genericfilter.cxx

2011-03-09  Xavier ALT  <dex@phoenix-ind.net>  [e6a5bbee09ef2d1390b41c0ec11eeca084e7b94d]

remove SVX_LIGHT macro


2011-03-09  Ivo Hinkelmann  <ihi@openoffice.org>  [d815c54054cb33d30031b2157ae3d720edc63484]

masterfix DEV300: #i10000# drafts removed


2011-03-09  Caolán McNamara  <caolanm@redhat.com>  [19017f14ecfad78432a966c0bf88fb630e2b7862]

WaE: mark this dir as warnings free


2011-03-09  Caolán McNamara  <caolanm@redhat.com>  [11226d86a3dbf6a22f1ee9a9fdefef9456f42b82]

WaE: mark this dir as warnings free


2011-03-08  Caolán McNamara  <caolanm@redhat.com>  [48d8e51ccb909e8b4c7324594c4198ca3ed51883]

remove unused dir


2011-03-08  Caolán McNamara  <caolanm@redhat.com>  [d347ac218f8e4c2c371956611cc986e22a561580]

WaE: mark this dir as warnings free


2011-03-08  Caolán McNamara  <caolanm@redhat.com>  [d294a69412b71066281c2bdd8c9f6e0f69c895bb]

WaE: mark this dir as warnings free


2011-03-08  Caolán McNamara  <caolanm@redhat.com>  [336bc58aeec4e9f97eeaad238290e2a420d8d116]

WaE: mark this dir as warnings free


2011-03-08  Petr Mladek  <pmladek@suse.cz>  [6884ac007a7cdcc2679dff3de982b3ef117fbafc]

Version 3.3.2.1, tag libreoffice-3.3.2.1 (3.3.2-rc1)


2011-03-07  Petr Mladek  <pmladek@suse.cz>  [94d1b166d9b4214da66546eb2cc288fb6ccdfa59]

fix build in writerfilter

deliver newly needed oox\helper\graphichelper.hxx

2011-03-07  Noel Power  <noel.power@novell.com>  [41148164fb043e7e78fdd5e27001684b278f1f7c]

resolves fdo#34909

enable import of macros for docxm

2011-03-07  Noel Power  <noel.power@novell.com>  [2ba830b380e7261626f4e59a1271a3f3ef2b7508]

resolves #fdo34941

ensure a valid mediatype is set up for the ooxml filters so that ooo::vba::isAlienExcelDoc can give the correct result

2011-03-07  Radek Doulik  <rodo@novell.com>  [01a0954a9be510af6189e0da25e3ce864b614738]

fix placeholder text style n#650026

 - make it inherit style from master text list styles, the style of placeholders
   living in master slide was not used, in this case the placeholder has body
   style and should thus use body text style of master slide
 - also added more debug output related to placeholders to make it easier
   debug next time

2011-03-07  Caolán McNamara  <caolanm@redhat.com>  [c8d770b844ec6a72b3d1f068394da09d3a364525]

WaE: explicitly cast result


2011-03-07  Caolán McNamara  <caolanm@redhat.com>  [616da7ab089627ca62643cfdfbdb17415454c182]

enable exceptions here


2011-03-05  Arnaud Versini  <arnaud.versini@gmail.com>  [c459458e198d5ef7027b7a0ad653b8b8f6dc932f]

bool functions should use bool instead of BOOL for bRetValue.


2011-03-04  Julien Nabet  <serval2412@yahoo.fr>  [d3ea6df259c3dbf750db315c293876a11633ec29]

Remove "using namespace ::rtl"


2011-03-04  Julien Nabet  <serval2412@yahoo.fr>  [009e7565727e850c8c63f76bc0509451efb992a4]

Remove "using namespace ::rtl"


2011-03-04  Guillaume Poussel  <gpoussel@gmail.com>  [4f48dd28397b7d90dc1cd70ec76010c8286d08a5]

Remove useless comments in filters.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-04  Guillaume Poussel  <gpoussel@gmail.com>  [9612bb390c968f46cbb3e221fea17f472481e365]

Remove various useless comments in filters.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-04  Guillaume Poussel  <gpoussel@gmail.com>  [059e3578472a8ded68f7bbdd89b604a6cb1f25bf]

Remove useless comments in filters.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-04  Guillaume Poussel  <gpoussel@gmail.com>  [e760fcd7e08facb1fe5c20a02f4d0fb95e0daec0]

Remove useless comments in filters.

Signed-off-by: Luboš Luňák <l.lunak@suse.cz>

2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [ca0d8aedacdc7137d5fbebc7cfd98627339eaf90]

cppcheck: this can be const


2011-03-04  Caolán McNamara  <caolanm@redhat.com>  [ebe4d7690bafd873604dbca8a05136d9ab71cc0f]

throw out some warnings


2011-03-03  Luboš Luňák  <l.lunak@suse.cz>  [43232a4927f03e5b8c5964f8a2343138cf682fcc]

read w:characterSet (fdo#34814)


2011-03-03  Caolán McNamara  <caolanm@redhat.com>  [e8b22c5b62178de3d3aa8cf23c7583eca393c11e]

Resolves: fdo#33701 ensure node outlives path

The xpath on destruction needs the xmldoc to exist, so the reference
to the doc-owning nodelist needs to be the first reference listed
in the class in order that its dtor is called *after* the xpath
dtor

Signed-off-by: David Tardon <dtardon@redhat.com>

2011-03-02  Noel Power  <noel.power@novell.com>  [05f9e490103479caa047edc9fbd3bd3bf555e00c]

resolves #fdo34941

ensure a valid mediatype is set up for the ooxml filters so that ooo::vba::isAlienExcelDoc can give the correct result

2011-03-02  Luboš Luňák  <l.lunak@suse.cz>  [1f4c43f7094f7817e8f44ec72ceba2e69a5bb629]

fix indentation


2011-03-02  Luboš Luňák  <l.lunak@suse.cz>  [889431fad7b7e4b5d247e93e963d4fe084d90f3e]

read w:charset , not used later though it seems (part of fdo#34814)


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [d172c2b350d76554d1973043e7bbdaf68b3071b9]

Add osl/diagnose.h include


2011-03-02  Thomas Arnhold  <thomas@arnhold.org>  [2a93e6d5e9b384a5ebc31a98b8916fa9e6adc8e8]

Move DBG_ERROR to OSL_FAIL


2011-03-02  Noel Power  <noel.power@novell.com>  [f2dbae8892340230265136c193606aa01f754ade]

resolves fdo#34909

enable import of macros for docxm

2011-03-02  Caolán McNamara  <caolanm@redhat.com>  [09be9031ce3e3ffb6cc40f45ac5e1a4192adcb15]

Resolves: fdo#33701 ensure node outlives path

The xpath on destruction needs the xmldoc to exist, so the reference
to the doc-owning nodelist needs to be the first reference listed
in the class in order that its dtor is called *after* the xpath
dtor

2011-03-02  Caolán McNamara  <caolanm@redhat.com>  [657bbb68e86516c44fdd31d8b2e3d0c14ddc6a6e]

throw out some warnings


2011-03-02  David Tardon  <dtardon@redhat.com>  [a2d90c40d816ef7bd0ec8c39fa5b49b557b3248e]

this only worked due to implicit conversion


2011-03-01  Julien Nabet  <serval2412@yahoo.fr>  [c4da1d7ae25e529d38368e37a9b87c8fade6537d]

Remove "using namespace ::rtl"


2011-03-01  Julien Nabet  <serval2412@yahoo.fr>  [25ff9e79eb2038ed422856e1f6e8f919bc930d9d]

Remove "using namespace ::rtl"


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [60385e7001b3ac6f6d7b439174d7d5f9c0ed177f]

throw out some warnings


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [a440d7c019b087258a647d4a7e5a7c4ef8da211c]

throw out some warnings


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [8d23bc512ebeaa63f70542173aa19fd11bdf9911]

pointless to go from char* to OString to char*


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [53b7f58055b2d8f0879ceb124139186dd6a66bab]

avoid implicit cast


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [83905c6dba836ecfb571019251f6ac8c45076b65]

avoid implicit casting


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [49bcf05ccf98a551028d63902c99d83a24ce4954]

avoid implicit casting


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [3a15dc9d9e810437fcfb1f530120e9cc1f58d139]

avoid implicit casting


2011-03-01  Caolán McNamara  <caolanm@redhat.com>  [c3043e1dad25db33465dfd77443d9e5401931756]

remove some warnings


2011-03-01  Luboš Luňák  <l.lunak@suse.cz>  [b452ea180a55e477b8e4dee44673a0f1651884c0]

FilterBase::getVersion() -> const


2011-03-01  Luboš Luňák  <l.lunak@suse.cz>  [ddc89adc0f9058deb74e758640bf1a5e3c1c7602]

mark static readonly data also as const


2011-03-01  Noel Power  <noel.power@novell.com>  [a99a64ff58caa0efa8aaefc26c6a82cb4944229e]

fix incorrect test for name ( was using default name )


2011-03-01  Noel Power  <noel.power@novell.com>  [cb73e0dc84e608df05016492883f187f732f6e0d]

remove references to ODF_FORMCHECKBOX_DEFAULT & ODF_FORMTEXT_DEFAULT

remove currently unnecessary ( but possibly future ) odf attributes for form field controls

2011-03-01  Thomas Arnhold  <thomas@arnhold.org>  [5a35dfa1d825130a1415acaf275db8fcbb889ddb]

Fix build: Message should be quoted...


2011-03-01  Thomas Arnhold  <thomas@arnhold.org>  [f38175eab8891ea88efe04629a95de656df8dade]

Fix build: Add missing semicolon


2011-03-01  Thomas Arnhold  <thomas@arnhold.org>  [fc30cca4f037cb5e09d95a8617ba41eacdc2bea5]

Fix build: Message should be quoted...


2011-02-28  Arnaud Versini  <arnaud.versini@gmail.com>  [66cee1bdd25268168c31d8b2822638e0546662d5]

Cleanup msfilter.


2011-02-28  Caolán McNamara  <caolanm@redhat.com>  [84deea83e69b92a4be5359df82a480c8df0043ab]

revert removal to fix build


2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [858b6c194b620dd7fb6248b36f2a2993ee2941ce]

CWS-TOOLING: integrate CWS xmlfix3


2011-02-28  Ivo Hinkelmann  <ihi@openoffice.org>  [020b07dacd81e5dc1b7d2b1e61ee541d5472abe4]

CWS-TOOLING: integrate CWS sw34bf03


2011-02-27  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [4a95a625e4bd07067a81ba37b39ad6cc7e6e16c5]

When removing stuff, the least thing to do is a clean build of the module


2011-02-26  David Tardon  <dtardon@redhat.com>  [e4e42236bd34001d888e96f337253a8991ae9b92]

OSL_ASSERT takes a condition, not a message


2011-02-26  Thomas Arnhold  <thomas@arnhold.org>  [662192ab835a932c5cb16fd2f1d93fdc0f59131d]

Bring back tablestyle.cxx


2011-02-26  Thomas Arnhold  <thomas@arnhold.org>  [b59a6e8b0b6650d676243c29fe00cec8ece1c2bf]

Move bogus OSL_ASSERT(msg) to OSL_FAIL(msg)


2011-02-26  Thomas Arnhold  <thomas@arnhold.org>  [4713937a9107af1fa4d1ff1a6caf62003e250e40]

Remove one more dead file


2011-02-26  Thomas Arnhold  <thomas@arnhold.org>  [49c4e677368782ca5d5dd742dd03981816db7875]

Remove some more dead files and wrappers


2011-02-26  Thomas Arnhold  <thomas@arnhold.org>  [85eee437fa7559bf2be6df7f0d6ff53e873e6012]

Remove some more dead files and wrappers


2011-02-26  Thomas Arnhold  <thomas@arnhold.org>  [49a4e7c852493cad34b97d212be6dc55fcf23cad]

Remove dead files


2011-02-26  David Tardon  <dtardon@redhat.com>  [3ad7cafd7e6e9ff92430a3de6bbef23e16f6ae8b]

OSL_ASSERT takes a condition, not a message


2011-02-25  Caolán McNamara  <caolanm@redhat.com>  [ed71d0cd8836f1fdd50e7c8c76372bd9421c9c58]

throw out some warnings


2011-02-24  Noel Power  <noel.power@novell.com>  [d9f989748b178e12294e16e25cad75456859625c]

fix for fdo#34664 - prevent null pointer access when no ffdata available

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-02-24  Noel Power  <noel.power@novell.com>  [92853e24c8a010312f1098fb30762fa7e3646a4d]

fix for fdo#34663


2011-02-24  Thomas Arnhold  <thomas@arnhold.org>  [666ebd0081111670b076d0f39b12b6d0bbec7631]

Remove TURBOC support


2011-02-24  Thomas Arnhold  <thomas@arnhold.org>  [e85cdf7bf946210a85c0c16ae1b426dc56ed92d1]

Remove MSDOS support


2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [1e52d2f8f67eaf62826b76d8d23ba786cbbdf737]

throw out some warnings


2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [4dc6905191f2e766f961496c4288b718221a10d3]

remove empty TESTSHL2LIB


2011-02-24  Caolán McNamara  <caolanm@redhat.com>  [9ad637eeba0b5d839dc9b59a0be5af9f2ce4baaa]

remove empty TESTSHL2LIB


2011-02-24  Michael Lefevre  <lefevre00@yahoo.fr>  [a880f4a26554250bc2aa2e1343b55b2599cbfbc2]

Remove more commented unused variables

Keep cleaning the code, line by line.

2011-02-24  Michael Lefevre  <lefevre00@yahoo.fr>  [788cf6d328eaf82418d64da6cae8dca6987cd8cf]

Remove unused commented variable


2011-02-24  Thomas Arnhold  <thomas@arnhold.org>  [2daea9d167c5414f440500be28a4605d8abad72d]

ASSERT: Some final cleanup


2011-02-24  Thomas Arnhold  <thomas@arnhold.org>  [7cd1a68c501c1b3816050550e32e276d8f881f53]

Remove except from tree and clean up


2011-02-24  Thomas Arnhold  <thomas@arnhold.org>  [e0428497af07019bbd29bccdf43d9ca458619123]

Move ASSERT_ID to OSL_ASSERT


2011-02-24  Thomas Arnhold  <thomas@arnhold.org>  [626ec23961d32aa415d84cdce19c758e94695d02]

Move ASSERT to OSL_ENSURE

Done with a nifty little perl script. Regex:

$data =~ s/(\s+)ASSERT(\(.*?,.*?".*?"\s*\))\s*\;?\n/$1OSL_ENSURE$2\;\n/gs;

2011-02-24  Thomas Arnhold  <thomas@arnhold.org>  [d874e7ee78cfccf6a0462a0387f8b8cc684d6289]

Replace errhdl.hxx include with osl/diagnose.h


2011-02-24  Thomas Arnhold  <thomas@arnhold.org>  [7b9a99e74d12f91f0828f4f51b5ea0c6ab650430]

Replace errhdl.hxx include with osl/diagnose.h


2011-02-24  Bálint Dózsa  <dozsabalint@gmail.com>  [72401cd67349f31656444845797b60852c76ee9c]

Remove unused methods


2011-02-24  Noel Power  <noel.power@novell.com>  [a4cbd257e4c72078df2cf8d8adfd997299511f2b]

more form field fixes

writerfilter/source/dmapper/DomainMapper_Impl.cxx: really use enhanced Text
Form field, also cleaned using enhanced fields or not logic a little more and
finally got rid of the "com.sun.star.text.FormFieldmark.xxx" type services as I
 realised these weren't necessary
writerfilter/source/dmapper/FormControlHelper.cxx: added support for Text Form
in the processField method

2011-02-23  Noel Power  <noel.power@novell.com>  [d0649915d60e94ff3827190d2b2751c664466340]

revert 380ad35864c450f5d4df6cc29d5d512a24de11da change in wrong place


2011-02-23  Noel Power  <noel.power@novell.com>  [380ad35864c450f5d4df6cc29d5d512a24de11da]

use the ODF_FORMCHECKBOX define instead of yet another const char*


2011-02-23  Caolán McNamara  <caolanm@redhat.com>  [42445a9c713db53d730df1c552e39b41374ba125]

throw out some warnings


2011-02-22  Ivo Hinkelmann  <ihi@openoffice.org>  [a923e367199e13a33c4f935acf5bd53827062ad4]

masterfix DEV300: #i10000# usage of L10N build_type


2011-02-22  Noel Power  <noel.power@novell.com>  [0d3f222ad7c0604e3aa811c0dfcfb657aaadfa76]

use r:id or o:relid ( whichever exists ) for vml shape import


2011-02-22  Joseph Powers  <jpowers27@cox.net>  [c841210604db70789a8052aceb329a8010de1e37]

Remove DECLARE_LIST( StringList, String * )


2011-02-22  Noel Power  <noel.power@novell.com>  [ecd0940c51e323369f9738f4be5ce25ea8590756]

remove redundant include that was committed by mistake

remove #include "oox/token/tokenmap.hxx" that I added whilst doing some debug

2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [2c7b025ae45c0e278d91cde321c98796cf069853]

silence these warnings


2011-02-22  Bálint Dózsa  <dozsabalint@gmail.com>  [bc422900c6a0b259f9fac6ad5f8601102fccf2e6]

Remove dead code


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [4f5eba537fece507c36ea9e3bd1cc08ec882d0b1]

throw out some warnings


2011-02-22  Caolán McNamara  <caolanm@redhat.com>  [1f0cdfccc48259f2a8b851bcd5cfc52241e918f4]

mark this dir as warnings free


2011-02-22  Noel Power  <noel.power@novell.com>  [c1c4bf9b6069541d27f9472c23dbc0ad39752e2d]

fdo#34305 fix missing jpg/gif in docx import


2011-02-21  Caolán McNamara  <caolanm@redhat.com>  [0325c492a9cb78308deabe64a39a823be25a9aa4]

throw out some warnings


2011-02-21  Caolán McNamara  <caolanm@redhat.com>  [ff06708c678d798b39bccbfbe0a4d8c26dddccd7]

throw out some warnings


2011-02-21  Caolán McNamara  <caolanm@redhat.com>  [01b0c2970e75353b314486e998ac13c70f498891]

WaE: mark this dir as warnings free


2011-02-21  Tor Lillqvist  <tlillqvist@novell.com>  [33fddfce7e5a57c1ca6b876975ddd4b275b8d53e]

Include precompiled_filter.hxx


2011-02-21  Joseph Powers  <jpowers27@cox.net>  [bf6cafe12e5d77dfc5fac4b0808a0686a518e2d5]

Delete some comment out code.


2011-02-21  Thomas Arnhold  <thomas@arnhold.org>  [13dd63e5294e49f86518dc758d9fb4b6efc10a40]

Remove ZTC support

Obsolete Zortech compiler

2011-02-21  Thomas Arnhold  <thomas@arnhold.org>  [52e4c2e5113762cbea8e9bd7a9144b517f54971c]

Remove CSET support

Obsolete IBM CSet C-Compiler

2011-02-21  Michael Stahl  <mst@openoffice.org>  [7412139d34b65b8955e43b7b890b42848ce6dd5a]

sw34bf03: #i100620# #i97173#: wordml: integrate patch from sus: package fix


2011-02-21  Michael Stahl  <mst@openoffice.org>  [ae0a0c254bd072a1e8000a879c1c84fd42da620e]

sw34bf03: #i100620# #i97173#: xsltfilter: fix deadlock in error handling


2011-02-21  Joseph Powers  <jpowers27@cox.net>  [ce457354b508e72c9c934952605e3d305a1c369d]

Some more #include <tools/list.hxx> cleanup


2011-02-21  Joseph Powers  <jpowers27@cox.net>  [45e51f26c0a0a5079091b18c93636f3f44661fb4]

Cleanup some #include <tools/list.hxx>


2011-02-21  Noel Power  <noel.power@novell.com>  [d201535c777bae4e2f73410a8406e0510f5e7595]

make docx import cater for enhanced fields

also removed erroneous import of dropdown ( when not using enhanced fields as awt control ) now uses dropdown textfield instead

2011-02-18  Caolán McNamara  <caolanm@redhat.com>  [233be021cabab6baadfe0eeb686b0f7b6f0a9d36]

0x486e is sprmCRgLid1_80 not sprmCRgLid1


2011-02-18  Caolán McNamara  <caolanm@redhat.com>  [1e141a54c372bf98b7064a3c583dc44bd895c71b]

0x486d is sprmCRgLid0_80 not sprmCRgLid0


2011-02-18  Release Engineering  <releng@openoffice.org>  [7e91def458ddaa8fab6cda1f11d3a697f484bdee]

merged DEV300


2011-02-17  Bálint Dózsa  <dozsabalint@gmail.com>  [8e5c855e0cf6f4ea423e0235bee41fdb4c7a37c7]

Remove unused methods


2011-02-17  Caolán McNamara  <caolanm@redhat.com>  [e4562ff078e35d166c58335a0cd46e362042a4a3]

fix build error


2011-02-17  Caolán McNamara  <caolanm@redhat.com>  [e28daa6b4336a230820b83f6216683f1ec459a12]

silence some warnings


2011-02-17  Thomas Arnhold  <thomas@arnhold.org>  [eef794e1272fa8eedb957866998b814eb7d7965a]

Remove TCPP

Seems to be an old compiler

2011-02-17  David Tardon  <dtardon@redhat.com>  [8d723592b9e295816669dd88bebdaca121cbb099]

WaE: unused variable


2011-02-16  Joseph Powers  <jpowers27@cox.net>  [5da98e19da56ac110ed11fc5a3638b682a2d1b8c]

Fix a typo (replace missing =)


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [94e4a1d728110fe20618bff1014848bcbe5079fb]

Remove BLC support

http://www.openoffice.org/issues/show_bug.cgi?id=52746

"BLC - borland compiler (OS2, win16) - obsolete"

2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [e8d4b25163267561660c314d7d4af50bf712f034]

Remove WTC support

http://www.openoffice.org/issues/show_bug.cgi?id=52746

"WTC - watcom compiler (OS2, WNT?) - obsolete"

2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [39cf1aafc98e090c43402027bdf8d86e28867b51]

Remove MTW support

http://www.openoffice.org/issues/show_bug.cgi?id=52746

"MTW - metrowerks compiler (mac OS9 ?) - obsolete"

2011-02-16  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [15fb7b908dcfd8b8ef3a15dd451b5e6f6b885734]

cleaning in binfilter/bf_sw of sw_fltini.cxx

the filter initialization has been cleaned. A lot of filter where
initialized there, like Excel, lotus, word filter.
All these filters have been deleted from there, keeping only the
Star Writers filters

2011-02-16  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [265f89129f628f6f539a142544e1bc873046d35d]

delete comments / cleaning of these files


2011-02-16  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [c08b4d0c5ce2bced1370727d86bd210167e8fcf5]

delet all content of bf_sw/source/filter/writer/sw_writer.cxx

this file is now empty, will be removed soon

2011-02-16  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [e8a7cb339ed7db1177fd699d476bc21e45ff6ae5]

delete struct Writer_Impl in binfilter/bf_sw


2011-02-16  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [6cf829604c9180198f9a018f8ebc4ae13c56899c]

delete class Writer in binfilter/bf_sw

the class Writer is deleted in binfilter/bf_sw and all dependencies
of this class. This includes some other derivated classes.
Some classes or functions (in other classes ) are left behind, needing
now an analysis to see if they are orphean or used by some read classes

2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [394609fffac506f154776cc618e48093e274188e]

Remove SCO support


2011-02-16  Thomas Arnhold  <thomas@arnhold.org>  [93d1972c6c6d7ad4542c76774fdcae13481df7ca]

Remove HPUX support


2011-02-16  Noel Power  <noel.power@novell.com>  [9da5ab35a4445a54a4a9fc64584bf3b409a677df]

add copyright headers


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [6dcf87d3132584af941504fcea051881083cd5e5]

CWS-TOOLING: integrate CWS accfixes


2011-02-16  Ivo Hinkelmann  <ihi@openoffice.org>  [b556871c5bb9039a41ca1de68cff12683345bcf1]

CWS-TOOLING: integrate CWS ab80


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [7e5dd2d4f9b15d4415050f85ded7b439379fb1ee]

Remove SINIX and HP9000


2011-02-15  Thomas Arnhold  <thomas@arnhold.org>  [b01491d35f62086887e24fc416fe340b123fa338]

Remove unused files


2011-02-15  Caolán McNamara  <caolanm@redhat.com>  [6327ee080c4794ac9160c0a778b15ea3e0d5eaf2]

throw out some warnings


2011-02-15  Andreas Bregas  <ab@openoffice.org>  [fe8e65dcc7862122b95b813534e1a9a6c4985621]

ab80: resync to m100


2011-02-15  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [052a04cf2cc8ae5425dcf70d2dfa05c5bb3275ec]

accfixes: merged to m100


2011-02-15  Francois Tigeot  <ftigeot@wolfpond.org>  [ab32d081ec38df71e66b895ee34653ef90201070]

dragonfly stuff


2011-02-15  Ivo Hinkelmann  <ihi@openoffice.org>  [2fd23d671e06ca54e9f176c66eacd4931e385a66]

CWS-TOOLING: integrate CWS vcl118


2011-02-15  Muthu Subramanian K  <sumuthu@novell.com>  [19ebd0a0e33e4788cfde1b1768c24819f92b964c]

XLSX import of duplicate-conditional formatting.


2011-02-15  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [182963e2ab30a2d96ad45e2dd3d523d2ca5a6bc6]

chart52: merge with DEV300_m100


2011-02-15  Bálint Dózsa  <dozsabalint@gmail.com>  [2f3478739d609038fa279ff51a566cb9bc0b70ee]

Remove unused method


2011-02-15  Bálint Dózsa  <dozsabalint@gmail.com>  [a9d0ba88a588d1893dc1aae853bc431639032a38]

Remove dead codes


2011-02-15  Caolán McNamara  <caolanm@redhat.com>  [c6a5e21bbb7d39bda7d394d53c176503c452cc49]

throw out some warnings


2011-02-14  Bálint Dózsa  <dozsabalint@gmail.com>  [0624b2bdc57937a4b7a66d6d831d80880b825bca]

Remove unused method: GetListTable


2011-02-14  Michael Stahl  <mst@openoffice.org>  [92958c14bdf97efa3ad88169a38334cced1ada9e]

xmlfix3: argh, another unhandled exception...


2011-02-14  Bálint Dózsa  <dozsabalint@gmail.com>  [dfb93fb60c3b695062d3a7039b0892ffa72f3e92]

Remove dead code


2011-02-14  Luboš Luňák  <l.lunak@suse.cz>  [ffddb2205544d76203467bd1cdda5a529ecc759c]

these variables are used, do not (void)var them


2011-02-14  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [6c6b587dbde1a986c9b6f1f0d635f2098efbc949]

rebase to DEV300_m100


2011-02-14  Michael Stahl  <mst@openoffice.org>  [384c29351211ce9668d5e38b9300500743da9f0e]

xmlfix3: why the heck does this build with g++?


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [28d197969e213310d7fc6763141cce0c8cbb80d4]

throw out some warnings


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [a6550d49aa669a663a9dd073860ff89080a4b1d0]

add mode lines to new files


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [f40898da29e926b14cb093e02bc3f6ac0f0efbca]

throw out some warnings


2011-02-14  Caolán McNamara  <caolanm@redhat.com>  [f1e246d4bcfe3f5d250796a9f6e87adc25cc296e]

throw out some warnings


2011-02-14  Michael Stahl  <mst@openoffice.org>  [5a656a13f3319c654d2ff31f3cf06be640ad7fc9]

xmlfix3: CDocument::createCDATASection(): keep OString a little longer


2011-02-14  Michael Stahl  <mst@openoffice.org>  [5ebfd44c39e44cb5b81f5299b8bb24691c17cfac]

xmlfix3: fix unoxml build: add windows stuff to RepositoryFixes, add gb_STDLIBS


2011-02-14  Kurosawa Takeshi  <taken.spc@gmail.com>  [00be94740c86ebd1407a382daf90020a1bcc523f]

Export object's title and description as alternate content

Actually they are stored as "svg:title" and "svg:description" in ODF.

Fixed text such as "Drawing" and "Graphic" is information about class of a shape. Thus use them as class attribute.

2011-02-14  Thorsten Behrens  <tbehrens@novell.com>  [a306a27fd039b9929f0fbbc1d3533996b36e240b]

Make svg import unit tests compile again.


2011-02-14  Takeshi Kurosawa  <taken.spc@gmail.com>  [f54758d5c6962e49bc7cd9390409a6af4e1b6aaa]

Ensure writing styles for text

When a text element doesn't have presentation attributes or styles,
style information is not written. As a result the text has zero width.

2011-02-14  Takeshi Kurosawa  <taken.spc@gmail.com>  [81ffe030d75a7738a09688520fab9b7c3d2d472b]

Relax paint url parsing (fix fdo#34205)

Allow ' and " around parens.

2011-02-14  Takeshi Kurosawa  <taken.spc@gmail.com>  [a3f382e1145cda8d583db194ab03be2e33a91689]

Fix color serialization

The are hex values.

2011-02-14  Takeshi Kurosawa  <taken.spc@gmail.com>  [b66dad64f83f8545b44506274892203dd83c97c3]

Check opacity for == operator

Or opacity is ignored.

2011-02-14  Kurosawa Takeshi  <taken.spc@gmail.com>  [b6bd3fd33adcffbf467250f1bb87d4a02f85cad3]

Export transparencies as SVG <mask>s

With this patch, SVG export filter supports solid and gradient tranparencies in all fill styles.

2011-02-14  Kurosawa Takeshi  <taken.spc@gmail.com>  [08b4a1c24457f2ae3d3b664272049be7c3a25eca]

Export linear and axial gradients as SVG <linearGraidents>s


2011-02-14  Kurosawa Takeshi  <taken.spc@gmail.com>  [20aa1d724d1e784240d9157fc979ecbda81209c0]

Export hatches and gradients as SVG <pattern>s

This patch tends not to improve a visual look, but improve semantic
structure of an exported file.

2011-02-14  Tor Lillqvist  <tlillqvist@novell.com>  [6be83c9a3a5aafdcaf8982ea6a9c25bbd9e07276]

Set PYTHONPATH when running own Python on pyAltFCFGMerge


2011-02-14  Tor Lillqvist  <tlillqvist@novell.com>  [930d4c3fe686338a5ffb36509f8440174495042b]

Correct inconsistent use of tabs and spaces


2011-02-13  Caolán McNamara  <caolanm@redhat.com>  [441e1c950d9f7189a71ca2ffe524a507bd4f13a8]

WaE: variable set but unused


2011-02-13  Caolán McNamara  <caolanm@redhat.com>  [2481081fa0306ca97f5983152e0e4a98563ee782]

cppcheck: init member variable


2011-02-13  Caolán McNamara  <caolanm@redhat.com>  [d5abc6b9370cbd8fcb8caf6cadcf655fec7c96f8]

WaE: throw out some warnings


2011-02-13  Guillaume Poussel  <gpoussel@gmail.com>  [86002e63c4c374f3022d52228dd0b18836a2388f]

Remove bogus comments


2011-02-13  Guillaume Poussel  <gpoussel@gmail.com>  [854047b4b79815624989325c6e9349538edf78a0]

Remove bogus comments


2011-02-12  Luke Petrolekas  <luke.petrolekas@gmail.com>  [841792dddf91302c3c4d888f2f3d00f3d683964d]

Easy hack: Remove more commented out code


2011-02-12  Luke Petrolekas  <luke.petrolekas@gmail.com>  [6e78b5884766405915eb7046420333a83e1986eb]

Remove dead Java code


2011-02-11  Kevin Hunter  <hunteke@earlham.edu>  [351272b7659bdd21a7ffb70de863b2bf38045d97]

cppcheck: post- to pre- *crement change


2011-02-11  Alfonso Eusebio  <alfonso_eusebio@yahoo.co.uk>  [e535ad82756ac099fefb58e71ad10fa087108360]

Remove obsolete Hyperlink Bar form filters

Removed all hyperlink bar related code from filters.

2011-02-11  Noel Power  <noel.power@novell.com>  [173201307a2b1279d17fac7115426100f7e84c8c]

fix compile error related to floor and move #TODO closer to related item


2011-02-11  Caolán McNamara  <caolanm@redhat.com>  [6d50dab21e18cd20c25032bda2d8c0fccc6ba4eb]

WaE: unused variables


2011-02-11  Michael Stahl  <mst@openoffice.org>  [b7f286c070fd9be1b7d828036ef080dd9a3c2cd5]

sw34bf03: merge to-be-m100 DEV300_next


2011-02-11  Michael Stahl  <mst@openoffice.org>  [969c1644e1e124425b954d3be58c08e81340074f]

xmlfix3: merge to-be-m100 DEV300_next


2011-02-11  Andreas Bregas  <ab@openoffice.org>  [905bc45191cc9fa4536b7d0f9ed1efe88a4f87f4]

ab80: Adding changes of cws mib21, ab77, ab77run2, dr77i to dev300

ab77: #163789# Handle class module factories document specific
ab77: #163732# Defer removal of documents until XCloseListener::notifyClosing
ab77: #163808# make VBA symbols Application.ScreenUpdating and Application.Interactive work globally on all documents
ab77: wae
ab77: #163840# read UTF-8 BOM
ab77: #163732# VBA UserForm_Terminate triggered too late while closing document
ab77: minor correction
ab77: assertion: do not call ::rtl::OUString::copy() with negative index
ab77run2: #163869# do not call Class_Terminate VBA macros when document disposes
dr77i: #163941# do not update drawing layer when pasting from clipboard after cut
mib21: #163944# ignore trailing whitespace in Basic source lines
mib21: #163948# allow to manually pack MSVC DLLs into extensions
mib21: #163948# multiprocess build fix
Authors:
Andreas Bregas <ab@openoffice.org>
Daniel Rentz [dr] <daniel.rentz@oracle.com>
Eike Rathke [er] <eike.rathke@oracle.com>
2011-02-11  Caolán McNamara  <caolanm@redhat.com>  [f78e97348d279a6f4475410e699f7f3e79ff63d7]

(std|boost)::hash on a const char* hashes the pointer not the contents


2011-02-11  Caolán McNamara  <caolanm@redhat.com>  [72b25b317017cf62802448906888782611f33bbf]

(std|boost)::hash on a const char* hashes the pointer not the contents


2011-02-11  Michael Stahl  <mst@openoffice.org>  [5232333508d98b04e98e3565cce6b50b8d04930e]

sw34bf03: #i116924# #i116019#: odf2xhtml: kill DOS line endings


2011-02-11  Michael Stahl  <mst@openoffice.org>  [a70221be034f17effb6691f4b2a224012b6f2007]

sw34bf03: #i116924# #i116019#: odf2xhtml: integrate patch from sus


2011-02-10  Caolán McNamara  <caolanm@redhat.com>  [4518b81fd126f0d1f4199134fa93d3975b1f2d1a]

throw out some warnings


2011-02-10  Michael Stahl  <mst@openoffice.org>  [53ceb4da7f4c08b995073823c5db383c3f0f9487]

xmlfix3: convert unoxml to gbuild


2011-02-10  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [0332fc1c94835796283cb58489430b6c43e8f7d6]

DEV300 masterfix: #i116747#: remove pre-OSX Mac resoure fork definition files (*.r)


2011-02-10  Luboš Luňák  <l.lunak@suse.cz>  [c0f09b7cff0686aa0643c6469084de9c5b8bc1aa]

handle wp:simplePos properly


2011-02-10  Noel Power  <noel.power@novell.com>  [70108372a4205a89ff6df7bbcf9b4ad8b39269e9]

some form field import/export improvements


2011-02-10  Michael Stahl  <mst@openoffice.org>  [df1c2f8e2a6005cc8c144b2b21026e104af5643b]

xmlfix3: unoxml: argh, doesn't build everywhere...


2011-02-10  Michael Stahl  <mst@openoffice.org>  [0464f07bed552d4c3e70c31f661e1bf6cc3a6e2c]

xmlfix3: unoxml: the complex test


2011-02-10  Michael Stahl  <mst@openoffice.org>  [2a99cc754989028f33da6e2330ccbb4a0113d7f5]

xmlfix3: unoxml: valgrind found some more memory leaks


2011-02-10  Michael Stahl  <mst@openoffice.org>  [f25782ee96e55a2cc626e05e7e4759e99bdbc1e1]

xmlfix3: #i113683#: unoxml: all unimplemented methods assert


2011-02-10  Michael Stahl  <mst@openoffice.org>  [2834385a33b2a2441916a9b1682aeef5f5371faf]

xmlfix3: #i113683#: remove unfinished, unneeded CDocumentBuilder::parseSource


2011-02-10  Michael Stahl  <mst@openoffice.org>  [368793d4f666ad0271f2523a250b83073d5b2250]

xmlfix3: unoxml: refactor CAttributesMap::removeNamedItem*: forward to CElement  also fix CElement::removeAttributeNode* to save the prefix.


2011-02-10  Michael Stahl  <mst@openoffice.org>  [503deb2ef83c24fe264c2eaa2fa2dab4907315c1]

xmlfix3: unoxml: fix various bugs uncovered by complex test:  CAttr::getSpecified() should return true.  CAttr::getValue() and CElement::setAttributeNode() could crash if no children.  CAttributesMap::*NS() methods ignored namespaceURI parameter.  CDATASection::getNodeValue() forwarded to wrong base class.  CDocument needs to override cloneNode().  CDocument::importNode(), CDocumentBuilder::parseURI() deref null argument.  CElement::getAttributes() should return an empty map.  CElementList could be created for null element.  CNode::insertBefore() did not set parent/children pointers.  CNode::setPrefix() should only work on element/attribute.  CXPathAPI had inverted check for null argument (xmlfix3 regression).


2011-02-10  Michael Stahl  <mst@openoffice.org>  [86912b7b0322e3e8accd90bc87d83c011388b5f5]

xmlfix3: #i113683#: finish CAttributesMap


2011-02-10  Michael Stahl  <mst@openoffice.org>  [a0a77d28aed703adcb4ede1ecc64e6db59e844e8]

xmlfix3: #i113683#: finish CProcessingInstruction


2011-02-10  Michael Stahl  <mst@openoffice.org>  [f88b0bc29ab9fa915eb54cdc06fc2952a3373448]

xmlfix3: unoxml: prevent invalid child-parent relationships:  new method CNode::IsChildTypeAllowed(NodeType).  use it in appendChild(), insertBefore(), replaceChild().


2011-02-10  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [848e724ee10160c5f5f9ef966f4c1a04acdde324]

CWS-TOOLING: integrate CWS hr75


2011-02-10  Caolán McNamara  <caolanm@redhat.com>  [a8b65ba28788f1a5117453651f7b5f60caaa8eb1]

WaE: mark this module as warnings free


2011-02-10  Caolán McNamara  <caolanm@redhat.com>  [9d5d00133729adf3e73e28fef73a425adc9399ca]

WaE: mark this module as warnings free


2011-02-10  Caolán McNamara  <caolanm@redhat.com>  [97e7d4e7453c80e26bbee702239f78a85f206bc8]

WaE: throw out a few warnings


2011-02-09  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2c7d5e38f6370b2231105a02ea310d9b050a1814]

Trying to remove the stlport mention from the code


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [7a1dca4adfc75f5577c67d999f39dbf89d0d090a]

Remove some dead code


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [b11af06846a14371059adcdab654492550b12823]

Remove DBG_EXTRACTOLEOBJECTS, JOEDEBUG and JOEENV


2011-02-09  Luboš Luňák  <l.lunak@suse.cz>  [6f1fb4112b6f2d1f324a5507f4407ab562fe2408]

variable-size arrays is a gccism


2011-02-09  Thomas Arnhold  <thomas@arnhold.org>  [652ad0a84c59fbf04c3ebaba887e3d8e8e8f01b6]

make test -> make check


2011-02-09  Caolán McNamara  <caolanm@redhat.com>  [3edba3ecd90d425b34b7236b991472b4347d02ff]

throw out some warnings


2011-02-09  Tor Lillqvist  <tlillqvist@novell.com>  [a968997624962b6cfb56250d0cc20b828315cfe5]

prewin.h already includes <windows.h>


2011-02-08  Thomas Arnhold  <thomas@arnhold.org>  [4481c7919a0a8119905dc1dd9a837449256aff77]

Remove double line spacing and some dead code


2011-02-08  Caolán McNamara  <caolanm@redhat.com>  [e6e7b5aa96a2f6e342689cd1b360d19eb401a99a]

unused variable


2011-02-08  Caolán McNamara  <caolanm@redhat.com>  [3bee07490fccb58c2c60557ac24dc46248b79671]

fix build breakage


2011-02-08  Christina Rossmanith  <ChrRossmanith@web.de>  [aee204ebe5479e6534204cd2b2fdd9c820ed31e6]

Fixed double line spacing / Translated comments German->English


2011-02-08  Caolán McNamara  <caolanm@redhat.com>  [c12eda0d7c5d38b07d1466c203ad30604909acc0]

fix build breakage


2011-02-08  Guillaume Poussel  <gpoussel@gmail.com>  [78b9662c48568ae6e1c4453579067ebd790f0592]

Remove bogus/date comments in filter.


2011-02-08  Guillaume Poussel  <gpoussel@gmail.com>  [eb08d4dffab1613139fe7069b9dfd62396e8a12e]

Clean-up bogus comments in filter.


2011-02-08  Luboš Luňák  <l.lunak@suse.cz>  [82e070c5930a7894077d8aa7d18d4e6daa795527]

apply color properly to form, paragraph or character (bnc#654875)


2011-02-08  Michael Stahl  <mst@openoffice.org>  [5114f329b32f7ca33403fdc7149593bf7d1f4a9e]

sw34bf03: #i116443#: unordf: do not use rdfxml-abbrev serializer


2011-02-08  Michael Stahl  <mst@openoffice.org>  [6280c351cdadb0c149365632a2a195772cb60ec7]

sw34bf03: #i97170#: xsltdialog: XMLFilterJarHelper::copyFile: truncate target


2011-02-08  Tor Lillqvist  <tlillqvist@novell.com>  [8f72be00e538c5af9fa768820cd50ab26b4e4a08]

Adapt to move of prewin.h and postwin.h


2011-02-08  Mathias Bauer  <mba@openoffice.org>  [71db54cca9fa1dc211e62a40a16c326d4f61498b]

CWS gnumake3: pull in cws removetooltypes01


2011-02-08  Christina Rossmanith  <ChrRossmanith@web.de>  [f13229e60b858c4f55205be455d734fd55cf9434]

Removed blank lines, dead code; Translated comments from German->English


2011-02-08  Jan Holesovsky  <kendy@suse.cz>  [c993adcbf987e1bd9fafc65148d03851dd5e3c25]

Merge remote branch 'origin/libreoffice-3-3'

Conflicts:
	writerfilter/source/dmapper/DomainMapper_Impl.cxx

2011-02-07  Thomas Arnhold  <thomas@arnhold.org>  [e9a3b0d22853f68d2cc310856a77f6b340e7ed53]

Remove dead code


2011-02-07  Thomas Arnhold  <thomas@arnhold.org>  [f8c91fc05b01c4373100e5c41ea7cba86dc119e5]

Remove dead code


2011-02-07  Thomas Arnhold  <thomas@arnhold.org>  [07ee6e33019cdcbf02ddc17df7661a197f1b2dfc]

Remove lots of dead code


2011-02-07  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [17dfbaf6578c0e2561f7baca615162ef71df3fb0]

hr75: #i116747#: remove obsolete copyright notices


2011-02-07  Jens-Heiner Rechtien [hr]  <jens-heiner.rechtien@oracle.com>  [d89dcfd97e220590e1a9c61caa4eaa72951afd37]

hr75: #i116747#: remove pre-OSX Mac resoure fork definition files (*.r)


2011-02-07  Joseph Powers  <jpowers27@cox.net>  [4d86423be75125185f7e220877839c68934bfedc]

cherry picked from 0679158ebb6c84863e6e0e2fe877ea06eba4a2d4

Move XServiceInfo.hpp from DEBUG to main.

Now that XServiceInfo is always used, it would be nice to always include
if defination. This fixes a compile error on mac.

PS: Also some trailing white space. The changed code all appears at the
top of the patch.

Signed-off-by: Noel Power <noel.power@novell.com>

2011-02-07  Noel Power  <noel.power@novell.com>  [8efa2697b2a2737ee5951358878a17203073ac49]

fix for bnc#655763

cherry picked from ae5d018c49d3ab61416cde7fb09c37bcce7d9566
reviewed in bug https://bugzilla.novell.com/show_bug.cgi?id=655763#c6

Signed-off-by: Cedric Bosdonnat <cbosdonnat@novell.com>

2011-02-07  Thomas Arnhold  <thomas@arnhold.org>  [b41eb4e522730fd375a71d9efbc307fb72978616]

Remove dead code and one unused file


2011-02-07  Joseph Powers  <jpowers27@cox.net>  [0679158ebb6c84863e6e0e2fe877ea06eba4a2d4]

Move XServiceInfo.hpp from DEBUG to main.

Now that XServiceInfo is always used, it would be nice to always include
if defination. This fixes a compile error on mac.

PS: Also some trailing white space. The changed code all appears at the
top of the patch.

2011-02-07  Noel Power  <noel.power@novell.com>  [ae5d018c49d3ab61416cde7fb09c37bcce7d9566]

fix for bnc#655763


2011-02-07  Carsten Driesner  <cd@openoffice.org>  [2038b26c033a809186ed4f01d76164b410b599fb]

removetooltypes01: Rebase to DEV300m99


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [e25b3c0a641ade8604e72940544ae4f01048d3e6]

OSL_DEBUG_LEVEL formatting


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [8e905abbcab4ebf117d75071be3d465ff465801c]

Remove DEBUG_FTN


2011-02-06  Thomas Arnhold  <thomas@arnhold.org>  [016a81108051de790541b2434bc5312d7e818ba0]

Remove unused file


2011-02-06  Joseph Powers  <jpowers27@cox.net>  [589048abe9fdb9aa9c66d88d1d1b9978805505e6]

Use boost::hash instead if std:hash


2011-02-06  Joseph Powers  <jpowers27@cox.net>  [224df0d937b91a8ac07720f01eddd694175029b5]

Convert a slist into a list


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a2d5b2d8a0130cf7771610379347e09c74d37014]

use boost::hash instead of std::hash


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [92984f34150f577dbcf9875057e8a06ee4f9a74b]

Revert "Add #include <hash_map> again, we still use std::hash"

This reverts commit fc8a217f55b7b12cceffa2cad83c2a8441b66dc5.

2011-02-06  Joseph Powers  <jpowers27@cox.net>  [fc8a217f55b7b12cceffa2cad83c2a8441b66dc5]

Add #include <hash_map> again, we still use std::hash


2011-02-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8d29cee2c8d727b406ebd6cea003df52dd1d853c]

sgi hash containers -> boost unordered containers


2011-02-04  Peter Jentsch  <pjotr@guineapics.de>  [cd9e87a248022a6a5b2f8fcd6dc5fca7432b7b38]

Update of the libxslt based xsltfilter implementation.

* Uses the sax document handler adapter
* Uses libxslt by default
* Tries to evaluate the 2nd userdata parameter of the filter configuration as
  the name of the transformation service to use.  This should allow extension
  authors to provide their own transformer implementation (which then could use
  the old java based transformation service which in turn uses saxon and could
  provide xslt 2.0 for the TEI people for example).

This is incomplete in the sense that the current filter configurations for the
MS Office 2003 filters needed to be changed to still use the Java based
filter, as long as there's no libxslt based extension function for the
embedded ole export available.

2011-02-04  Peter Jentsch  <pjotr@guineapics.de>  [aa495797a5cebab4c2fddf5f3d5a33aded428dcb]

add missing config entry for JAXP transformation to word/excel 2003 filters


2011-02-03  Michael Meeks  <michael.meeks@novell.com>  [7cae9a6f808db118e1c52e01fc70fdf68e1001af]

remove obsolete duplicate method


2011-02-03  Chris Carpenter(mordocai)  <mordocai@gmail.com>  [cbd7b9cd53c83b2a6a65a028ffc3d0a7097936d7]

Complete Easy Hack: Remove obsolete BmpColorMode enum


2011-02-03  Peter Jentsch  <pjotr@guineapics.de>  [15aec6083b990c3c4a4b9d3ccacf0d33ddf24d0a]

fixed flat xml export service name in configuration files


2011-02-03  Peter Jentsch  <pjotr@guineapics.de>  [f020554ea2d682a45b6a7500a0a4fbee5e86d88b]

Simplified implementation of the flat xml import/export.

It still lacks the line-wrapping provided by the xslt script
"split-long-lines.xsl", will be provided later.

2011-02-03  Jan Holesovsky  <kendy@suse.cz>  [56c6159df31ae968d6c7b00c79c0352e8604cea2]

css -> ::com::sun::star; this is a header file.


2011-02-03  Peter Jentsch  <pjotr@guineapics.de>  [940a87870fdbdee2032f90f00ca32b1ab9f709b9]

Move a header providing useful macros, for broader use.


2011-02-03  Mathias Bauer  <mba@openoffice.org>  [b0ff36ce03945882baa5930d4808c372362f598f]

CWS gnumake3: resync to m99


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [b56db14c3fc7eebb8250574284a730f90ee5f74c]

fix copy ctor and assignment sigs


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [25512a3bc725442d96cbb240935cb573d882efa4]

fix copy ctor and assignment sigs


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [1d8ee35c5226f5b07724209b7230f5b7dccb8832]

cppcheck: fix operator= and stray ;


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [4cbc8aab21dcda55edf79c57a7650181c1c0d8de]

fix visibility warning


2011-02-03  Caolán McNamara  <caolanm@redhat.com>  [d78b483c55b1eac295acba6dfd29d093b942eec5]

WaE: define hid that nErrCode was unused in exception thrown


2011-02-03  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [e33e8b9dfab103f099fae1b82e30fae3e31cc8c9]

chart52: merge with DEV300_m99


2011-02-02  Takeshi Kurosawa  <taken.spc@gmail.com>  [8a9b696a6be82285cdda0cd8d62000de666b19bc]

Use SvXMLUnitConverter's base64 encoder

SVGActionWriter uses FastString class to encode an image to a base64 string.
But there are several more generic encoders. We can use one of them.

2011-02-02  Petr Mladek  <pmladek@suse.cz>  [780535edc21bc230a859d672b7408f10e2691a38]

RTF export crasher (bnc#656503)

Signed off by Cedric

2011-02-02  Caolán McNamara  <caolanm@redhat.com>  [c611f9e4a6a4b2a33fc388b0dff5e970f8f2c1f6]

build-break, fix this makefile


2011-02-02  Caolán McNamara  <caolanm@redhat.com>  [86939374eb1bcb129a7898da0359aba1ae7c8817]

WaE: throw out some warnings


2011-02-02  Thomas Arnhold  <thomas@arnhold.org>  [f89498f44c9f28e3eeb7e5be3b10d3d02e187f07]

Clean up makefiles


2011-02-02  Vladimir Glazunov  <vg@openoffice.org>  [05f050fa88722ecf09d9a8dea5261a3943acd1b2]

#i10000# WAE: cast to right type


2011-02-02  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [32f27160f9ab1c09fb5493e0b885affa93dd5c9e]

target.pmk was removed, but not reference to it/WaE initialize variables


2011-02-02  Takeshi Kurosawa  <taken.spc@gmail.com>  [ecda6f3b42d84e88d35d4d6bd4ea5cc32b9b8c89]

Use product name for EPS Creator header (cherry picked from commit 2d07f1d678dc868687a9ae8c326b766e7def21c2)

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-02-02  Takeshi Kurosawa  <taken.spc@gmail.com>  [dd73734f0440787d84ddbe5737e7f996803dacf2]

Parse 'color' property (fdo#33551)

Parse 'color' property and store the value as currentColor.
(cherry picked from commit d4bac116d0c35d8811a048fdd991363a32df14ca)

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [602ae9689ddc51ed7c7d1365d3a5615e6227d9cb]

Clean up makefiles


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [5f726275bb6c49fcb0bab353d2c69b7dd0b9128f]

Remove empty makefiles and their references.


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [efbf6929da35bcf4161feba031b666bde5087a32]

Remove RCS information


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [8ef0f8124580dec0455ee67c14bb02be4a0b1e4e]

Remove unused file


2011-02-01  Thomas Arnhold  <thomas@arnhold.org>  [d8eb462b4bbdedc3820dfe417d9c1b2a5461b78d]

Remove DBG_INVALIDATE


2011-02-01  Caolán McNamara  <caolanm@redhat.com>  [1dfb0be5befdcd70fa407421cd479ec564d00ab1]

fixup


2011-02-01  Caolán McNamara  <caolanm@redhat.com>  [4d1cac0ef5b18d7b84422d80ebb43394b6accd54]

and use the existing metafile if it exists and has some actions in it


2011-02-01  Takeshi Kurosawa  <taken.spc@gmail.com>  [195fa0a4fa2a7a1529d13caeb36567989863edef]

Fix "Save as Picture"

Currently "Save as Picture" produces a broken eps file.

2011-02-01  Vladimir Glazunov  <vg@openoffice.org>  [3b0b1a45b0edc56ceb6f4f9388a3b2fc328ab0f5]

CWS-TOOLING: integrate CWS writerfilter09


2011-02-01  Vladimir Glazunov  <vg@openoffice.org>  [950ea0582c6697fdfe8d2e1bd656fca88eb97d6d]

CWS-TOOLING: integrate CWS dba34b


2011-01-31  Caolán McNamara  <caolanm@redhat.com>  [d071e489743247d30923a32098707373cf2871f9]

WaE: throw out some warnings


2011-01-31  Caolán McNamara  <caolanm@redhat.com>  [6665844aadc69e879345ace3450d796c4f83cf51]

WaE: mark this dir as warnings free


2011-01-31  Caolán McNamara  <caolanm@redhat.com>  [7b8d63e6754121b7f9026f0f3117b53b330f4678]

WaE: throw out some warnings


2011-01-31  Thomas Arnhold  <thomas@arnhold.org>  [8f712635ef185a31b740893940bf73cb29967081]

Remove RCS lines.


2011-01-31  Vladimir Glazunov  <vg@openoffice.org>  [090e3c24e30dd0dc273d826f1418ada25ff94e28]

CWS-TOOLING: integrate CWS chart46


2011-01-31  Thomas Arnhold  <thomas@arnhold.org>  [9c241c5df64e266d2a70d23c90a7ed9a8150dc65]

Remove double line spacing and dead code


2011-01-31  Kurosawa Takeshi  <taken.spc@gmail.com>  [ef787e9c8bc849b85648f99b800a7157d3b73cee]

Remove GradientWrapper

These files are not compiled.

2011-01-31  Guillaume Fillol  <guillaume.fillol@lello.fr>  [e89f2eb6f89c360e3abd5a3c3e3c5129afdfcb88]

Easy hacks: remove double line spacing


2011-01-31  Christina Rossmanith  <ChrRossmanith@web.de>  [8130f14df00b58661bf176001353b949a1696065]

Easy hacks: removed double line spacing


2011-01-30  Thomas Arnhold  <thomas@arnhold.org>  [09a129a48187afaa0b44e8928750dddc27c30c4f]

Revert "cppcheck: remove unused variable pProps."

This reverts commit 6ada77e610f1ca067bf5b937b9e640a192f72033.

Macros DECL_PROP* are using nProps.

2011-01-30  Thomas Arnhold  <thomas@arnhold.org>  [482ce83ead9ae827720c531e166a8e51ad5e90ce]

Remove some dead code.


2011-01-30  Thomas Arnhold  <thomas@arnhold.org>  [a6266c88f6596996c122c276fbcb5577244cb82d]

Remove TEST, DEBUG and dead code.


2011-01-30  Thomas Arnhold  <thomas@arnhold.org>  [feb81896f2b50e74ad9e6bbfcd5ab6b4826a110f]

Remove MA_DEBUG.


2011-01-30  Thomas Arnhold  <thomas@arnhold.org>  [6ada77e610f1ca067bf5b937b9e640a192f72033]

cppcheck: remove unused variable pProps.


2011-01-30  Thomas Arnhold  <thomas@arnhold.org>  [f35a459af969c33b48edabb301b805b76c28caeb]

cppcheck: remove unused variable pContext.


2011-01-30  Thomas Arnhold  <thomas@arnhold.org>  [bcf2a9bfde41407a2ddf46460d9cac98ad619a55]

Remove dead code.


2011-01-30  Thomas Arnhold  <thomas@arnhold.org>  [829b0ba7d15fd06935392d75ff71f4e8f6a27b07]

cppcheck: remove unused variable TextSizeIsCellHeight.


2011-01-30  Thomas Arnhold  <thomas@arnhold.org>  [7c77d0c2aafe3b9ff732f75fba40ed0dd987021b]

cppcheck: remove unused variable lLen.


2011-01-30  Thomas Arnhold  <thomas@arnhold.org>  [67b2050109057743324300add4f45f7e7a8d52a9]

Remove DBGTXT.


2011-01-30  Thomas Arnhold  <thomas@arnhold.org>  [d15e6459f01d6299fc9a5cef04823daa9d6fc854]

Remove double line spacing and a comment.


2011-01-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9a7fcfcf49e393c02e8d115dfa4a40811582375f]

Use double instead of float (cherry picked from commit c90c5d503543a960a05b43752a5dff9ccf4bcd30)

Signed-off-by: Caolán McNamara <caolanm@redhat.com>

2011-01-30  Kenneth Venken  <kenneth.venken@gmail.com>  [2d5605fa12f35f170b5c5e412f3f1ea7a4752ab6]

unread variable


2011-01-30  Christina Rossmanith  <ChrRossmanith@web.de>  [40ccebcd38636184507dea17dff731eeabd3b214]

removed lots of commented #defines, N's and ?'s


2011-01-30  Christina Rossmanith  <ChrRossmanith@web.de>  [239b13c874b97a8f0e49e4ce7a017032828021a6]

Easy hacks: removed double line spacing (and some dead code)


2011-01-30  Caolán McNamara  <caolanm@redhat.com>  [66777ba02dacaa2fde01123d2f2d8cc307a479aa]

WaE: throw out some warnings


2011-01-30  Christian Lohmaier  <lohmaier+LibreOffice@googlemail.com>  [d3a8f6260d9fc09a50cbbe5edb242a8e7171f18a]

WaE fixes (foo may be used uninitialized)


2011-01-30  Joseph Powers  <jpowers27@cox.net>  [53ff90bae615c50f0291f618a41b752f594a6cc9]

Quite some more compiler warnings.

Includes cleaning up a lot of white spaces.

2011-01-30  Joseph Powers  <jpowers27@cox.net>  [dc1a15a3e5656006f4d68cbb732b73ef611ca38b]

Quite some more compiler warnings.


2011-01-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c90c5d503543a960a05b43752a5dff9ccf4bcd30]

Use double instead of float


2011-01-29  Caolán McNamara  <caolanm@redhat.com>  [2b4da3e14d934900649d0b3ae73d300419cc6916]

WaE: throw out some warnings


2011-01-29  Joseph Powers  <jpowers27@cox.net>  [d17261ab41931b31aee9f818043ed190379756e7]

Cleanup the code a little

Removed SwDBField::Evaluate() - it did nothing and was used only once.
Made some code easer to read.
Lots of white space.

2011-01-29  Joseph Powers  <jpowers27@cox.net>  [c817e0194723c9fb9dc777163cbe4e907fb2193b]

Quite some more compiler warnings.


2011-01-29  Caolán McNamara  <caolanm@redhat.com>  [267330f6d7bd75fe8b5f16544c248d552d2b9709]

WaE: various new gcc 4.6.0 warnings


2011-01-29  Caolán McNamara  <caolanm@redhat.com>  [e8b185043beca8c70f8f2c6f07a41f42f48745b3]

equalsAscii -> equalsAsciiL


2011-01-28  Christina Rossmanith  <ChrRossmanith@web.de>  [80aeeb38b996326f4824bb4398b98fa75e001cd7]

Easy hacks: remove double line spacing


2011-01-28  Michael Meeks  <michael.meeks@novell.com>  [46ef5e934b7650248703f0b13a4a1ce09c6ce293]

revert incorrect usage of RTL_CONSTASCII_STRINGPARAM on char * pointers


2011-01-28  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [4e735194e36c61087d9ef39b8c31a5126e5fff9f]

chart46: merge with dev300m98


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [fb6da779cd43f984f99535f85b5aa838523310d5]

Replace suitable equalsAscii calls with equalsAsciiL.


2011-01-28  Kenneth Venken  <kenneth.venken@gmail.com>  [cc8be7c7be84d721a777e514a27118dbb7c16b58]

comment removed, fixed whitespace


2011-01-28  Kenneth Venken  <kenneth.venken@gmail.com>  [f2ceb73db2b8c501144ac3bfecd0f5087e5d4f53]

removed some revision control comments


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [f530e1bf994701c79cac19574afd2d2d37fb2f78]

Replace suitable equalsAscii calls with equalsAsciiL.


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [56c0e39841e79b3e7b0f65ed6b3c8512c81937bd]

Remove some dead code.


2011-01-28  Thomas Arnhold  <thomas@arnhold.org>  [6755f943143f34c9747640df68060fb96cad90b1]

Replace empty equalsAscii() with getLength().


2011-01-28  Takeshi Kurosawa  <taken.spc@gmail.com>  [2d07f1d678dc868687a9ae8c326b766e7def21c2]

Use product name for EPS Creator header


2011-01-28  Hans-Joachim Lankenau  <hjs@openoffice.org>  [03a9c357f4ab7038f4066a54d2bc2fe67fa00b10]

gnumake3: remove comphelper version; fix including extract.hxx


2011-01-28  Takeshi Kurosawa  <taken.spc@gmail.com>  [d4bac116d0c35d8811a048fdd991363a32df14ca]

Parse 'color' property (fdo#33551)

Parse 'color' property and store the value as currentColor.

2011-01-28  Vladimir Glazunov  <vg@openoffice.org>  [5ec576664c130213675ec25f72271c71672de6d5]

CWS-TOOLING: integrate CWS undoapi


2011-01-28  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [3e024d13139a0e1c11b414d5c5592f6cb8fb4757]

undoapi: pulled and merged DEV300.m98


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [1aed9ea490b3e760e81d18484a46ab886a3286cf]

WaE: mark this dir as warnings free


2011-01-27  Vladimir Glazunov  <vg@openoffice.org>  [f13c860a98434cdbcb1062d4260eaee1b4139603]

CWS-TOOLING: integrate CWS os147


2011-01-27  Caolán McNamara  <caolanm@redhat.com>  [ee86b03dbf942fb766f2a1c58d89a54a42b7bc68]

WaE: gcc 4.6.0 various warnings


2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [02e66a13b66ed968f8ddcf1b1d8cae4979bb8b85]

WaE: mark this dir as warnings free


2011-01-26  An Leenders  <an@Fluffy.(none)>  [cc92ab16be0a727452bf1bf6958bc106121bd51e]

cpp cleanliness: check for assignment to self


2011-01-26  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [fe69fa82baa1e7730e4fd9054fa45c01c5e42545]

chart52: #i28670# import/export of manual chart legend size from/to XLS


2011-01-26  Joseph Powers  <jpowers27@cox.net>  [859a612075a35cdf8e411e26d7d78f9ad5dce05a]

Code cleanup

Removed an unused class forward reference from so2dll.hxx

Removed some useless code from bf_wrapper.cxx
	@@ -167,19 +165,11

Removed a compiler warning (and posiable bug) in sw_wsfrm.cxx
	@@ -782,13 +782,19
	@@ -801,10 +807,11

Deleted several commented out lines.
Lots of trailing whitespace

2011-01-26  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [fb7a4815f604eee3199a8d816b2b0a5e26ad1c51]

chart52: #i28670# import of manual chart legend size from OOXML


2011-01-26  Thomas Klausner  <wiz@NetBSD.org>  [9fd267985820db81454cce1b4a76752769b471b7]

Use PYTHON as passed through by set_soenv.in.


2011-01-26  Caolán McNamara  <caolanm@redhat.com>  [55fb78ca9d7f1d3128cc564187d94a6098a4fbe2]

WaE: gcc 4.6.0 various warnings


2011-01-25  Thomas Arnhold  <thomas@arnhold.org>  [e0def00c172fc8ee664994a80af7033b08662918]

Remove some dead code.


2011-01-25  Andy Holder  <andy.m.holder@gmail.com>  [c70379447f7f6caa18c0e94d460eee482ba80e34]

ccpcheck: unused variable


2011-01-25  Andy Holder  <andy.m.holder@gmail.com>  [3142105f01d1af3fa5fac5986182d9729cacbe8a]

cppcheck: unused variable


2011-01-25  Andy Holder  <andy.m.holder@gmail.com>  [4f37695c89f185ce093ec2a4efe37a5d157bc7f3]

cppcheck: Variables not used


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [362cb337921071159814c18d22e84bee19cf0bce]

fix build break in dbgutil mode


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [74963e71b10dc127d83790f7cf4eab94dd98ddd0]

fix build break in dbgutil mode


2011-01-25  Tor Lillqvist  <tlillqvist@novell.com>  [20abd99b6e28f6d910bc5a632e0e1ff7b9ae2772]

ULONG is not unsigned long


2011-01-25  Mathias Bauer  <mba@openoffice.org>  [e5b4e6aac56b5920ccd3383ec09b238fc7eaae11]

CWS gnumake3: resync to m98


2011-01-25  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [535bf71d50b8b8d60d0ffa9d36ac7542a74f1e9a]

chart52: merge with DEV300_m98


2011-01-25  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [0f95c134e01435c46f867fe8565c0ced6aeb02aa]

chart52: adapt to changed API


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [751156dcaa8d6ad9b762434a7509db12d80284f0]

WaE: gcc 4.6.0 various warnings


2011-01-25  Caolán McNamara  <caolanm@redhat.com>  [ad227115601d40fe7eb43ea579832f3de4614b03]

WaE: gcc 4.6.0 various warnings


2011-01-25  Vladimir Glazunov  <vg@openoffice.org>  [fea1e52b7fa53f2613f61a7fe601cdf29c031026]

#i10000# #i10000# changes from OOO330 m20


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [341ee92908740727f61202797e337fc8f28d8ede]

Add .gitattributes for proper handling of .doc and .sdw files.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [39def5c847e2f32c2dc90ad3e9cc1b868284a5c2]

Remove FS_PRIV_DEBUG directive.


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [3c2cf47e5660c900fa7c1de08d0f7daf9834565f]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [8eb87c6199d2be6aa36ad42358c84883a460e2a3]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [6f7a84b5f0855a7c3d40eac88577819bdbad1525]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [237dff0e35a0b7ef0ded9c64d170f27260610808]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [c49d8ff441976a5aa04f61cb70089c6b7b6aa55f]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [54678e0f666eb778dda2c68269d13121a483035e]

WaE: gcc 4.6.0 various warnings


2011-01-24  Caolán McNamara  <caolanm@redhat.com>  [3994d87599ffededd2af2485b0eb3790b767466b]

WaE: gcc 4.6.0 various warnings


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [222b368672642392de99f5b678ea978a3563225e]

Remove erDEBUG directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [fce0e35e4303c4f939fa577ff6f7aa51df95bf83]

Remove TEST_DELAYED_RESIZE directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [ef544a1fa36f299f5e3cd3c94a0d04073f2f7d6b]

Remove OLD_INDEX directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [4a7699c96c454ef06013d885969cc6d9ecbbf53b]

Remove JP_DEBUG directive and some dead code.


2011-01-24  Tor Lillqvist  <tlillqvist@novell.com>  [cadc0f9ad37cd3d3b705faf6aefd67c25d7d4392]

Include the wntmscx build directories


2011-01-24  Carsten Driesner  <cd@openoffice.org>  [81d7a3b6c9f2ace6ae3ee6b85e3e033fb177fa2d]

removetooltypes: adjust rebase for linux


2011-01-24  Henning Brinkmann  <hbrinkm@openoffice.org>  [25adaf8c14409384c3b7604fa374ca2a826fcff6]

merged DEV300_m98


2011-01-24  Mikhail Voytenko  <mav@openoffice.org>  [1cd2d3130f5ab5460b4bd13c914e8fcec87a5e98]

removetooltypes01: #i112600# adjust rebase for windows


2011-01-24  jonathan aquilina  <jaquilina@eagleeyet.net>  [9c637420d7746bfabeb1085d122403d17f79f4ba]

removed double spaced lines in the genericfilter.cxx file


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [922151e843fff009257218fe9f9ed0df98e3b7eb]

Remove VERT_DISTANCE directive.


2011-01-24  Thomas Arnhold  <thomas@arnhold.org>  [8cfee684ae04ebd78072e8065305952341becffa]

Remove CUTNOEXPAND directive.


2011-01-23  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [d0fad1cd6d588da4e7228a83191a37086d4ead5b]

delete in binfilter bf_sw class SwWriter

deletion of write classes within the binfilter. Still not going out of
the StarWrtier range

2011-01-23  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [f99fc98db445797639120c4c1df8e4251d620782]

delete in binfilter/bf_sw class StgWriter

cleaning write functionalities within binfilter / in starWriter part

2011-01-23  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [6fb51962d83899e006739e9b50bbb3bc7920a06c]

delete binfilter/bf_sw SwXMLWriter class

cleaning part of the binfilter. deletion of now unneeded classes
within binfilter/bf_sw. Currently only the StarWriter part is touched

2011-01-23  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [5833e44cf236601f4a9f9a470756638937621a1d]

class Sw3Writer in binfilter deleted

this class has been deleted with all its dependencies witin bf_sw,
aka StarWriter filter functionalities.

2011-01-23  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [0772f1d7ee7a39ae6e497f93cb912a7dc75f6ef4]

deletion of Sw3Io::Save and Sw3Io::SaveAs in binfilter sw

this is the cleaning of Sw3Io class, deleting the Save and SaveAs
function and the dependancies (inheritance, virtual functions, function
where this was called...) This may still left behind orphean functions
that are not called any more, but have not yet been deleted

The scope of this cleaning is binfilter/bf_sw, means StarWriter perimeter
only

2011-01-23  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [f6414cc87ca37bdaf005445b94eee2c1821499f4]

deletion of StgWriter::Write and its dependancies

During this deletion part, all the deletion have been done within
the binfilter/bf_sw, not touching the generic part. Further, all deletion
have been done based only on the deletion of the above mentionned function
and of its dependancies.
This step left behind some orphean functions, that are probably not called anymore,
this will be deleted in further steps.

2011-01-23  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [73e198a4fa6eadf9ceeee758f237729bd53fa6a6]

not using Write function on loading anymore for binfilter without EXPORT

when the document is loaded, the writing functionality is not called any more
if the filter does not have the EXPORT flag set. Without the EXPORT flag, it
may well be that the filte does not have the write functionalities implemened

2011-01-23  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [e7933d5d0431a00dd19ed292687651e91e79e705]

Star Writer file format not EXPORT anymore

the EXPORT flag is removed from the properties of filters used for
managing the Star Writer This allow still to imort files of
this format, but not saving / creating further files within this
format

2011-01-23  Caolán McNamara  <caolanm@redhat.com>  [4ce3d8fc61996a59d25925bf69522ad78cd1ec18]

WaE: unused varibles


2011-01-23  Caolán McNamara  <caolanm@redhat.com>  [3e8f3e57acd73e10e0857065b90652ee5eb29d9b]

WaE: ununsed variable


2011-01-22  Joseph Powers  <jpowers27@cox.net>  [48df2cfe1d94601086c52ea70625bda4cc4de492]

Remove DECLARE_LIST(ImpSdXMLExpTransObj3DBaseList, ImpSdXMLExpTransObj3DBase*)


2011-01-22  Thomas Arnhold  <thomas@arnhold.org>  [76b1366da565271bf733af28bc890945e70bd85e]

Remove some dead code.


2011-01-22  Thomas Arnhold  <thomas@arnhold.org>  [673943061d576b9d2d56b140b19080e800215f9d]

Remove some dead code.


2011-01-22  Thomas Arnhold  <thomas@arnhold.org>  [4505ad6e47fbb9c1c7f784174a157a44342e34d4]

Remove empty description and dates.


2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [1c57d3eeec97a69897f7367cb086143a472cc8af]

Remove obsolete RCS lines.


2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [da5c32b21521f15a3334727a0de9c2c4978b79e3]

Remove all of this //STRIP stuff.

Props go out to sed ;)

sed -i "\%^\s*//STRIP00[0-9].*%d"
sed -i "s%\s*//STRIP00[0-9].*$%%"

2011-01-21  Carsten Driesner  <cd@openoffice.org>  [b6dfde8cc8db6a7bbc157dad68e84eedcbe474ea]

removetooltypes01: Rebase to DEV300m98


2011-01-21  Joseph Powers  <jpowers27@cox.net>  [7728d3714f604a9a20d27374a63fd5db74dfaa29]

Remove DECLARE_LIST(ImpSdXMLExpTransObj2DBaseList, ImpSdXMLExpTransObj2DBase*)


2011-01-21  Caolán McNamara  <caolanm@redhat.com>  [6e3a1ae281252a44c22fb08d895cc9fd08d82ccd]

WaE: mark this dir as warnings free


2011-01-21  Joseph Powers  <jpowers27@cox.net>  [c25695ba7eea64f426ccb440ebfe723cc937565d]

Remove DECLARE_LIST( XMLSectionList_Impl, XMLSectionImportContext* )


2011-01-21  Noel Power  <noel.power@novell.com>  [82102abd307f911c400735eb6f9b43fa69d221d8]

fdo#33237 remove debug line


2011-01-21  Noel Power  <noel.power@novell.com>  [9c976ba4f8e1fd2bcd40412873e22728ed83d5bd]

fdo#33237# fix ole object import for writer (docx)


2011-01-21  Michael Stahl  <mst@openoffice.org>  [7d42c1e65bae252a02742832f88cb7021dd1b4be]

sw34bf03: #i100620# #i97173#: xsltfilter: make it actually build...


2011-01-21  Michael Stahl  <mst@openoffice.org>  [6e4988e5221d5d58b7658cf046626ef144452555]

sw34bf03: #i100620# #i97173#: integrate patch from sus


2011-01-21  Carsten Driesner  <cd@openoffice.org>  [e2b3064ca6a16f584f9295fe01767cec7e4ce748]

removetooltypes01: #i112600# Fix build problems on non-pro


2011-01-21  Thomas Arnhold  <thomas@arnhold.org>  [a1595f081dfba886b0b2ab5f8e11583cb09768e9]

Remove old RCS lines.


2011-01-21  Caolán McNamara  <caolanm@redhat.com>  [9992e2e20dc99f02f9a446f1603fa575aaa86197]

WaE: throw out some warnings


2011-01-21  Caolán McNamara  <caolanm@redhat.com>  [27356cd61e57b7ac3b9c646208ce3dd485758df9]

WaE: set this dir as warnings free


2011-01-21  Caolán McNamara  <caolanm@redhat.com>  [c83d0accca40dc0dffbbfe46bd9d4b6d347e53e7]

WaE: set this dir as warnings free


2011-01-21  Caolán McNamara  <caolanm@redhat.com>  [dcf60d2f829613cd84c0a59ddf3c61616b18979c]

WaE: set this dir as warnings free


2011-01-21  Caolán McNamara  <caolanm@redhat.com>  [3f9e04d3106a639665b2eafdc4e669d882a7d4e3]

WaE: throw out some warnings, and mark a dir a WaE free


2011-01-20  Joseph Powers  <jpowers27@cox.net>  [27c925c1bf32cee20c5741c9f0046a50423e05a3]

Remove DECLARE_LIST(Imp3DLightList, SdXML3DLightContext*)


2011-01-20  Joseph Powers  <jpowers27@cox.net>  [bdd055a9d247ce59a741868caa08c6ba9f052334]

Remove DECLARE_LIST( XPolygonList, XPolygon* )


2011-01-20  Joseph Powers  <jpowers27@cox.net>  [ccef78320b1a4f553566e8ae9974521d7629ea8b]

Code cleanup with #include removal

Mostly whitespace and commented code removal.

2011-01-20  Joseph Powers  <jpowers27@cox.net>  [2a934478ed4e1a892b8d844d9b3c437f9f381cda]

Remove DECLARE_LIST(ViewList,OutlinerView*)


2011-01-20  Mathias Bauer  <mba@openoffice.org>  [23f77e1f44edea8d339cb738270ab18fffd398cf]

CWS gnumake3: -D_DLL is needed on Windows; removed superficial _DLL_ usage all over the place


2011-01-20  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [74849b3d33151d757b230c01ef9bbeb1db8b6151]

compiling fix: adding cast to ULONG in ::std::min


2011-01-20  Joseph Powers  <jpowers27@cox.net>  [2ccd7fe36c48629db7b2ffbecdce7c231079e057]

Remove DECLARE_LIST(E3dLightList, E3dLight*)


2011-01-20  jonathan aquilina  <jaquilina@eagleeyet.net>  [5c3033067a72d9d02aed05b897e35d0f2c7a69e7]

removed double line spacing


2011-01-20  Joseph Powers  <jpowers27@cox.net>  [29e37bf646584e92dfe35e0840c3a2bae3c617b6]

Remove DECLARE_LIST(E3dLabelList, E3dLabelObj*)


2011-01-20  Joseph Powers  <jpowers27@cox.net>  [765d7a7d6f9d0551dca5640ad2374983dd1d4daa]

Remove (axe) DECLARE_LIST()s DbDataColumns & DbGridColumns

The entire .hxx file wasn't used; also every .hxx file that included it
also wasn't used. So I just did a mass delete.

2011-01-20  Thomas Arnhold  <thomas@arnhold.org>  [676dc0fc07726b79f3e30f21b3883c9ec51ab0ec]

Replace suitable equalsAscii calls with equalsAsciiL.

Done with sed -i 's%\(\.equalsAscii\)(\(\s\?"[^"]\+"\)\(\s\?\))%\1L(\3RTL_CONSTASCII_STRINGPARAM(\2\3)\3)%g'.

2011-01-20  Takeshi Kurosawa  <taken.spc@gmail.com>  [5c149e9e68d950ff7f4f61016e4f099a720b8a74]

Fix rendering order of fill and text

The SVG export filter exports shapes (and their shadow) at first, then
exports texts (and their shadow). This causes the inverted order of
shadows (shadows of texts overlap shapes). Although, the filter
exports shapes and texts separately from the initial revision.
http://cgit.freedesktop.org/libreoffice/filters/diff/filter/source/svg/svgexport.cxx?id=d70fe3aea5ab065ab938cbd50366846f449fa7fa

I can't find any reason to do so. Make the filter export all contents at once.

From fdo#33241

Signed-off-by: Tor Lillqvist <tlillqvist@novell.com>

2011-01-19  Michael Stahl  <mst@openoffice.org>  [bb80b9fbd99d1fcf94ad3f79e131d3dfc20f8e59]

xmlfix3: unoxml: eradicate the bizarre concept of "carrier nodes":  add namespace data member to CAttr.  CAttr overrides getPrefix(), setPrefix(), getNamespaceURI().  CDocument::createAttributeNS() uses this new CAttr member instead of creating   a dummy carrier element.  CElement::setAttributeNode_Impl_Lock() and CNode::appendChild() do not free   the no longer existing dummy carrier element.  CNode::insertBefore() calls appendChild() for attributes   instead of ignoring namespace.  CNode::appendChild() does not invalidate attributes, because they are copied.


2011-01-19  Michael Stahl  <mst@openoffice.org>  [e99659d4b26e33b19ab4a57029dab72732e3f927]

xmlfix3: unoxml: CDocumentBuilder cleanup


2011-01-19  Michael Stahl  <mst@openoffice.org>  [c6a3c03dfd8f55452a29452a36dfff881924f999]

xmlfix3: unoxml: XPath cleanup


2011-01-19  Michael Stahl  <mst@openoffice.org>  [9f9a82bb77bcc93e565d45af7a1cfb48bb2858bc]

xmlfix3: unoxml: CCharacterData: return value of xmlNodeGetContent was leaked


2011-01-19  Michael Stahl  <mst@openoffice.org>  [9fe15ca814df4d786cecdfd884795a1b34bc0b8d]

xmlfix3: unoxml: CAttr cleanup: always check m_aNodePtr


2011-01-19  Michael Stahl  <mst@openoffice.org>  [a98b57419bd27a3d13f536678058c8c98c746fae]

xmlfix3: unoxml: CElement fixes:  add some additional argument checks.  return value of xmlGetProp was leaked.  invalidate CAttr instances after calling xmlUnsetProp.


2011-01-19  Michael Stahl  <mst@openoffice.org>  [bf7c677c351603e88524fddec179169b82ec4959]

xmlfix3: unoxml: CDocument tweaks


2011-01-19  Michael Stahl  <mst@openoffice.org>  [20504cbbf1d01c770eed9135e278ea0bb5d243ea]

xmlfix3: unoxml: CNode fixes:  add some additional argument checks.  fix mess in CNode::setPrefix().


2011-01-19  Michael Stahl  <mst@openoffice.org>  [c86ccced262d98d57c0f7d9f4b91455623e3c664]

xmlfix3: unoxml: some cleanup in CNode...


2011-01-19  Michael Stahl  <mst@openoffice.org>  [37450e65d3f65e981a52501472de622d98042509]

xmlfix3: unoxml: cleanup friend declarations


2011-01-19  Michael Stahl  <mst@openoffice.org>  [c375d301d5b1bb7fb816d353500deebcb59aafaf]

xmlfix3: #i113682#: unoxml: CEvent gets a mutex member;  also initialize member variables in constructors.


2011-01-19  Michael Stahl  <mst@openoffice.org>  [b2cdfd24e1581c0e8959dfbe0992ecef9ec8762a]

xmlfix3: #i113682#: unoxml: CDocumentBuilder gets a member mutex


2011-01-19  Michael Stahl  <mst@openoffice.org>  [edc7b2ed953eab34ed61a19cc90fba9f94cf49a4]

xmlfix3: #i113682#: unoxml: locking in XPath:  use CDocument mutex in results, and during evaluation.  new CXPathAPI member mutex.  also, fix lcl_collectNamespaces in case parent nodes declare same prefix.


2011-01-19  Michael Stahl  <mst@openoffice.org>  [b0db4f7d41508acfdfff058c842d97d51dc0b308]

xmlfix3: #i113682#: unoxml: use CDocument mutex in misc classes


2011-01-19  Michael Stahl  <mst@openoffice.org>  [3db2832c040abec3b16a9ab0a3411f46187ebc4f]

xmlfix3: #i113682#: unoxml: CDocument gets a member mutex:  use it to lock all CNode and derived classes' UNO methods.


2011-01-19  Michael Stahl  <mst@openoffice.org>  [76f342ffde323c7892556159a49fe2c9812d745b]

xmlfix3: #i113682#: unoxml: no more globals in CNode:  instead now the CDocument contains a node map member.


2011-01-19  Michael Stahl  <mst@openoffice.org>  [b9bbc1b39dc7d9977ac056b231525eb26ba1edc9]

xmlfix3: unoxml: all node ctors get CDocument parameter  (and in the next patch, an actual CDocument, not just 0 :)


2011-01-19  Michael Stahl  <mst@openoffice.org>  [0bd8383b0d6e8d4ba565f7d48857f7c6f93cfd89]

xmlfix3: unoxml: replace CNode XUnoTunnel implementation with something sane


2011-01-19  Michael Stahl  <mst@openoffice.org>  [054085f93c83c9c0088932b2869f6dec46908e25]

xmlfix3: unoxml: refactor XPath results a little:  replace Reference<XNode> with Reference<CDocument>.  also remove all using namespace css::lang, due to conflicts.


2011-01-19  Michael Stahl  <mst@openoffice.org>  [f1a797731fb5390b002e07fb25158eef48757838]

xmlfix3: unoxml: fix CDOMImplementation: static instance could be deleted


2011-01-19  Michael Stahl  <mst@openoffice.org>  [daada2efc0da58ee38484a48a32794f0b165e4cf]

xmlfix3: unoxml: fix CNotationsMap: member pointer does not keep document alive


2011-01-19  Michael Stahl  <mst@openoffice.org>  [184d963cf4b893a87a2fe1f81d5caddb9340a5b9]

xmlfix3: unoxml: fix CEntitiesMap: member pointer does not keep document alive


2011-01-19  Michael Stahl  <mst@openoffice.org>  [c24819b7e4bb5610834325cf56e7fddd3bc79542]

xmlfix3: unoxml: fix CAttributesMap:  member pointer does not keep document alive.  also, if an attribute is unlinked, it is leaked.


2011-01-19  Michael Stahl  <mst@openoffice.org>  [e2f586cd2d8a78eaffbfc3339d54952e870dc8a8]

xmlfix3: unoxml: fix CChildList: member pointer does not keep document alive


2011-01-19  Michael Stahl  <mst@openoffice.org>  [83f0f63993f98870507e2813c8c6cb2755bb06f7]

xmlfix3: unoxml: fix various issues in CElementList:  the string buffer allocated in ctor missed null terminator.  the xmlChar* members of ElementList are leaked.  the CElement* pointer does not keep the document alive.  CDocument::getElementsByTagNameNS calls CElementList ctor with wrong args.


2011-01-19  Michael Stahl  <mst@openoffice.org>  [ac99c1fc1f14aa12cd5bca8059c3cf2988612f7f]

xmlfix3: unoxml: CEventDispatcher::dispatchEvent(): fix iteration:  capture listener was not called for first node in vector.  (assuming that it was intended to be called)


2011-01-19  Michael Stahl  <mst@openoffice.org>  [deadd4848716de71fe1207fb6f449de5f3a5aeb2]

xmlfix3: #i113682#: unoxml: no more globals in CEventDispatcher:  instead CDocument now has a CEventDispatcher member.


2011-01-19  Michael Stahl  <mst@openoffice.org>  [5e7ae19938b1dd6cdb7956fe52b31739bb10c8f0]

xmlfix3: #i113682#: unoxml: no mutex necessary for CDocument::importNode


2011-01-19  Michael Stahl  <mst@openoffice.org>  [53df452cf2e7b2aaa94a4934208ace6775b14bcd]

xmlfix3: unoxml: add copyright headers in events subdir, clean up includes


2011-01-19  Michael Stahl  <mst@openoffice.org>  [ea2148957921c824096908fb719769909b4b653b]

xmlfix3: #i113682#: unoxml: mutex for CSAXDocumentBuilder


2011-01-19  Michael Stahl  <mst@openoffice.org>  [df347dafba7dd605ff9729a25a302080a040f965]

xmlfix3: unoxml: clean up trailing whitespace infestation


2011-01-19  Michael Stahl  <mst@openoffice.org>  [d4070785b94d6717a9ecaaa2ab1f882970d5d329]

xmlfix3: unoxml: refactor CNode initialization


2011-01-19  Michael Stahl  <mst@openoffice.org>  [b0f6dc415789a1884c5f19a57eb98dc180ed4c4c]

xmlfix3: unoxml: new method CNode::invalidate


2011-01-19  Michael Stahl  <mst@openoffice.org>  [a2b324b1089c07dbfa2ba857ffde307ae498ee49]

xmlfix3: #i113681#: unoxml: fix races in global node map:  put a WeakReference<XNode> into nodemap_t, and check it in getCNode.  check for race between removeCNode and getCNode in removeCNode.  remove pointless call of removeCNode.


2011-01-19  Michael Stahl  <mst@openoffice.org>  [0328a18d85e56028a481ca3333dad439cf64d6e1]

xmlfix3: #i113663#: unoxml: fix leaks caused by CNode::get returning CNode*:  CNode::getCNode now returns rtl::Reference<CNode>, preventing leaks.


2011-01-19  Michael Stahl  <mst@openoffice.org>  [db4de4d7b9b8daf571f55452b74132189af397fa]

xmlfix3: #i113663#: unoxml: fix xmlRemoveProp errors


2011-01-19  Michael Stahl  <mst@openoffice.org>  [0779eb7dbfafd9d77059162829441f5aafe5a286]

xmlfix3: #i113663#: unoxml: fix leaks of unlinked nodes


2011-01-19  Michael Stahl  <mst@openoffice.org>  [e3c76405be9158e43fb93a1bef7c739fd9c7b5da]

xmlfix3: unoxml seems to have wrong dependencies


2011-01-19  Malte Timmermann [mt]  <malte.timmermann@oracle.com>  [597e7053c8062999191c0339e980a23211fc201f]

added some accessible names and releations in PDFImport dialog and XML Settings dialog


2011-01-19  Ivo Hinkelmann  <ihi@openoffice.org>  [e6f918a929755e8c38b426d840192b106c7addca]

masterfix: #i10000# header file removed


2011-01-19  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [42eca8dda52769254ce10a078a9ffe94474738ad]

gnumake3: mergeing changes from DEV300_m97, fixing jars for svl complex test, deliver globlmn.hrc for now, adding component registration for svx libraries, still misses gengal and friends when packing


2011-01-19  Joseph Powers  <jpowers27@cox.net>  [5ca29369f2f955de0b6be9a998dc4c7d45afb78b]

Remove DECLARE_LIST( SfxStyles, SfxStyleSheetBase* )


2011-01-18  Joseph Powers  <jpowers27@cox.net>  [cc684648e79fe050d7e2b52217ab1d157690d387]

Remove DECLARE_LIST(SvAddressList_Impl, SvAddressEntry_Impl *)


2011-01-18  Joseph Powers  <jpowers27@cox.net>  [02e0aa11e8b02e0921a071393a5aa7c1bd17b7bf]

Delete commented code & quite some warnings


2011-01-18  Joseph Powers  <jpowers27@cox.net>  [dcf9c0a641886beb5cb2d8516b5980ea461b0ac1]

Remove DECLARE_LIST(SmListSym, SmSym *)


2011-01-18  Joseph Powers  <jpowers27@cox.net>  [878c3fe71701c555925cf9bdbaeb0599b0b71b78]

Remove DECLARE_LIST(SmErrDescList, SmErrorDesc *)


2011-01-18  Noel Power  <noel.power@novell.com>  [52955fee60effeffab3acdd136f80c6bc4edb08b]

supress bad iterator move past-end error in debug mode


2011-01-18  Christian Lohmaier  <lohmaier+libreoffice@googlemail.com>  [54c30e7f301c0879d48d60322be962d53840d264]

WaE patch for filter

Signed-off-by: Kohei Yoshida <kyoshida@novell.com>

2011-01-18  Radek Doulik  <rodo@novell.com>  [64aace4a51a7e751432f1af20bdb1c19536a6adc]

set characters encoding for symbol fonts, n#656934


2011-01-18  Radek Doulik  <rodo@novell.com>  [83281ee7380598e89a44142a4fff1b159d9ea6ab]

fix default bullet size, n#656934


2011-01-18  Radek Doulik  <rodo@novell.com>  [7c2dbe65adf9336549e8dd3b62905da3cb38ea40]

extend debug dump so that it dumps numbering rules


2011-01-18  Ivo Hinkelmann  <ihi@openoffice.org>  [2f3524f4059577f2cedb842f2ec427a20d95450f]

CWS-TOOLING: integrate CWS fwk162


2011-01-18  Ivo Hinkelmann  <ihi@openoffice.org>  [915cfc3345aa791c0f2fa262d1e0cb7996b73596]

CWS-TOOLING: integrate CWS chartextensibility


2011-01-18  Joseph Powers  <jpowers27@cox.net>  [85a7c1e775ad15050c53782314c381ffcd9279ec]

Remove DECLARE_LIST(SvInPlaceObjectList,SvInPlaceObject*)


2011-01-18  Noel Power  <noel.power@novell.com>  [60d77debbd521b95acda9c61a1dbdb9209914b67]

fdo#33237 remove debug line


2011-01-18  Noel Power  <noel.power@novell.com>  [c764fd6bbe7fc04f0518d26e146e62671544b053]

fdo#33237# fix ole object import for writer (docx)


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [e7473329c8d79ba3988aa07172290beedcaaf325]

free ctxt *after* taking lastError details


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [8071b4269a690a64dd17e77a0358239a9c36ca60]

Use the foolproof checked macro for this


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [87776cce7cfd30e64ee42b08f4b9bfda0fc1598e]

disambiguate between two different SkipBlocks


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [997a7929c6af85bd479d535e5e7f9ae6378e0830]

this file isn't built, remove it


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [a31f3be3a99cb6f8c9b10af3996bf5c8b608091c]

cppcheck: object destroyed immediately


2011-01-18  Caolán McNamara  <caolanm@redhat.com>  [3efcc47719b8aea781c2f1d05ffb13ecd7222711]

WaE: this dir is now warnings free


2011-01-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8383f008c60c0615005f4bb22ae9ddaeca4540cf]

Fix a typo SolarMuexGuard -> SolarMutexGuard

signoff: Jan Holesovsky <kendy@suse.cz>
signoff: Thorsten Behrens <thb@documentfoundation.org>
signoff: Tor Lillqvist <tlillqvist@novell.com>
signoff: Petr Mladek <pmladek@suse.cz>

2011-01-18  hb  <hbrinkm@openoffice.org>  [1cc5e65655f4bf6a728cc3372302cb3d70ec4ea1]

XPathLogger.cxx: added include for <stdio.h>


2011-01-17  Joseph Powers  <jpowers27@cox.net>  [75b14fdee7e634933763b0b4be7c8d315efd8a3a]

Remove dead code


2011-01-17  Joseph Powers  <jpowers27@cox.net>  [44e0f28d0cffb344803c4737616dea1d41534676]

Remove DECLARE_LIST(SvContainerEnvironmentList,SvContainerEnvironment*)

I also removed SvAppFrame::pChildList and its related code. The code never
inserted anyting into the list; thus, it could never having anything in it
to process.

2011-01-17  Joseph Powers  <jpowers27@cox.net>  [2bdece8f2a19e85492194a57741fb26a268f3ffb]

Remove DECLARE_LIST( _SfxVersionTable, SfxVersionInfo* )


2011-01-17  Ivo Hinkelmann  <ihi@openoffice.org>  [17735c10abdb3b83fd61dc3f17b1858139efe916]

masterfix: #i10000#: WAE fix


2011-01-17  hb  <hbrinkm@openoffice.org>  [97aa6076d496a9e9c4dffe1814b855ed70c16bc5]

merge


2011-01-17  Caolán McNamara  <caolanm@redhat.com>  [764eba713623e947a1124ffbd65f788517832248]

cppcheck: unused variable


2011-01-17  Caolán McNamara  <caolanm@redhat.com>  [8b6d9d6da84b84d3210873127fa1756139d894f0]

cppcheck: unused variable


2011-01-17  Caolán McNamara  <caolanm@redhat.com>  [e3079f063f894f5f5a303589cc75a3a6b14c8d5d]

WaE: throw out some warnings


2011-01-17  Caolán McNamara  <caolanm@redhat.com>  [feebe5ccc5558f3ca53c86a246ce40019c0317a0]

WaE: this dir is now warnings free


2011-01-17  Caolán McNamara  <caolanm@redhat.com>  [6e6199f11c17b5ac236488756bf4ea28436615bf]

WaE: this dir is now warnings free


2011-01-17  Julien Nabet  <serval2412@yahoo.fr>  [0f74716c839a2985b9a40396794ef8a67f8d4ed1]

some cppcheck cleaning


2011-01-16  Joseph Powers  <jpowers27@cox.net>  [61b2656494d556be837c068bbd5468c34e379bad]

Remove DECLARE_LIST( StringList, String* )


2011-01-16  Joseph Powers  <jpowers27@cox.net>  [ada6b5dc8d697cbc6c6795c181e45f67dc005746]

Code cleanup

Just white-space and deleting commented code.

2011-01-16  Joseph Powers  <jpowers27@cox.net>  [41a2ea7496e65b20670a4b3c8ccf588718174ec5]

Remove DECLARE_LIST( SfxFilterList_Impl, SfxFilter* )

Plus I deleted a lot of commented out code and fixed some white-space
issues.

2011-01-16  Joseph Powers  <jpowers27@cox.net>  [b28a91027bb3aac8fb1233f4fffb22ad8e0db859]

Remove DECLARE_LIST(E3dLogicalObjList, E3dObject*)


2011-01-16  Joseph Powers  <jpowers27@cox.net>  [28464edd3564f7dc4a4cf6b830c6b43fc6ebb886]

Remove DECLARE_LIST(DescrList, E3dLabelObj*)


2011-01-16  David Tardon  <dtardon@redhat.com>  [a92ff9724d8a6b63496e86f81b9b2f22ff0a7496]

fix debug build


2011-01-16  David Tardon  <dtardon@redhat.com>  [558164ace5b1d7c6eaab020a4562c51b713c06aa]

dbglevel=2 build uses libxml2


2011-01-16  Joseph Powers  <jpowers27@cox.net>  [6d37b733c086d4d00e2e934139a7e70b912cc4b1]

Remove DECLARE_LIST(ItemSetList, SfxItemSet*)


2011-01-16  Caolán McNamara  <caolanm@redhat.com>  [fb3a1b16020865021ce3a40a91cb4efd13215d6f]

equalsAsciiL faster than equalsAscii & comparetoAscii(const sal_Char*)


2011-01-15  Joseph Powers  <jpowers27@cox.net>  [376e4f5e40f562171f23f5704b5c0f6f8b9576e9]

Remove DECLARE_LIST(DescrList, E3dLabelObj*)

It was already commented out; this just makes it official.

2011-01-15  Joseph Powers  <jpowers27@cox.net>  [0f27e27e3cf8c0dcc1075574015d571a7954c335]

Remove DECLARE_LIST( ScTabOpList, ScInterpreterTableOpParams* )


2011-01-15  Joseph Powers  <jpowers27@cox.net>  [b1042c8bd8d4016b2977d78a510bb32bacc889dd]

Remove trailing white space


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [4b931bc832ce174ab8ac5be25fa39a958448f381]

WaE: throw out some warnings


2011-01-15  Ingrid Halama [iha]  <Ingrid.Halama@oracle.com>  [2bb381163ce6fa1a33e0cf611da261740661629b]

chart46: merge with DEV300_m97


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [86a72d308c7d514f64b8927464b00ff01f4a8099]

WaE, throw out some warnings


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [3e34c9c605f03f7ab2230d3b600343737171b3dd]

no need for the pointer fetishism


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [48bad9a050d37dd31edf32a8d321b6c8bd1d0d4c]

no need for the pointer fetishism


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [0ba54c796c16abb1a3e881265cf595ed9d28db82]

no need for the pointer fetishism


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [207242fa0e7f942c5a5a7176e96fb9de253f26a9]

no need for the pointer fetishism


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [d206833e6f6b84220348a3fb631921e186e20efe]

no need for the pointer fetishism


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [c93396075e83657e580291c25fdd4909d072d983]

cppcheck: unused variables


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [3e1c03ff19f4560f0ef7c5dd65e9f6b5ff411d08]

cppcheck: Member variable not initialized


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [d2f548e9e7ba90730591f08edbeff1a389297e04]

WaE, this dir is now warnings free


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [7b9fe9bc80326f434adccc6c8d9faad52fad942d]

WaE, this dir is now warnings free


2011-01-15  Caolán McNamara  <caolanm@redhat.com>  [25b7cb4a43d1e9ee6208089002e0db71764be175]

fix some warnings


2011-01-15  David Tardon  <dtardon@redhat.com>  [13bb1600378671f50c4784451df4b9b76fd7bc4f]

use css::table::BorderLine2


2011-01-14  Joseph Powers  <jpowers27@cox.net>  [6c7a4a364ad941558013cb54d7ceaf21ad2cde50]

Remove DECLARE_LIST( ScRangePairListBase, ScRangePair* )


2011-01-14  Norbert Thiebaud  <nthiebaud@gmail.com>  [e14a513898c1dc7725647d9940a3904a7afad504]

remove a case of debug-only 3-state pseudo-bolean.


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [a2a21792060e7ee4ef46a2bd99cdbaf638473999]

WaE, throw out some warnings


2011-01-14  Carsten Driesner  <cd@openoffice.org>  [7f6fcb5536e893a3350102746db9acc7fe4355b7]

removetooltypes01: #i112600# Remove tool types from binfilter, starmath, svx, toolkit and xmloff


2011-01-14  Mikhail Voytenko  <mav@openoffice.org>  [98d7b2f5dd226ccc2650d6729405d23cbe8dc034]

removetooltypes01: #i112600# remove tooltypes from writerfilter


2011-01-14  Mikhail Voytenko  <mav@openoffice.org>  [8b2f218106c76d09aae5550dd4912980ec957f5d]

removetooltypes01: #i112600# remove tooltypes from filter


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [f74fcd2618ad5355f53bb89cadd850bf890d1172]

WaE: this dir is now warning free


2011-01-14  Caolán McNamara  <caolanm@redhat.com>  [e425df9c7703f23a8aa367f99d9bed354b67c6c4]

catch exceptions from missing components here as well more cleanly


2011-01-13  Joseph Powers  <jpowers27@cox.net>  [39f10b2cf4c87591ecc1bfe6833f6118096f8525]

Remove DECLARE_LIST( ScRangeListBase, ScRangePtr )


2011-01-13  Joseph Powers  <jpowers27@cox.net>  [c56b1bad80bb43dc346c8579ecbd848ee48be67b]

Remove warnings & trailing whitespace


2011-01-13  Joseph Powers  <jpowers27@cox.net>  [3f40905220fac8cc3b679af8534b6209c27132b6]

remove DECLARE_LIST(SbxVarList_Impl, SbxVariable*)

It was only used during debug to print a list of variables created.

2011-01-13  Mikhail Voytenko  <mav@openoffice.org>  [8198efe51fddc46e45b8583774e3f24ea41542fe]

removetooltypes01: #i112600# let binfilter use tooltypes further


2011-01-13  Caolán McNamara  <caolanm@redhat.com>  [a48a1574445aa7c654f170830938c96e5e335b92]

WaE: this dir is now warning free


2011-01-13  Caolán McNamara  <caolanm@redhat.com>  [8dfaffe1aff0178cd8305a778b786a1f36ff6c77]

WaE: this dir is now warning free


2011-01-13  os  <os@openoffice.org>  [afd157236778f26da9c7dc58e4f642daf61bdd5d]

m97 merged


2011-01-12  Joseph Powers  <jpowers27@cox.net>  [f0a1ee8ac2e4e22b3c71d81da17fbd1c3a2e3d19]

Remove DECLARE_LIST( SvXMLStyleContexts_Impl, SvXMLStyleContextPtr )


2011-01-12  Joseph Powers  <jpowers27@cox.net>  [c3f1fe64897de1818b8df43a88e0b584e54e7e50]

Remove DECLARE_LIST( SvXMLAutoStylePoolCache_Impl, OUStringPtr )

Actually, we only add items and remove items and never use items... so I'm
just deleting it.

2011-01-12  Joseph Powers  <jpowers27@cox.net>  [affcfcfd7236a955d12c7e44daa7ff37d89353a9]

Remove DECLARE_LIST(SvXMLAutoStylePoolPropertiesPList_Impl,...)


2011-01-12  Joseph Powers  <jpowers27@cox.net>  [455f52189f5175aec29cf844b8baa90031001efb]

Remove DECLARE_LIST(ImpXMLAutoLayoutInfoList, ImpXMLAutoLayoutInfo*)


2011-01-12  Joseph Powers  <jpowers27@cox.net>  [de8b9807c1482ff60df72317da5968059e198c39]

Remove DECLARE_LIST(ImpXMLEXPPageMasterList, ImpXMLEXPPageMasterInfo*)


2011-01-12  Joseph Powers  <jpowers27@cox.net>  [a0fc265e4ebd99db1c6ad5d058c973648c1530ad]

Remove DECLARE_LIST(ImpPlaceholderList, SdXMLPresentationPlaceholderContext*)


2011-01-12  Radek Doulik  <rodo@novell.com>  [dfdd6dcdd979270350a59c96369c02e98b20f427]

fix bullet characters encoding for symbol fonts, n#656934


2011-01-12  Radek Doulik  <rodo@novell.com>  [870233f8bf190be9103badb450c7e67b5a992b4f]

fix placeholder styles, n#656934

 - do not lookup ph indexes which are set to -1

2011-01-12  Radek Doulik  <rodo@novell.com>  [38e26d05e5b01b078c6c68e3ffbdabd506c41f86]

fix crash, happened when loading document from n#657892

 - check that the sequence has has at least one item before assigning it

2011-01-12  Mikhail Voytenko  <mav@openoffice.org>  [e64c789bb2e87ceca340e1c65a10d568a5eb538c]

removetooltypes01: #i112600# let binfilter use tooltypes further


2011-01-12  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [236d7ec73e2d73fb9c550bfeac0ceca794c002a9]

rebase to DEV300_m97


2011-01-12  Joseph Powers  <jpowers27@cox.net>  [16313cec1210ae7fea30b9294a9a19e40a936ad2]

Remove DECLARE_LIST(ImpMasterPageList, SdXMLMasterPageContext*)


2011-01-12  Joseph Powers  <jpowers27@cox.net>  [46c856344ff2af3fde0e814e07ab5df6f0a42b1b]

Remove unused header file


2011-01-12  Joseph Powers  <jpowers27@cox.net>  [7602404ed92cd5128eb1f6c21384638221181928]

Quite compiler warnings


2011-01-12  Joseph Powers  <jpowers27@cox.net>  [9e69e34cb0531d900815f0c84c8c0f0c00a75bf8]

Remove #include & whitespace


2011-01-12  Joseph Powers  <jpowers27@cox.net>  [afdcc296c877753d92f78976b68ca168f82cf0c8]

Remove DECLARE_LIST( SwXMLFrmFmts_Impl, SwFrmFmtPtr )


2011-01-12  David Tardon  <dtardon@redhat.com>  [5b4d2b22d075607391a8dc934f5c350d9958aa74]

rhbz#659394 avoid mangling internal state in case of UNO exception


2011-01-11  Joseph Powers  <jpowers27@cox.net>  [041e2e6f529d630bb74e2a9b81765c4e5b2e11ed]

Remove DECLARE_LIST( SwXMLTableLinesCache_Impl, SwXMLTableLinesPtr )


2011-01-11  Joseph Powers  <jpowers27@cox.net>  [ba1c01c2a5fdd6377b485c94984d8277435a7a6c]

Cleanup Whitespace & Quite Warnings


2011-01-11  Joseph Powers  <jpowers27@cox.net>  [219577c4492882aab1df0e197ef97278047677b4]

Remove DECLARE_LIST( SvxShapeList, SvxShape * )

Also quite some compiler warnings.

2011-01-11  Joseph Powers  <jpowers27@cox.net>  [f83bfba4025843a53a51e34c01820fd272785961]

Remove DECLARE_LIST( SvxDrawPageList, SvxDrawPage * )

Also quite some compiler warnings.

2011-01-11  Joseph Powers  <jpowers27@cox.net>  [05532273d1980b9009e3cb79e7ee5febdf418a2d]

Remove DECLARE_LIST( SvxIDPropertyCombineList, SvxIDPropertyCombine * )


2011-01-11  Joseph Powers  <jpowers27@cox.net>  [6dc02d7eadfe71fc443fb243601f57304d3307fc]

Remove extra #include & white space & quite warnings


2011-01-11  Petr Mladek  <pmladek@suse.cz>  [247a91f1df71614fc8d9b2264d10f0952055c611]

Please, ignore the previous message; it was for the libreoffice-3-3-0 branch

This is 'libreoffice-3-3' - the stable branch for the 3.3.x releases.
Only safe changes, reviewed by anoter person are allowed.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Petr Mladek  <pmladek@suse.cz>  [9628deac573830fdfbce2c402f8574379ac71a35]

Branch libreoffice-3-3-0

This is 'libreoffice-3-3-0' - the stable branch for the 3.3.0 release.
Only very safe changes, reviewed by three people are allowed.

If you want to commit more complicated fix for the next 3.3.x release,
please use the 'libreoffice-3-3' branch.

If you want to build something cool, unstable, and risky, use master.

2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [90e4aa673513d067016636229f43c8bd3b91c66f]

WaE: this dir is warnings free now


2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [48673a31f1097b8602cdc414239ce833fb96e8ff]

WaE: this dir is warning free now


2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [fb7be47eab4e01f1a2f942b9583ce34fdc1afc1d]

WaE: this dir is warning free now


2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [ffc2f8b2515cf5f3952283d578acc40d5646dfc5]

WaE: this dir is warning free now


2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [3bd14e765935648238c1782808443757bee1d07e]

cppcheck: this can be const


2011-01-11  Joseph Powers  <jpowers27@cox.net>  [7a539a9a9d8c770dce028e5e6402230b5df6789c]

Remove DECLARE_LIST(ImpRecordPortionListList, ImpRecordPortionList*)


2011-01-11  Joseph Powers  <jpowers27@cox.net>  [f5fcdc5beb1e7d50feb8d4a87e72b2ff596e56f9]

Remove DECLARE_LIST(ImpRecordPortionList, ImpRecordPortion*)


2011-01-11  Peter Jentsch  <pjotr@guineapics.de>  [f4d3eb53ee7f85805ce354f4116bd6e23ffdd533]

Add alternative implementation of flat xml filter w/o xslt.

This filter implementation is directly based on
XmlFilterAdaptor and simply dumps the SAX events
provided by the XmlFilterAdaptor to an outputstream.
It currently still lacks the advanced pretty printing
available through split-long-lines.xsl in the xslt based
flat xml filter.

2011-01-11  Joseph Powers  <jpowers27@cox.net>  [33ae06ff747bac761670556576534c02b995fb64]

Remove DECLARE_LIST(FmObjectList, FmFormObj*)


2011-01-11  Anders Jonsson  <anders.jonsson@norsjonet.se>  [47e2e2d4f44e26a02b781543abf43b3c5d2554b8]

Remove commented code


2011-01-11  Joseph Powers  <jpowers27@cox.net>  [a34d08320836cb5c1abb3c67065103c276c3b744]

Remove DECLARE_LIST(Polygon3DList, Polygon3D*)


2011-01-11  Michael Stahl  <mst@openoffice.org>  [35a0c9c4d3df97d7550ecdb50f9547c87e397f27]

xmlfix3: #i115995#: unoxml: retain context node in XPath::CNodeList:  prevents the document containing the nodes from being released.


2011-01-11  Caolán McNamara  <caolanm@redhat.com>  [cc8a1351ea8acc38d4ade0566484b49e8272f9a1]

WaE: this dir is now warning free


2011-01-10  Joseph Powers  <jpowers27@cox.net>  [508c29ec65a35a7177a82a21a19cf41dc2733a62]

Remove DECLARE_LIST( ConvList, Conversation* )


2011-01-10  Joseph Powers  <jpowers27@cox.net>  [aedaacf2b10889c2433b5728265c4de09cd8e69a]

Remove DECLARE_LIST( LinkList, Link * )

It's a read only list, so I deleted it.

2011-01-10  Joseph Powers  <jpowers27@cox.net>  [33e4df498de9931127eda7e252d383f605af4f85]

remove DECLARE_LIST( LinkList, Link * )

The list was read-only (no insert). I don't see why I should keep an empty
list around and try to process it's non-existant entries.

2011-01-10  Joseph Powers  <jpowers27@cox.net>  [bf7d6d004d4654800f187215c96d93bd2befe04c]

Remove 2 more DECLARE_LIST() items


2011-01-10  Petr Mladek  <pmladek@suse.cz>  [9345035d890ad884b8cf86312eaa5b9201694120]

Version 3.3.0.3, tag libreoffice-3.3.0.3 (3.3-rc3)


2011-01-10  Noel Power  <noel.power@novell.com>  [39d45e8899421d247c3d7042231d6898d058aaf1]

fdo#32600# fix specific core dump on read

Seems like the REFERENCENAME record has some optional parts ( when Reserved is not eh expected 0x003E ) Ultimately thow we should get rid of filter/source/msfilter/msvbasic.cxx in favour of the oox filter.
(cherry picked from commit 3dafb0e3f67b676169238b565890d88258377eb4)

Signed-off-by: Thorsten Behrens <tbehrens@novell.com>

2011-01-10  Noel Power  <noel.power@novell.com>  [3dafb0e3f67b676169238b565890d88258377eb4]

fdo#32600# fix specific core dump on read

Seems like the REFERENCENAME record has some optional parts ( when Reserved is not eh expected 0x003E ) Ultimately thow we should get rid of filter/source/msfilter/msvbasic.cxx in favour of the oox filter.

2011-01-10  Joseph Powers  <jpowers27@cox.net>  [662e504224bfcc189fcc793d3ead7ddfea3f7e87]

Remove DECLARE_LIST( SfxEventList_Impl, EventNames_Impl* )


2011-01-10  David Tardon  <dtardon@redhat.com>  [4f4743cffd8ab7dc97ca7470e7d89e5f90919e0a]

use SAL_N_ELEMENTS


2011-01-09  Joseph Powers  <jpowers27@cox.net>  [9f3163ae565b0d268775590b63466741a85917b2]

Remove DECLARE_LIST( SfxFContainerList_Impl, SfxFilterContainer * )


2011-01-09  Joseph Powers  <jpowers27@cox.net>  [b6d04f4e65613d4aa2ed71a2f9b5238254412bb5]

Remove DECLARE_LIST( BasErrorLst, BasicError* )

PS: This version passes smoketest.

2011-01-09  Joseph Powers  <jpowers27@cox.net>  [e7c9fe6ac7e2d8f695cb0f7b826a15772af9203c]

Remove some extra includes & white space.


2011-01-09  Joseph Powers  <jpowers27@cox.net>  [67fbf6a6992df9bd78035c02e099f48d7699e4e6]

Remove DECLARE_LIST( BasicLibsBase, BasicLibInfo* )

Passes SMOKETEST this time.

2011-01-09  Joseph Powers  <jpowers27@cox.net>  [b1a11db4ff3c09b8ea750f06af67e8a41edd475a]

Revert DECLARE_LIST( BasicLibsBase, BasicLibInfo* )


2011-01-09  Joseph Powers  <jpowers27@cox.net>  [ee3ea556694001d167b31de1618ce7341abc2cb8]

Remove DECLARE_LIST( WeakRefList, uno::WeakReference< uno::XInterface >* )


2011-01-09  Joseph Powers  <jpowers27@cox.net>  [b308d6036ea17c13308ff2a757dc78b877d0c7ef]

Revert DECLARE_LIST( BasErrorLst, BasicError* )


2011-01-09  Joseph Powers  <jpowers27@cox.net>  [01a02addc52ba6f21f52a52a6bbc7e367c718d7b]

Quite a few compiler warnings.


2011-01-09  Joseph Powers  <jpowers27@cox.net>  [8aa0ce791ab071a78a117ed6608763576d7f1578]

Remove DECLARE_LIST (ScFormulaCellList, ScFormulaCell*)


2011-01-08  Joseph Powers  <jpowers27@cox.net>  [81a7768d2a4a0b52fe0d2bd110e479cc160e0a5b]

Remove DECLARE_LIST(ScBroadcasters, SfxBroadcaster*)


2011-01-08  Joseph Powers  <jpowers27@cox.net>  [62ef6fde33d7e4fdb5de0d591a5b4ac7bcdaef45]

Remove DECLARE_LIST( ScBroadcastAreaList, ScBroadcastArea* )


2011-01-08  Joseph Powers  <jpowers27@cox.net>  [8630bb78201e9469dc665d8a1f7851f4cb42ecc7]

Remove DECLARE_LIST( BasicLibsBase, BasicLibInfo* )


2011-01-08  Joseph Powers  <jpowers27@cox.net>  [b129959fedb7ba5f7fd52f8b534fb6119d8f06cc]

Remove DECLARE_LIST( BasErrorLst, BasicError* )


2011-01-07  Takeshi Kurosawa  <taken.spc@gmail.com>  [24e68935fb621eb6d30e30407f7b62deaede28a3]

Export text color

The color selection logic is what flash export filter does.

2011-01-07  Takeshi Kurosawa  <taken.spc@gmail.com>  [4bdef1a10b2d2c76519961e1b85e16954f8b66ea]

Remove redundant 'g' element

pTransform is completely redundant.

2011-01-07  Takeshi Kurosawa  <taken.spc@gmail.com>  [512dffc1ca71a71361a66d3a013297f16401413d]

Use simple syntax for glyph definition

Opera and Chrome don't support complex syntax for SVG fonts glyph definition (child elements of glyph element).

2011-01-07  Takeshi Kurosawa  <taken.spc@gmail.com>  [d29f9fb0829adb7f63b65443e0f6f80e39764b32]

Add 'px' unit to 'font-size'

Firefox and Opera don't accept unitless font-size values.

2011-01-07  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [ab4df2adfa27f4dcb35e61795123eee32de602fb]

impress208: #164349# small TGAReader improvement


2011-01-07  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [318672980a79e294ff2c4871c79f3e17cb6af1a9]

ooo33gsl13: #i116085# adjust PageRange handling in writer PDF export


2011-01-07  Mikhail Voytenko  <mav@openoffice.org>  [ecac2c0e8593123d595954fa47b998b4ecb85f8e]

removetooltypes: #i112600# remove tooltypes


2011-01-07  os  <os@openoffice.org>  [d31292378b4b2f30df1ef30bddd87d7463ce4911]

#i116322# disable binfilter file export: some export code removed


2011-01-07  Caolán McNamara  <caolanm@redhat.com>  [3a75c8a25a2be9a986ae13ced05d9345b6fd5b9c]

cppcheck: prefer prefix variant


2011-01-07  Caolán McNamara  <caolanm@redhat.com>  [55eef1af4387302aea71c3f36317d10463f89606]

cppcheck: prefer prefix variant


2011-01-06  Joseph Powers  <jpowers27@cox.net>  [7c909eac5b3f07c0fdb98490ab91522f205b0fc9]

Remove DECLARE_LIST( FmCtrlModelList, XInterface* )

Actually the whole file isn't used.

2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [54c59100f9ccf697f57af8c5ba4eb4e34558089c]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [0d00e8354a5876a55242db828ffd88648ab86ef0]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [92e9578f17423a323520fed0952044025ac69929]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [6c5d78c462c36714d5c2d8b3e678f16d54bf824c]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [cccd6361fcf41954479ea53116ca7f16990a0358]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [6867c515cb5f6e5ca9ca001fd1be3366ef8d02c2]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [bc5c108e8fb5e2e76f82764bf16285e713334851]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [74690825cabdeae2e5ef6cc32e7c006058bbacc6]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [36b5fc0638d6d7062cb2203883510602dd5a0d56]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [1ff1e5b49b085584367a826d3891ba73ff9808ad]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [d1ee6ad5849296c00da8ec0a6b58232c481faf16]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [37d2eb922e0c81087348e8c5f477d7ffd73ed720]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [75edcf123f0360849cec4c8e8006d2878a1ebefb]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [2836514d2e27ea6e599ab94b95c5b8ef1793ef59]

cppunit: prefer prefix variant


2011-01-06  Kurt Zenker  <kz@openoffice.org>  [cbb64a4a84ac2356653ae9ebac9d68ea5f04dd02]

CWS-TOOLING: integrate CWS impress208


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [688af5da787b315538b63f1b41794d2463eaf00b]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [eb8f710b7eafc5e4f046009df5d888ea6baf918c]

cppunit: prefer prefix variant


2011-01-06  Mikhail Voytenko  <mav@openoffice.org>  [c22002640a3289e60110cbcca5883bdfb9b97f0a]

removetooltypes01: rebase to DEV300_m96


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [65e9087dd9d6cae7ed7597e7bb7f48448a0ebd94]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [64f706c9932993f4f25c4410cf50fb42386f172a]

cppunit: prefer prefix variant


2011-01-06  Kurt Zenker  <kz@openoffice.org>  [fcc7815751f973117f3b4c3bfa4fe95668ef7460]

CWS-TOOLING: integrate CWS ooo33gsl13


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [77fb456f7036ef9f935c031b523235e02276dbfd]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [17cac9bfa6800274f574b14d7b2ac3e1b44fd226]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [7c79e51952aacc4eb9c89692b7216476e2c2d9ae]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [a62439136401133621d26c0d560a8b60d7d47bfc]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [76f265c50ed15ce0be29ba5f8d49a81d5bb85564]

cppunit: prefer prefix variant


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [6f6231ec8ea9f5d4e7fea29980cc0310d7cfbfa1]

WaE: this dir is now warning free


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [1efa07c9ab17f57b5dbd31f4cee836a7fbeda944]

WaE: this dir is now warning free


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [a8ef555fe07fa9dfa8066ce880d658df2ccf9fc0]

WaE: this dir is now warning free


2011-01-06  os  <os@openoffice.org>  [176ae6afe256da3711a3700b1b8c132274f00cd9]

#i116322# disable binfilter file export: configuration removed


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [7ab25e046f7c5db4897681c92b1fc931c6a88fbe]

WaE: this dir is now warning free


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [3bed53653a00a2abf1acde7da6f7c89441fc76e9]

WaE: this dir is now warning free


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [dc6d4c1c710324f2b9eee39ca501ce6b62ec9f5a]

WaE: this dir is now warning free


2011-01-06  Caolán McNamara  <caolanm@redhat.com>  [2dfbcacb35ee9ff8d33face25ef1993a964d9af6]

WaE: this dir is now warning free


2011-01-06  Vladimir Glazunov  <vg@openoffice.org>  [7cdaf4393aa3216ea5388881dd1f3f42a86d9258]

CWS-TOOLING: integrate CWS vcl117


2011-01-06  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [1f3612849a2d696cfb95cc6b68e6ea2bfeaedae0]

rebase to DEV300_m96


2011-01-05  Henning Brinkmann  <hbrinkm@openoffice.org>  [207b736ac82626197a03de55aff1ef47ffa26d01]

merged DEV300_m96


2011-01-05  Henning Brinkmann  <hbrinkm@openoffice.org>  [074a59110235c7f12a72c69d3b534adbb5bd84e4]

DomainMapper_Impl::finishParagraph: check if pParaContext is valid DomainMapperTableHandler::endTable: catch all exceptions


2011-01-05  Henning Brinkmann  <hbrinkm@openoffice.org>  [1ad729aa56ce373b7c32a39d6b39bd765a934e3e]

new: XPathLogger


2011-01-05  Vladimir Glazunov  <vg@openoffice.org>  [fb04bcd7cca01c9e6f540a42e896678435ed5106]

CWS-TOOLING: integrate CWS impress204


2011-01-05  Caolán McNamara  <caolanm@redhat.com>  [2bc07bc22ef4edfb477d739b8bbd895bd5295414]

WaE: this dir is now warnings free


2011-01-05  Caolán McNamara  <caolanm@redhat.com>  [329343ea4e26687b3d2c03fb414bd16b8bf2611a]

WaE: this dir is now warnings free


2011-01-05  Caolán McNamara  <caolanm@redhat.com>  [fccfcda57f8c5337f5f9760a3ac66768c35bc759]

WaE: this dir is now warnings free


2011-01-05  Caolán McNamara  <caolanm@redhat.com>  [d7ec7d3f3ea223e502755338d7982a2e30bffc7a]

WaE: this dir is now warnings free


2011-01-05  Caolán McNamara  <caolanm@redhat.com>  [2995007a085c7fe25971fe1b81dde27c8fa1ed3b]

WaE: this dir is now warnings free


2011-01-05  Caolán McNamara  <caolanm@redhat.com>  [4e6b2c004147f2daf46f089281ba9a55debf2e01]

WaE: this dir is now warnings free


2011-01-05  Caolán McNamara  <caolanm@redhat.com>  [a311fd8a5f91338505a99e81d98de60094715d63]

WaE: this dir is now warnings free


2011-01-05  Caolán McNamara  <caolanm@redhat.com>  [c0d6947333d89d11208d869a405af041c68a1ce8]

WaE: this dir is warning free now


2011-01-05  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [1fb4e2dc29c00f51ca80c88f693c0f339d36a416]

dba34b: merged DEV300m96


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [293a23b98eaff48d98e9e33d71a33cb5937d9e39]

WaE: this dir is warning free now


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [8069ec1ea449878ed9a7dfb3453c148fb8c03232]

WaE: this dir is warning free now


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [5c47ff7bbebfbad1bbac256ddbdb38912b283c01]

WaE: this dir is now warnings free


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [4b767867c924a9a80411e9e454c2a1edf6179022]

unused method SetHasName


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [27f095b0cae3c866e5b23a1809fc0ad7550ddf40]

WaE: this dir is warning free now


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [89383435046e03dc08bfdaa192c6c71868430afa]

WaE: this dir is warning free now


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [1235e467641dffb0a139149b18ca70c10e1e2987]

WaE: throw out some more warnings


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [84399e9a82c268e19f4d7c0d692c1f286aea9c52]

WaE: this dir is now warnings free


2011-01-04  Caolán McNamara  <caolanm@redhat.com>  [6186defcf3a710ae2eabd09760165532345cd5cc]

WaE: throw out some more warnings


2011-01-03  Caolán McNamara  <caolanm@redhat.com>  [8fa816c1e569d121e36b5459c3ad0338104104b0]

WaE: this directory is warning free now


2011-01-03  Christian Lippka ORACLE  <christian.lippka@oracle.com>  [8e638320c3ad410896f6bcadd2725ffba676725d]

impress208: #164349# fixed possible heap overflow when reading manipulated TGA images


2011-01-03  Caolán McNamara  <caolanm@redhat.com>  [ba6201daed182ee801d7fd640bdf5ca9b12f26a2]

WaE: this dir is warning free now


2011-01-03  Caolán McNamara  <caolanm@redhat.com>  [6adff51a8b11c80c1bb563b38a31771808c9a3d6]

WaE: throw out some more warnings


2011-01-03  Caolán McNamara  <caolanm@redhat.com>  [b1ed0bde62e05989dd8b1e11f9188b08397c1637]

WaE: this dir is now warning free


2011-01-03  Caolán McNamara  <caolanm@redhat.com>  [7c0705585c5df1e405609b59a0cb5a8f0809ed9a]

WaE: remove some more warnings


2011-01-03  Mikhail Voytenko  <mav@openoffice.org>  [4391cbb66c8ebb14cbac1c49bfc97aab6b12e8ef]

fwk162: merge to DEV300_m96


2011-01-03  Mikhail Voytenko  <mav@openoffice.org>  [ef7a7aa740cb8893e8022745b775f48046340d78]

fwk162: #i115902# review usage of SfxObjectShellRef, SfxObjecShellLock; remove unused some methods


2011-01-02  Caolán McNamara  <caolanm@redhat.com>  [7e7e5240419b7beb45ab41ce0baad3596581062b]

WaE: this dir is warning free


2011-01-02  Caolán McNamara  <caolanm@redhat.com>  [69eea19aad2fc6566bcd1ba0710d0d938901ed65]

WaE: C42665: non-virtual dtor


2011-01-02  Caolán McNamara  <caolanm@redhat.com>  [478cc6529cb311e582e7c8f6e4546c3fa740bebc]

WaE: clear some warnings


2011-01-02  Caolán McNamara  <caolanm@redhat.com>  [e747c3101019a0a946bf463e8e44b9d8e405df67]

WaE: throw out some more warnings


2011-01-02  Caolán McNamara  <caolanm@redhat.com>  [e27d7090876c5277b25ae4735db9e389bc2f2064]

add/update modelines


2011-01-02  Caolán McNamara  <caolanm@redhat.com>  [167c7256d7f6fd955710643613f8b0c6c014422c]

tweak this to build under windows


2011-01-02  Caolán McNamara  <caolanm@redhat.com>  [dc08b44b551a75e7bcc7752dd1eb35dba3e246d5]

use enum instead of static bool


2011-01-02  Caolán McNamara  <caolanm@redhat.com>  [8c0ec76ec105f67f399c163b55fae6a3cb6b2a9f]

be more explicit as to which 'detail' is desired


2011-01-02  Caolán McNamara  <caolanm@redhat.com>  [2b2f0df0d3744d1ee4e40023f542ff798c536950]

WaE: silence some warnings


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [70876b78dc0e4fcbb52bbda94af47d1428e80e45]

cppcheck: unused variable, assigned from const methods, so no side effects


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [01b42351e6716cce5f0d683e97a8f1d460293777]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [bd885e76f859fddc56b59b9007d0a427fc2cd174]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [ea21161a51a0f508334d96a8b65f9dd2935587b0]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [15e21dcfbc0dc531d914cd8faf7bed3c6ba4f782]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [a936533b857468084884b895c1ca51f1a0a8f023]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [a8c82ba217ae6397b01612084720e776990bebbf]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [e85f1f754795c42487bfc26e8d41bb413bd1cadf]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [e23c708382111e9bbdf189532edbb284c8a8f99a]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [61b915587642a84893c93b2816d24d7443d56233]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [f009f034245081913056b2b266bb1927581ad766]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [742d39a7e0606dda8a3163c072f9427b8b9f1b8b]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [e628a4967d1eed10dcacbf7bb44ce4ecd996e78b]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [181d64a258ad8491fb918bbae8434d2e2e99d040]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [f3acbf5882be22418931bff30a42bef8206c8e05]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [69480c34d2a06d1681aed6547ceca60533858975]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [68a9300d9aec30c9c6d04f6b885a3a30961991cf]

cppcheck: prefer prefix variant


2011-01-01  Caolán McNamara  <caolanm@redhat.com>  [178c448da3f066d0ef04a477dad6e3f41523902a]

WaE: throw out some more warnings


2010-12-31  Caolán McNamara  <caolanm@redhat.com>  [e7add6e6d6179bb9236fc1f46646f9293443f613]

throw out some more warnings


2010-12-31  Caolán McNamara  <caolanm@redhat.com>  [ae4cb6d80b2d068f479d950f14f3f2e2b5083819]

WaE: make this dir warning free


2010-12-31  Caolán McNamara  <caolanm@redhat.com>  [ffdac5ec5ca479b5b8152422758a5d32eb2e6953]

WaE: make this dir warning free


2010-12-31  Caolán McNamara  <caolanm@redhat.com>  [c04935efdfc06671d27927dbe13d3d8f067159ef]

WaE: make this dir warning free


2010-12-31  Joseph Powers  <jpowers27@cox.net>  [13e7976c87180736fdb211024bd0cf03eb8e3bbe]

Remove DECLARE_LIST( SfxMediumList, SfxMedium* )


2010-12-31  Caolán McNamara  <caolanm@redhat.com>  [6b947b323cfbd543224520a13448088a9b223def]

WaE: make this dir warning free


2010-12-31  Caolán McNamara  <caolanm@redhat.com>  [eeea9b0d2a24c7e470d320db519876589be55089]

WaE: make this dir warning free


2010-12-31  Caolán McNamara  <caolanm@redhat.com>  [b65629e6b633f5c597a9a6a62ea53552d1cb7e26]

WaE: make this dir warning free


2010-12-31  Caolán McNamara  <caolanm@redhat.com>  [b9220d76ea024346fb8ea3c9de29955b66b9b92c]

WaE: make this dir warning free


2010-12-31  Caolán McNamara  <caolanm@redhat.com>  [7b7f6f4838d3a8d735d2de0cfd95eaebd6df1796]

WaE: make this dir warning free


2010-12-31  Caolán McNamara  <caolanm@redhat.com>  [c4ec1b5658ee49ee48bc98dcdba570685a4e2516]

WaE: make this dir warning free


2010-12-30  Caolán McNamara  <caolanm@redhat.com>  [24c3fb81435195bafa6b21f5598514492a7b7f16]

cppcheck: prefer prefix variant


2010-12-30  Caolán McNamara  <caolanm@redhat.com>  [c91b7d666eee90b32686601984b5b89cf7621083]

cppcheck: prefer prefix variant


2010-12-30  Caolán McNamara  <caolanm@redhat.com>  [f9edae83b7acbccabd07ca9125d4628f888a6cee]

cppcheck: unused variable


2010-12-30  Caolán McNamara  <caolanm@redhat.com>  [38b3d7324864b670a9151f9f6910448a82552c86]

cppcheck: prefer prefix variant


2010-12-30  Caolán McNamara  <caolanm@redhat.com>  [555782287d1bf3f748419d0d1daf65a1b9dc5814]

cppcheck: prefer prefix variant


2010-12-30  Caolán McNamara  <caolanm@redhat.com>  [e79cfd87946fa89e2a70ecaed66f66d6874ee4b7]

WaE: throw out some more warnings


2010-12-29  Caolán McNamara  <caolanm@redhat.com>  [7c4525eadd15592e130dd779161e42402e823021]

cppcheck: prefer prefix variants


2010-12-29  Caolán McNamara  <caolanm@redhat.com>  [ce423c66245c19d76e056f8347d17fbffa5ce030]

throw out some more warnings


2010-12-29  Caolán McNamara  <caolanm@redhat.com>  [68c521d7764376afa287a77027b22702158d1c34]

WaE: throw out some more warnings


2010-12-29  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [4d42171b4a69dff16577adcbc220dd727ccfe1e1]

dr77: copy/paste error


2010-12-28  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [0a1750f17eee47b3620a8dcef9bac66c829aa61e]

dr77: post rebase fixes


2010-12-27  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [4a65fd0e2017adafdc013fc8a6424708a10d8dce]

dr77: rebase to DEV300m96


2010-12-26  David Tardon  <dtardon@redhat.com>  [6074b8430d1f80a738eab73dddb3c8256422303f]

#i101360# use xsl:element for element construction


2010-12-25  David Tardon  <dtardon@redhat.com>  [a25abb3def0a80f6d9bf49dcc6a708b236f8c701]

fix debugging condition


2010-12-24  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [34b49860abcdb3efac5f3223f05133bbe6055a57]

fix warning in binfilter bf_sc ui/app and commented code deletion


2010-12-24  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [97dfe4c733754db5c6ecc90c19cb01a847343149]

fix warnings in binfilter bf_sc core/tools

trivial conservative fixes, letting behind function calls that may
not be needed any more. Fix warning:
    unused parameter

and remove commentet code

2010-12-24  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [356f4c5043860f023a11551c3cf83849a80f9ace]

fix warnings in binfilter bf_sc ui/docshell

trivial conservative fixes, letting behind function calls that may
not be needed any more. Fix warning:
    unused parameter
and delete some commented code

2010-12-24  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [aa0968085285956c239a5ad2ce1de0b31a7506c1]

fix warnings in binfilter bf_sc ui/unoobj (2)

trivial conservative fixes, letting behind function calls that may
not be needed any more. Fix warning:
        unused parameter
and delete some commented code

2010-12-24  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [8abdd4a5359d23c68a1aa42b189bf4eeab4aeee5]

fix warnings in binfilter bf_sc ui/unoobj (1)

trivial conservative fixes, letting behind function calls that may
not be needed any more. Fix warning:
    unused parameter

2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [6bbf96e2fb5abc4b0a07e1c227d3cc262bf14182]

WaE: throw out some more warnings


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [945aaa60f91ed894e8c4870538dccdd63fe083a5]

throw out some more warnings


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [c3f1dcea5ecc7407a7a586151449b032c5396c88]

cppcheck: prefer prefix variant


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [937cfafe2f960e89971f11ea48ff6b42546cd827]

cppcheck: prefer prefix variant


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [d504fd813b76d872c0da7a105c3cc32a8faef1fd]

cppcheck: prefer prefix variant


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [418740b5e0e6450ece081b25f9168c8dfe2be60e]

cppcheck: prefer prefix variant


2010-12-24  Caolán McNamara  <caolanm@redhat.com>  [6dfdb2e010b0668986dc20fd424fe4a8b655be34]

cppcheck: prefer prefix variant


2010-12-24  David Tardon  <dtardon@redhat.com>  [cca6eaa937a75e16b2915e300dff8d18b794aa05]

make copying aware of NULL pointers


2010-12-24  David Tardon  <dtardon@redhat.com>  [f1bf205835ea398bd223bfa68cdcabade260aea6]

replace virtual operator= by cloning


2010-12-24  David Tardon  <dtardon@redhat.com>  [c6c9b4a0eab8604ccc4d3275050ec3908ff05fb7]

remove unused code


2010-12-24  David Tardon  <dtardon@redhat.com>  [97ea5d7fe31c2f006b15a8846416e324069637b8]

remove unused code


2010-12-24  David Tardon  <dtardon@redhat.com>  [6d99309df074f0cb9a2b79b1fdd96fed1f175c28]

remove unused code


2010-12-24  David Tardon  <dtardon@redhat.com>  [3a3cbe0e93d055cbcb9e8ce55a7be6784cc2e4a0]

remove redundant semicolons


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [aafbb073f21927a6ea32094543494ea95fe2a9e1]

throw out some more warnings


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [f3f6922b0b88ba3deaa4964301a2e841f59839b5]

WaE: warning free


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [7416bf0129c243bac33310968fe8b7f3dff3c81d]

WaE: warning free


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [2dd266fafa851bdbbe7632dc29b9715df9157f41]

ditch dead comments


2010-12-23  Andy Holder  <andy.m.holder@gmail.com>  [f0b884cc5e65e9052c623e4389e503ff385cd8fd]

cppcheck: Invalid Character errors fix

There are a number of "Invalid number of character ({) when these
macros are defined" error from cppcheck, I think these are
caused by the start of a namespace
declaration being inside a #if without it's closing }.

2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [4205775c79af1b50378f72ec557febd6cac2cfc4]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [e1524241e269630f8bcb713429c34646cb1916ed]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [c25417f8ce9629b71e63bfc314d6c62c66f13b7e]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [7349b3697b5dfd7bb2a64d6a846aff24a7786657]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [79debda5b411cabea780d143d14dedd9a6fee345]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [6207d3f056a7ed7129b5f8fd0e1d0cc0893e44db]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [21b9f0f096b32f3423c451a1976bab830348a54b]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [92a75aba0ce3406313a37e2746c6643b8e84ba77]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [1a19aefda18c1b0193652d7c6f5e13a0b8eff72f]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [6d4de3f5a8fc3725d50b4f89b3ec9096215379a4]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [824d4ac1e008372d950fb7cfaecea0114eb6c8fc]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [47ce42de67571b97c61f0706c5eaccf64714aae9]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [cb71eb2c2ec7157780efeef15f321ace8889ee4c]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [74706fba18f4b35987cf8c94d8490a4d883b563e]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [0ee73851085238090907618d0aeff8c4811ee171]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [389ae057209732954b2e83956ac1e76f8cfb8934]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [7571ffdda2dc16771fc025433214fe2b1bc2f5e6]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [6c42b9e0ddc658f653385fd299ee38c7b2385fd0]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [51baaabfa4b9e43f1aa2640a71f8e85c6ca8ae49]

WaE: throw out some more warnings


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [f87ca23efd3898f2c8fb554558552c73e5ccd5b0]

cppcheck: unused variable


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [b9fb8317d26f7221daef495a906f34fdc5d201ad]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [24aab51c9450664a9a95f09316a0ad526a2aa944]

cppcheck: prefer prefix variant


2010-12-23  Caolán McNamara  <caolanm@redhat.com>  [a0c6d9fc481c5f1d3922d8042a7e9bbfcedc54c6]

cppcheck: prefer prefix variant


2010-12-23  David Tardon  <dtardon@redhat.com>  [580ee28500128b2c7b8078cd36a84f38d1c50ec8]

fix use of temporary value


2010-12-23  David Tardon  <dtardon@redhat.com>  [d709922f5e556bb44d0b068698ad083635d860e2]

simplify condition


2010-12-23  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [417cef3d290ed3c4bb312af9b25087f4ccb51963]

undoapi: merged after pulling DEV300_m96. Most probably still not buildable:A number of changes which happened in the CWS need to be redone due to the new build system


2010-12-22  serval  <serval@ilapharm.com>  [74fa3fcfa4f9e6ac62ec36774134caaf1e0584cd]

RTL_CONSTASCII_USTRINGPARAM


2010-12-22  Michael Stahl  <mst@openoffice.org>  [c2e3e37817d44b1a1706688e39e094f8edfc6d3c]

sw34bf03: #i101360#: patch by dtardon: use xsl:element instead of... WTF?


2010-12-22  Guillaume Poussel  <gpoussel@gmail.com>  [eddf9b73f3be22b587705f557a969132a77a9db4]

Removed __EXPORT


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [ac076aa67821f76e71547068693107faa05983ba]

drop a few warnings


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [3ec77ed32e882c8419f639f68f598df89b273823]

cppcheck: prefer prefix variants


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [c8c6811c2e065ee3e8f6d50f4d88a61452cb478c]

cppcheck: unused variables


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [ee75fe6345fe720464f3a06bdb9cf1ced1bf5e4c]

cppcheck: prefer prefix variant


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [d9fb37f9067526274c5f5de5091d8d86a6b74f65]

drop unneccessary verbosity


2010-12-22  Caolán McNamara  <caolanm@redhat.com>  [566e2cd4b8d006c3e7371fc50ba03e60490fd42c]

WaE: fix typo


2010-12-21  Caolán McNamara  <caolanm@redhat.com>  [079839539932a721a289c05910c8cf9264bebe38]

WaE: uninit variable


2010-12-21  Andreas Mantke  <maand@gmx.de>  [6db7bb0d864b4fd703c618515d2585dd42a6957c]

A change in the color of the watermark


2010-12-21  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [514233082b9c2a154ef316ddcff8ee698ae35369]

commented code deletion


2010-12-21  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [7dae150cb83f56ec058c1fb102293b7293a8a5d7]

commented code deletion


2010-12-20  Jan Holesovsky  <kendy@suse.cz>  [74543bf03a69c3a34a260faaa21014b920eeb4ba]

Merge branch 'master' of ssh://git.freedesktop.org/git/libreoffice/filters


2010-12-20  serval  <serval@ilapharm.com>  [10535b20ef458d4c75da5767ea50f1d64d9dd932]

RTL_CONSTASCII_USTRINGPARAM


2010-12-20  Caolán McNamara  <caolanm@redhat.com>  [442ab41ca63549f13086377e544ad84fdea2e553]

WaE: remove javadoc warning


2010-12-20  Jan Holesovsky  <kendy@suse.cz>  [5951b8164b364aef4612bc8047707c8c61f71f2b]

Merge commit 'libreoffice-3.3.0.2'


2010-12-19  Caolán McNamara  <caolanm@redhat.com>  [61c501a4d1e92d22aebec2fb638d84d04872584a]

WaE, remove all warnings, toggle makefile as warning free


2010-12-19  Caolán McNamara  <caolanm@redhat.com>  [59c0f0a219edc17765ac51b1f2e73b4b2d76439b]

WaE, silence some warnings


2010-12-19  Caolán McNamara  <caolanm@redhat.com>  [1e319d2570bed34942c15d17fae9d50957529c6a]

WaE, remove some warnings


2010-12-19  Caolán McNamara  <caolanm@redhat.com>  [d99e5284913193460e377791a80b233df67a8862]

cppcheck: prefer prefix variant


2010-12-19  Caolán McNamara  <caolanm@redhat.com>  [fd93ac7907a0256a06f148f25a95aad356c51648]

cppcheck: prefer prefix form


2010-12-18  Petr Mladek  <pmladek@suse.cz>  [b3a6643f0c4c206ff2b82f6e53d8185b6adb8f02]

Version 3.3.0.2, tag libreoffice-3.3.0.2 (3.3-rc2)


2010-12-18  Caolán McNamara  <caolanm@redhat.com>  [37800d754fbbe15f56632e0cc2bbada2bb457b06]

cppcheck: prefer prefix variant


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [6decb7111ca83d03167a7bc0aab5ac92ae9ba015]

CWS-TOOLING: integrate CWS fwk160


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [ac00d0ae54c62327e38fff48270460dc8d277c93]

CWS-TOOLING: integrate CWS sb131


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [a42a462b7426147c0213eab240c2b32a71e3b4ac]

CWS-TOOLING: integrate CWS mib19


2010-12-17  Hans-Joachim Lankenau  <hjs@openoffice.org>  [e4ad5dc334482309d7c12052d348351454a51428]

CWS-TOOLING: integrate CWS gnumake2


2010-12-17  Caolán McNamara  <caolanm@redhat.com>  [12d67dbe821cfcb2c6ca4b4bc0eb62c39ffa44df]

WaE: throw out some warnings


2010-12-16  Thomas Klausner  <wiz@NetBSD.org>  [085abb8dc5fd0094caef9ace21483fe13f00d3c4]

Handle NetBSD like the other BSDs in more cases.


2010-12-16  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [6a4af3c7761b9f39956a0fb88367606ff9d1f9da]

fix to let compile again with --enable-dbgutil

parameter commented out but used in enable part of code
filters/binfilter/bf_sw/source/core/attr/sw_hints.cxx (line 150)
has the definition of the function of
filters/binfilter/inc/bf_sw/hints.hxx, which needed to be fixed in
order to be empty in case of #ifdef DBG_UTIL

2010-12-16  Frank Schoenheit [fs]  <frank.schoenheit@oracle.com>  [ddbc1c9ce1b770714d37e472f9b2be82bee929c2]

undoapi: merged DEV300m95


2010-12-16  Caolán McNamara  <caolanm@redhat.com>  [33c50090ccb8dbb551967d433a35370272a8fa8e]

cppcheck: unused methods


2010-12-16  Caolán McNamara  <caolanm@redhat.com>  [37e13521eb00f1c103540c15a8456e7c430e78cb]

drop some warnings


2010-12-16  Caolán McNamara  <caolanm@redhat.com>  [156cc7849bb0724718ddd83a4cdd10001e4b6883]

cppcheck: unused variable


2010-12-16  Caolán McNamara  <caolanm@redhat.com>  [b93538aa9b860c1594da0513245f6acf66b5979d]

cppcheck: prefer prefix variant


2010-12-16  Caolán McNamara  <caolanm@redhat.com>  [ea193ce17cc862d7eab8e08353d3e0e53e06f7ca]

collapse conditional


2010-12-16  Caolán McNamara  <caolanm@redhat.com>  [74aabcda9ef772795a5f9e40f3605163c46cb76c]

CheckLine is always FALSE


2010-12-15  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [dfeddb80390cadd3794723e96e48404ed65804eb]

ooo33gsl13: #i116085# adjust PageRange handling in writer PDF export


2010-12-15  Caolán McNamara  <caolanm@redhat.com>  [549054984c759b47422a8ca1aed0ea7e07f60882]

tweak signature to avoid casting


2010-12-15  Caolán McNamara  <caolanm@redhat.com>  [544f97cefe4a36f26ff352bbf163977bc5f07077]

protect against short read


2010-12-15  Anders Jonsson  <anders.jonsson@norsjonet.se>  [8523be55a4a91e9df2fe9217e689ac5f77ba3e30]

filters: Remove large block of unused code


2010-12-15  Caolán McNamara  <caolanm@redhat.com>  [2be72eabc6f16aad2c3c5b49ec236573f9371220]

WaE, silence some warnings


2010-12-15  Caolán McNamara  <caolanm@redhat.com>  [e05c6d03ffda79c9a65aef37065836ada54cdf15]

drop some warnings


2010-12-15  Caolán McNamara  <caolanm@redhat.com>  [7814f9e24f0fd96cb1e4792fb6b6ea4b035688f4]

cppcheck: uninit variable


2010-12-15  Caolán McNamara  <caolanm@redhat.com>  [eeb24625f3bca4fd0571b9dfa4d0aeb4fe07e068]

cppcheck: remove unused variable


2010-12-15  Julien Nabet  <serval2412@yahoo.fr>  [a100b9fe8ceae137110b5739386cc09de41cd5ba]

RTL_CONSTASCII_USTRINGPARAM in writerfilter


2010-12-14  Kohei Yoshida  <kyoshida@novell.com>  [57e26a2c5ab5eceef12ad46ef280816ee5bc8796]

Merge commit 'ooo/OOO330_m18' into libreoffice-3-3


2010-12-14  Hans-Joachim Lankenau  <hjs@openoffice.org>  [ee2225c3612aa49f477a2d317f665bcb2df81738]

merge OOO330


2010-12-14  sj  <sj@openoffice.org>  [02d03c5b38b4ee67f793a430f1c78c4d3c200ccb]

impress204: fixed build problem (precompiled filter include was missing)


2010-12-14  Rene Engelhard  <rene@debian.org>  [5928d863afc6926ebdc68e380a08827f89530e5d]

use $(GPERF) instead of hardcoded gperf (fdo#32195)


2010-12-14  Robert Nagy  <robert@openbsd.org>  [f6976e336dadde21a8e1fb60afcbb907419f1089]

only specify $(SLO)$/qnametostr.obj in NOOPTFILES once


2010-12-14  Robert Nagy  <robert@openbsd.org>  [7c610cf1f327e043592f2cc9759efe5d8787ad79]

only specify $(SLO)$/qnametostr.obj in NOOPTFILES once


2010-12-14  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [6ee1fab0b931f8f95d708b396cd5449b01b58bab]

warning fixes in binfilter bf_sw filter/basflt

commented code and comments deletion and warning fixes based on
     unused parameter

2010-12-14  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [b8efac5938745eb51b52d8cf53abfc7c42638590]

fix warnings in binfilter bf_sw filter/xml

dead code / coments deletion and warning removing concerning:
    unused parameter
    enumeration (all cases not handled in switch)

2010-12-14  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [a39ed7acd90f48e496f171e9ddb633703c5d8f93]

warning fixes in binfilter bf_sw ui/app

dead code / comments removal and trivial warning fixes conerning:
    unused parameter
    enumeration (without all cases handled within swtich)

2010-12-14  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [52eae310142101c92d31ff7f29d11c8158acbb2f]

warning fixes in binfilter bf_sw core/doc

contains dead code / comments deletion and warning fixes of
    unused parameter
    enumeration (switch without handling all cases)

2010-12-14  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [b79f4f549cbcd627dcdbd53ba11462181c14a102]

trivial warning fix in binfilter bf_sw writer


2010-12-14  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [d3d3e7a87ce270314d0fb3d849f1738ff081a18a]

trivial warning fixes binfilter bf_sw ui/utuli

this remove dead code and compiler warning:
    unused parameter

2010-12-14  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [7eabdb89d45a27313d44d2ce3a99e71d7c1ced02]

trivial warning fixes binfilter bf_sw ui/uno

this contains trivial warning fixes and dead code / comments deletion.
Warning fixed are
    unused parameter

2010-12-14  Pierre-André Jacquod  <pjacquod@alumni.ethz.ch>  [06553f3dc442a0e6852f093ed80aee945f7c6914]

warning fixes in binfilter bf_sw w4w

this touch trivial warning fixes of kind:
    unused parameter
    enumeration value: missing default entry

2010-12-13  Rene Engelhard  <rene@debian.org>  [5bd07f25a68b3f2e2df9ad1311cf1f42457670a7]

use $(GPERF) instead of hardcoded gperf (fdo#32195)


2010-12-13  Caolán McNamara  <caolanm@redhat.com>  [7042fcf17d4d947e0fc8705735bae5b717e60b24]

cppcheck: init member variable


2010-12-13  Caolán McNamara  <caolanm@redhat.com>  [203531bed3f5a2c4d1cf09ca669069da3e38d63c]

WaE, silence some warnings and strip out some code


2010-12-13  Caolán McNamara  <caolanm@redhat.com>  [2230311e9ac6f7d196720e5a4ca70f34426eb6dd]

cppcheck: unused variables


2010-12-13  Caolán McNamara  <caolanm@redhat.com>  [b3cc585c97ece1de73a595dd6daefd692114077e]

cppcheck: unused variable


2010-12-13  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [cd27acc9a70df0dd44bcdcc9783742ff821fe080]

Set the writer to NULL after freeing it


2010-12-13  Henning Brinkmann  <hbrinkm@openoffice.org>  [4cea19c9e175429795af9d858f7767e7a80d7813]

added include <string.h>


2010-12-12  Andy Holder  <andy.m.holder@googlemail.com>  [d098c5d1b14ebd2fa14c5b768b458737cdee8ec9]

Change unnamedspaced file.hxx macros


2010-12-12  Gert Faller  <gertfaller@aliceadsl.fr>  [26ab051a0d2c9298b2aabefb57323dfba7f2f392]

cleaning of __EXPORT define


2010-12-12  Gert Faller  <gertfaller@aliceadsl.fr>  [253ed4379e04ad47b898423b08c39071230c5285]

change of __READONLY_DATA define to const


2010-12-11  Gert Faller  <gertfaller@aliceadsl.fr>  [d28e038f7a60b209324282192407c960149a3695]

cleaning of __EXPORT define


2010-12-10  Gert Faller  <gertfaller@aliceadsl.fr>  [2b7b4f27e613939ad224c979857581fc346e5e43]

RTL_CONSTASCII_USTRINGPARAM in filters 25


2010-12-10  Gert Faller  <gertfaller@aliceadsl.fr>  [5e041916288f565d4acd56d28dc8c08508b92902]

RTL_CONSTASCII_USTRINGPARAM in filters 24


2010-12-10  Caolán McNamara  <caolanm@redhat.com>  [c1a70f44548dcaaf77c4bcfe4c537956c4c6649a]

remove this unused parameter and NULL effect


2010-12-10  Caolán McNamara  <caolanm@redhat.com>  [d8a3d609724bb72b5b4c49bda4c6d543b2c32706]

WaE, uninit variable


2010-12-10  Caolán McNamara  <caolanm@redhat.com>  [b0d63adf52d4dc7b064339c9d7ca64ed76e9b68f]

WaE, uninit variable


2010-12-10  Caolán McNamara  <caolanm@redhat.com>  [19bf0ca54ef38a42033346bb2c55c6454c78ef76]

WaE, silence unused parameters


2010-12-10  Muthu Subramanian K  <sumuthu@novell.com>  [2d18ef93e9b3288782220ccdcf48b1d1afbe39f0]

XLSX VML Export fixes.

XML_v instead of XML_w10. Don't write xml headers for
vml files.

2010-12-10  Caolán McNamara  <caolanm@redhat.com>  [8921201e2b3a06369d413cc991c2569349970619]

valgrind: unoxml leaks like a sieve


2010-12-10  Caolán McNamara  <caolanm@redhat.com>  [b323f257fc5838aaabf175499470c00ef25bc90e]

WaE, shadowed variable


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [8ae5c6ad27d3ace48c8f3b5d94c72e2e77ab650d]

cppcheck: unused variable


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [38ea8d367473c0e2115b80e4970b3e3fb57da1c5]

clean this up and just use references


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [a0f99d26d33b725fd4c4e44bf2b3c6ad424918a5]

cppcheck: unused variable


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [6d807dcec59942ed73b8c057de33710c2b0d7827]

cppcheck: the scope of these variables can be reduced


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [7ea4657df35b81a39fd9e451e94097dba6bd96d2]

cppcheck: unused variables


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [b7656e0ff894f412df5d2fcf08dc34ca10ab96fb]

cppcheck: unit members


2010-12-09  Caolán McNamara  <caolanm@redhat.com>  [859d7aaa9ba3ba2e73b752454bb1e7304df06dcb]

cppcheck: uninit members


2010-12-09  obo  <obo@openoffice.org>  [3fbceb8b1b81d473c371adc15e7475273c36fddf]

CWS-TOOLING: integrate CWS calc33stopper3


2010-12-09  Luboš Luňák  <l.lunak@suse.cz>  [fdfe1bfafdffb0fc0be8e6807ca9402bb90e20c9]

[Docx] n#513479: import start/end values for ST_Jc


2010-12-09  Daniel Rentz [dr]  <daniel.rentz@oracle.com>  [ae3a52b0acbbaab8d6338492cf1721ad9c5a9ef4]

mib19: rebase to DEV300m95


2010-12-08  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [a8dd8fada6f3adf1182e3011ce8c68288e4c8386]

[Docx] fdo#32170: fixed the import of the document default formatting


2010-12-08  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [8d55625c0734866ce3620d1c8469425cacb6e8f9]

[Docx] fdo#32170: handled CT_SdtRun elements


2010-12-08  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [d7dac34c56c30485a11d5629f91baa90ac242935]

[DOCX] fdo#32170: Skip unsupported <w:sdt> elements

This only makes the <w:sdt> elements skipped to get their content

2010-12-08  Bjoern Michaelsen  <b_michaelsen@openoffice.org>  [3146eeb330ccbc8df45641320dc715ce9387b31c]

gnumake2: resync to DEV300_m95


2010-12-08  Philipp Lohmann [pl]  <Philipp.Lohmann@Oracle.COM>  [bf1356a0921b532ca66de7c7eb0137fad48330f4]

vcl118: #i115717# tell user that PDF/A cannot be encrypted


2010-12-08  Caolán McNamara  <caolanm@redhat.com>  [a69abac037a30cf7d850389ae58ae8d47fc6b04d]

WaE, fix member init list


2010-12-08  Caolán McNamara  <caolanm@redhat.com>  [1f2626fd2499f3cd0cfbb1c0229021145a6bf69d]

WaE, unused parameter


2010-12-08  Radek Doulik  <rodo@novell.com>  [b49d4405f4a8919a1b6e194a343cd3dca9495f80]

use placeholder text in pptx export


2010-12-08  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [434de2c15a2c7ebf5d7dd0f128866a24414a8ac6]

Removed some useless debug output that are slowing docx import


2010-12-08  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [06469ac1351adb934b492d0e6dba922fafc9e522]

Removed trailing blanks in some writerfilter files


2010-12-08  Cédric Bosdonnat  <cedricbosdo@openoffice.org>  [cbb4106a61c0ca1b5a5aa821146f92ec6ba4eb69]

Using libxml2 instead of homemade stuffs for the debug output

This also seems to fix a memory leak that was present only with some
debug output enabled.

